Startseite

WinKFPT

Online help

Version 2.0

© Copyright by BMW AG, 1997-2012, created by Softing AG


Benutzung dieses Handbuchs und der Online-Hilfe

Das Handbuch und die Online-Hilfe sind grundsätzlich identisch. Bei Updates des WinKFPT werden Online-Hilfe und Handbuch gleichzeitig aktualisiert.

Druck und Verteilung des Handbuchs liegt in der Verantwortung von BMW.


Über dieses Handbuch

Dieses Handbuch gliedert sich in folgende Kapitel:

Kapitel | Beschreibung
Einleitung IDH_ueber_winkfpt | Kurzbeschreibung, Verwendungszweck, Betriebsarten, Programmiermöglichkeiten und Architektur des WinKFPT.
Erste Schritte IDH_systemanforderungen_des_winkfpt | Systemanforderungen, Installation, Verzeichnisstruktur und Konfiguration des WinKFPT.
Start des WinKFPT IDH_start_des_winkfpt | Beschreibung der Aufrufparameter und Start der verschiedenen Betriebsarten des WinKFPT. Beschreibung des Programmierablaufs im Batchbetrieb.
Hauptmenü des WinKFPT IDH_hauptmenue_des_winkfpt | Die folgenden Kapitel (5 IDH_hauptmenue_des_winkfpt-6 IDH_funktionen_des_winkfpt) beziehen sich auf die Bedienung des WinKFPT im Dialogbetrieb. Menüpunkte der Hauptmenüleiste des WinKFPT und deren Untermenüs
Funktionen des WinKFPT IDH_funktionen_des_winkfpt | Einschalten des Komfort-Modus IDH_komfort_modus und des Experten-Modus IDH_experten_modus.
Funktionsebenen im Komfort-Modus IDH_funktionsebenen_im_komfort_modus | Bedien-Funktionen im Komfort-Modus IDH_komfort_modus für die Programmierung eines Steuergerätes.
Funktionsebenen im Experten-Modus IDH_funktionsebenen_im_experten_modus | Bedien-Funktionen im Experten-Modus IDH_experten_modus für die Programmierung eines Steuergerätes.
Allgemeine Funktionen IDH_allgemeine_funktionen | Spezial- und Diagnosefunktionen
Fehlerbehandlung im WinKFPT IDH_fehlerbehandlung_im_winkfpt | Bekannte Bedien- oder Konfigurationsfehler


Verwendete Konventionen

Dieses Handbuch benutzt die folgenden typografischen Konventionen:

Beispiel | Beschreibung
DEFAULT.INI | Groß geschriebene, kursive Namen bezeichen Dateinamen.
“Import Datensätze“ | Kursive Namen in Anführungszeichen bezeichnen ein Fenster oder ein Dialogfeld, das im Program verwendet wird.
12345 | Kursive Namen ohne Anführungszeichen bezeichnen Einträge in Eingabe- und/oder Anzeigefelder.
“OK“ | Fette Namen in Anführungszeichen bezeichnen Schaltflächen (Buttons), Optionsfelder (Radio Buttons), Kontrollfelder (Check Buttons), Eingabefelder oder Anzeigeboxen.
<<SG antwortet nicht>> | Wörter inerhalb doppelter spitzer Klammer bezeichnen Meldungen, die dem Benutzer angezeigt werden.
<Konfiguration> | Unterstrichene Wörter in einfachen spitzen Klammern bezeichnen Haupt- und Untermenüpunkte.
“Betriebsarten“ | Unterstrichene Wörter in Anführungszeichen bezeichnen Kapitelnamen.


Über WinKFPT

WinKFPT ist ein Programm für die Flashprogrammierung (Programm und Daten) von elektronischen Steuergeräten im Fahrzeugbau.

Das WinKFPT wurde zu Anfang als reines Referenztool für den Nachweis der Programmierfähigkeit von Steuergeräten bei der Programm- und Datenprogrammierung konzipiert.

Durch fortlaufende Erweiterungen der Funktionalität wird das WinKFPT heute als Entwicklertool für BMW-Zulieferer in der Steuergeräteentwicklung eingesetzt.

Durch die Möglichkeiten des Batchbetriebs und der Mehrfachinstanzfähigkeit des WinKFPT, hat sich sein Einsatzgebiet inzwischen auf Produktion und Service ausgedehnt.

Das WinKFPT ist das erste Tool, das die COAPI-Funktionen für einen Bootsektorupdate (BSU) nutzt und damit SG-Updates (Tausch von Bootsektor, Progamm, Daten) ermöglicht, die auch über SG-Familien Grenzen gehen können.

Damit kann der Tausch von Steuergeräten z.B. im Service reduziert werden.

Ab Version 4.6.0 nutzt WinKFPT die Import/Export Funktionalität der COAPI für die Verwaltung von Entwicklungs- und Toolrelevanten Daten, von SG-spezifischen und allgemeinen Logistikdateien und von Werksdatenpaketen für das Abspeichern und Laden von Entwicklungskonfigurationen zur Verbesserung der Fehlerverfolgung bei der Entwicklung und Flash-Verifikation von Steuergeräten.


Mehrfachinstanzfähigkeit

Für die Verkürzung von Programmierzeiten durch parallele Programmierung von mehreren Steuergeräten über verschiedene HW-Interfaces bzw. Diagnosekanäle kann zu jedem angeschlossenen HW-Interface, das über die EDIABAS-Schnittstelle initialisiert werden kann, eine eigene WinKFPT Instanz aufgerufen werden.


Betriebsarten

Es gibt zwei Hauptbetriebsarten:

1. Dialogbetrieb

2. Batchbetrieb

und eine Sonderbetriebsart des WinKFPT:

3. Compilerbetrieb

Folgende Tabelle enthält eine kurze Beschreibung der Betriebsarten des WinKFPT:

Betriebsart

Beschreibung

Dialogbetrieb

= Normalbetrieb – alle Eingaben für eine SG-Programmierung werden vom Benutzer im Dialog eingegeben.

Batchbetrieb

Kann aus dem Dialogbetrieb oder beim Aufruf mit entsprechenden Aufrufparametern gestartet werden.

SG-Programmierung(en) werden über bestimmte Steuerdateien konfiguriert und gestartet.

Compilerbetrieb

Diese Betriebsart wird mit einem Sonder-Aufrufparameter gestartet und dient nur zur Übersetzung einer PABD im Sourcecode (xxx.ips).

Die Objectcode-Datei (xxx.ipo) der PABD befindet sich nach der Übersetzung resident im PABD-Verzeichnis “<root>IDH_footnote_root\sgdat“.


SG-Programmierung im Dialogbetrieb

Grundsätzlich gibt es im Dialogbetrieb drei Möglichkeiten mit dem WINKFPT ein Steuergerät zu programmieren.

Zwei Möglichkeiten im Komfort-Modus IDH_komfort_modus:

1. Eingabe oder Auswahl der Zusammenbaunummer, Auswahl einer beliebigen Anzahl der dazu angebotenen Verbauorte, Eingabe der Fahrgestellnummer wenn ein AIF geschrieben wird und anschließende Programmierung des Steuergeräts bzw. der Steuergeräte im Komfort-Modus.

2. Auswahl einer Steuergerätefamilie und einer beliebigen Anzahl der dazu angebotenen Verbauorte und anschließende Aktualisierung des Steuergeräts bzw. der Steuergeräte im Komfort-Modus auf den neuesten ZusBauStand innerhalb der zugehörigen Reihe kompatibler Hardwarestände. Wenn ein Übergang zwischen nicht kompatiblen Hardwareständen durch einen Bootsektorupdate möglich ist, erfolgt das Hochschlüsseln des ZusBauStandes über den Hardwarebruch hinaus bis hin zu einem möglichen Wechsel der SG-Familie.

Eine Möglichkeit im Experten-Modus IDH_experten_modus:

3. Auswahl der erforderlichen PABD, P-SGBD und Datensatznamen und anschließende Programmierung des Steuergeräts im Experten-Modus.

Neben der Möglichkeit Steuergeräte zu programmieren werden eine Reihe von Spezial- und Diagnosefunktionen, wie z.B. "AIF lesen" oder "SG Status" unterstützt.


SG-Programmierung im Batchbetrieb

Der Batchbetrieb dient der Programmierung von beliebig vielen Steuergeräten hintereinander.

Das WinKFPT kann von einer externen Applikation im Batchbetrieb gestartet werden, dabei wird die Programmierung der Steuergeräte über eine Steuerdatei initiiert.


Architektur des WinKFPT

Das folgende Übersichtsbild zeigt die Architektur der Kommunikation zweier WinKFPT-Instanzen, die von einer Fremdapplikation aufgerufen wurden:


Systemanforderungen des WinKFPT

Um mit WinKFPT Steuergeräte programmieren zu können müssen die in folgender Tabelle dargestellten Systemanforderungen erfüllt sein:

Anforderung | Bemerkung
Rechner | mindestens einen PC PENTIUM II mit 64 MB RAM und 50 MB freies Speicherplatz
Betriebssystem | MS-Windows NT Version 4.0 oder MS-Windows XP
Instaliertes Diagnoseinterface | ADS, ADS-OBD, EDICcard, EDICcard2, EDICcardC, CANcard, CAN / Vector, Most / Optolyzer, Most / PC-Karte oder Funk / MDA
Instalierte EDIABAS Schnittstelle | ab Version 6.0.2
Steuergerät | Programmierbar


Installation des WinKFPT

Das Einrichten von WINKFPT erfolgt durch den Aufruf von WINKFPT32.EXE von der Installations-CD oder -Diskette.

Sie werden nach dem Ziel-Verzeichnis (<root>) gefragt, in dem die Software installiert werden soll.

Am Ende der Installation wird eine Verknüpfung zum Programm auf dem Desktop erstellt und eine Programmgruppe für UNINSTALL angelegt.

Ab Version 1.4 sind nach der Installation alle erforderlichen Konfigurationsdateien in rudimentärer Form vorhanden, so dass WINKFPT fehlerfrei hochläuft.

Die gewünschten Werksdaten (Komfort-Modus IDH_komfort_modus), bzw. PABD- und P-SGBD-Files sowie Datensätze und Programmstände (Experten-ModusIDH_experten_modus) können dann online mit der Import-Funktionalität des WINKFPT importiert werden (siehe “Menü Import/Export IDH_menue_import_export”).


Verzeichnisstruktur WinKFPT

WinKFPT wird in dem bei der Installation eingestellten Verzeichnis installiert.

Das Installations-Verzeichniss <root> enthält folgende Unterverzeichnisse:

· \<root>\BIN

· \<root>\CFGDAT

· \<root>\DATA

· \<root>\FORMAT

· \<root>\SGDAT

· \<root>\WORK

Das Installationsverzeichnis enthält zwei Dateien, die benötigt werden um das installierte WinKFPT bei Bedarf wieder zu entfernen:

· INSTALL.LOG, Datei mit der Uninstall-Information

· UNWISE.EXE, WinKFPT Uninstaller

Verzeichniss

Inhalt

\<root>\BIN

Verzeichnis enthält alle erforderlichen Programmdateien (EXE, DLL) und die Initialisierungs- bzw. Konfigurationsdateii WINKFPT.INI.

Ferner dient es als Arbeitsverzeichnis zur Ablage von Fehlerdateien und sonstigen, während des Programmlaufs erzeugten temporären Dateien (z.B.: INNENTMP_INTERFACE_unit.OUT).

CABIGER.DLL

Codierablaufinterpreter – Localization Support DLL

CABUS.DLL

Codierablaufinterpreter – Localization Support DLL (Englisch)

WINKFPT.INI

Konfigurationsdatei für WinKFPT

WINKFPT32.EXE

Executable für WinKFPT

WINKFPT32.HLP

Online-Hilfe für WinKFPT

ERROR_INTERFACE_unit.LOG

Fehlerdatei.

Jede Fehlerdatei bezieht sich auf eine Instanz des WinKFPT.

Für die Zuordnung zu der entsprechenden Instanz enthält der Dateiname den HW-Interface- und Unit-Bezeichner.

INTERFACE

HW-Interface Bezeichner

_unit

Unit Bezeichner(_, A, B, C, ...)

*.OUT

Während des Programmlaufs erzeugte temporäre Dateien

\<root>\CFGDAT

Verzeichnis enthält die Initialisierungsdateien:

INPA.INI

Initialisierungsdatei für den Codierablauf-interpreter.

Die Inhalte dieser Datei sind mit der Auslieferung des WinKFPT festgelegt und dürfen nicht vom Benutzer verwendet werden.

Für weitere Informationen, siehe Systembe-schreibung der COAPI.

COAPI.INI

Konfiguration für das Codierapplikationsinterface

Verzeichnis enthält ferner die Textdateien für Fehlermeldungen:

COAPIERR.TXT

Textdatei für COAPI- Fehlermeldungen

EDIERROR.TXT

Textdatei für EDIABAS- Fehlermeldungen

\<root>\DATA\DEVELOP

Verzeichnis enthält die Programmierdaten-Dateien, die in der Betriebsart Experten-ModusIDH_experten_modus zur Verfügung stehen.

*.PAF

Programm Austausch Dateien

*.DAF

Daten Austausch Dateien

*.BAF

NAAB Austausch Dateien

*.0PA

Datensatzdateien für Programm

*.0DA

Datensatzdateien für Daten

*.0BA

Datensatzdateien für NAAB

\<root>\DATA\GDATEN

Verzeichnis enthält die Logistikdateien für SG-Programmierung. Diese müssen immer vorhanden sein. Die Dateien werden durch den Import eines Werkdatenspakets geladen:

KFCONFxx.DA2

Enthält alle Sg-Member und zu jedem die dazu gehörigen Namen der Beschreibungs- und SG-spezifischen Logistikdateien und eine Datensatzkennung.

SWTCONFx.DAT

Enthält Daten zu Sweeping Technologies

HWNR.DA2

Enthält alle jemals vergebenen Hardwarenummern aller SGs

NPV.DAT

Logistikdatei für Nachrüstmaßnahmen in der HO. Für WinKFPT nicht relevant.

Spezielle Konfigurationsdateien, die bei Bedarf vorhanden sein müssen:

INFO.GER

Enthält den Verbauort eines SgMember im Klartext für die Bedienerauswahl in WinKFPT, z.B. “Beifahrerseite hinten“.

Im allgemeinen existieren diese Verbauorttexte nur für SGs, die unterschiedliche SgMember d.h. Verbauorte haben, aber zu selben SG-Familie gehören.

<optional> nur für den Komfort-Modus IDH_komfort_modus zur Auswahl des Verbauortes ( = implizite Eingabe der SG-Adresse bei mehrfach verbauten Steuergeräten)

PRGIFSEL.DAT

Enthält beliebige Zuordnungen von SG-Familie zu HW-Interface und Diagnoseprotokoll.

<optional> nur für Batchbetrieb zur Programmierung mehrerer Steuergeräte hintereinander

SGIDC.AS2

Enthält die Authentisierungsschlüssel aller SGs für den Authentisierungslevel “3“.

<optional> nur für Steuergeräte mit Authentisierung.

SGIDD.AS2

Enthält die Authentisierungsschlüssel aller SGs für den Authentisierungslevel “4“.

<optional> nur für Steuergeräte mit Authentisierung.

HISTORIE.BSU

Enthält die notwendigen Angaben zur Ermittlung der Möglichkeit eines Bootsektorupdates für alle betroffenen Steuergeräte.

<optional> ermöglicht für bestimmte Steuergeräte einen Bootsektorupdate.

\<root>\DATA\<SgFam>

Verzeichnis enthält jeweils die ASCII-Programmierdaten für eine SG-Familie <SgFam>. Diese Verzeichnisse werden in der Betriebsart Komfort-Modus verwendet.

Achtung: es müssen jeweils alle Logistik-Dateien einer SG-Familie vorhanden sein. Dies sind:

<SgFam>.DAT

Enthält alle aktuellen Zusammenbaunummern einer SG-Familie.

<SgFam>.HIS

Enthält alle jemals vergebenen kompatiblen Zusammenbaunummern einer SG-Familie in einer, oder mehreren Reihen.

<SgFam>.HWH

Enthält die Historie kompatibler Hardwarenummern einer SG-Familie in einer, oder mehreren Reihen.

\<root>\DATA\KONV

Verzeichnis enthält die komprimierten Programmierdaten im MoDiC/DIS-Format.

\<root>\DATA\KONV.TMP

Temporäres Verzeichnis zur Ablage von Programmierdaten-Dateien beim Lauf vom WinKFPT durch mehreren Instanzen:

\<root>\DATA\KONV.TMP2,

\<root>\DATA\KONV.TMP3 usw...

\<root\SGDAT

Verzeichnis enthält die Headerdateien und PABDs im Source Code bzw. im compiliertem Code.

* . IPS

PABDs im Source Code

* . IPO

PABDs im compiliertem Code

Der Sourcecode der Programmier-Ablauf-Beschreibungsdateien (PABD) liegt in der INPA-Skriptsprache vor.

Dateien können im Sourcecode oder in compilierter Form vorliegen, wobei die compilierte Form mit dem CABI-Compiler aus dem Source Code erzeugt wird.

Da die Funktionalität des CABI-Compilers in der COAPI integriert ist, kann WinKFPT beide Formen einer PABD verarbeiten.

\<root>\WORK

Arbeitsverzeichnis für COAPI und Winkfpt zur Ablage von Trace- und anderen temporären Dateien.

Das Arbeitsverzeichnis kann über die COAPI.INI-Datei geändert werden. Das Arbeitsverzeichnis muß angelegt sein, da sonst das WinKFPT nicht startet.


Konfiguration des Basisverzeichnisses

Konfiguration des Basisverzeichnisses für die WinKFPT-Arbeitsverzeichnisse

Über den Hauptmenüpunkt „Konfiguration IDH_menue_konfiguration“ kann jederzeit das Basisverzeichnis für die Arbeitsverzeichnisse neu eingestellt werden.

Dadurch ist es möglich, dass mehrere WinKFPT-Instanzen mit einem zentralen Satz von Arbeitsverzeichnissen arbeiten, der sich irgendwo in einer Netzwerkumgebung befindet.

Ein neues Basisverzeichnis wird nur angenommen, wenn alle Arbeitsverzeichnisse darunter vorhanden sein und den minimalen Satz an Dateien enthalten, wie sie nach einer Neuinstallation vorhanden sind.

Ansonsten erfolgt eine Fehlermeldung und das zuvor gültige Basisverzeichnis wird beibehalten.

Hinweis:

Schon vorhandene Programmiereinstellungen sind nach einem Wechsel der Arbeitsverzeichnisse möglicherweise nicht mehr gültig.


Konfiguration des WinKFPT

WinKFPT wird über folgende Initialisierungsdateien konfiguriert:

Konfigurationsdatei | Inhalt
COAPI.INI | Konfiguration für das Codierapplikationsinterface
WINKFPT.INI | Konfiguration für das WinKFPT
EDIABAS.INI | Konfiguration für das Diagnose HW-Interface


Konfiguration in COAPI.INI

Die Initialisierungsdatei "<root>IDH_footnote_root\CFGDAT\COAPI.INI" dient zur Konfiguration von Verzeichnissen, Dateinamen und Systemdaten für die COAPI-Kernfunktionen. Folgende Sektionen und Einträge sind für das WinKFPT von Bedeutung:

Konfigurationseintrag

Mögliche Einstelung

Default

Beschreibung

[Pfadangaben]

In dieser Sektion sind Pfade für Konfigurationsdateien, Daten und Tracedateien eingestellt.

WORKING_DIR

Voll-Pfad oder relativ zu <root>IDH_footnote_root

<root>IDH_footnote_root\WORK

Eintrag gibt das Verzeichnis an, das für COAPI-Tracedateien und für temporäre Dateien verwendet wird

ERROR_TEXTE

Voll-Pfad oder relativ zu <root>IDH_footnote_root

<root>IDH_footnote_root\CFGDAT

Der Eintrag gibt das Verzeichnis an, in dem sich die COAPI-Fehlertextdatei befindet.

GENERAL_KF_DATA_PATH

Voll-Pfad oder relativ zu <root>IDH_footnote_root

<root>IDH_footnote_root\DATA

Der Eintrag gibt das Verzeichnis an, in dem sich die Programmierdaten befinden

[Kennfeldprog]

In dieser Sektion befinden sich Einträge, die speziell für die Kennfeldprogrammierung erforderlich sind.

SERIENNUMMER

Wert 5-stellig

12345

Der Eintrag gibt den Wert an, der als Seriennummer im Anwenderinfofeld eingetragen wird.

KUNDENNUMMER

Wert 5-stellig

11111

Der Eintrag gibt den Wert an, der als Kundennummer im Anwenderinfofeld eingetragen wird.

KM

Wert maximal

2-stellig

0

Der Eintrag gibt den Wert an, der als Kilometerstand im Anwenderinfofeld eingetragen wird.

ZBNUMMER IDH_footnote_expert_mit_aif

Wert 7-stellig

0000000

Der Eintrag gibt den Wert an, der als Zusammenbaunummer im Anwenderinfofeld eingetragen wird.

SWNUMMER IDH_footnote_expert_mit_aif

Wert 7-stellig

0000000

Der Eintrag gibt den Wert an, der als Softwarenummer im Anwenderinfofeld eingetragen wird.

TYPNUMMER IDH_footnote_expert_mit_aif

Wert 7-stellig

0000000

Der Eintrag gibt den Wert an, der als Typprüfnummer im Anwenderinfofeld eingetragen wird.

AEINDEX IDH_footnote_expert_mit_aif

Wert 2-stellig

00

Der Eintrag gibt den Wert an, der als Änderungsindex im Anwenderinfofeld eingetragen wird.

[Setup]

In dieser Sektion wird eingestellt, welche Form der PABD im WINKFPT zur Auswahl angezeigt werden soll.

CabdFormat

IPS

IPO

COM

IPO

Der Eintrag definiert ob die COAPI (als Teil von WinKFPT), PABDs als Source Dateien oder als compilierte Dateien verwenden soll. Dieser Eintrag ist jedoch irrelevant, da er durch den korrespondierenden Eintrag in der WinKfpt.ini bzw. der Einstellung im Dialog Konfiguration außer Kraft gesetzt wird.

IPS PABDs als Source

Dateien

IPO PABDs als compilierte

Dateien

COM WinKFPT compiliert

Ausgewälte *.IPS Dateien

und erzeugt *.IPO

Dateien. Compilierung

wird beim PABD Datei

Auswahl im Experten

Modus gestartet.

BsuActive

ON

OFF

ON

Das Flag beeinflusst das Verhalten der COAPI-Funktion: coapiKfCheckBsuPossibleD2

Bei BsuActive=OFF gibt die Funktion grundsätzlich nicht den Namen einer NAAB-Datei zurück, d.h. ein Bootsektorupdate ist nicht durchführbar, auch wenn er lt. ”historie.bsu” möglich wäre.

Die Defaulteinstellung bzw. die Einstellung des Flags gemäß des Konfigurations-eintrags in “COAPI.INI” erfolgt in der COAPI-Funktion:

“coapiKfInit ()”.


Konfiguration in WINKFPT.INI

Die Initialisierungsdatei "<root>IDH_footnote_root\BIN\WINKFPT.INI" dient zur Konfiguration von Eigenschaften des WinKFPT.

Folgende Sektionen und Einträge sind für das WinKFPT von Bedeutung:

Konfigurationseintrag

Mögliche Einstelung

Default

Beschreibung

[Einstellungen]

In dieser Sektion sind Pfade für Konfigurationsdateien, Daten und Tracedateien eingestellt.

WindowPosition

--

0,1,-1,-1,

-1,-1,0,0,

643,424

Der Eintrag speichert die letzte Windowsgröße des WinKFPT bei Beenden des Programms. Bei Neustart wird das Programm mit den selben Koordinaten gestartet.

SPRACHE

ger

eng

ger

Der Eintrag legt die Sprache für WinKFPT fest. Möglich sind Deutsch (ger) und Englisch (eng).

U_PROG

ON

OFF

ON

Der Eintrag gibt an, ob bei der Programmierung die Programmierspannung ein- (ON), bzw. aus- (OFF) geschaltet wird.

SCHNELLE_BAUDRATE

ON

OFF

ON

Der Eintrag gibt an, ob bei der Programmierung die schnelle Baudrate verwendet wird (ON) oder nicht (OFF).

ANZEIGE_U_PROG

ON

OFF

ON

Der Eintrag gibt an, ob bei der Programmierung der Wert der Programmierspannung angezeigt wird (ON) oder nicht (OFF).

EXPERT_MIT_AIF

ON

OFF

ON

Der Eintrag gibt an, ob bei der Programmierung im Experten-ModusIDH_experten_modus das AIF mitprogrammiert wird (ON) oder nicht (OFF).

KOMFORT_MIT_AIF

ON

OFF

ON

Der Eintrag gibt an, ob bei der Programmierung im Komfort-Modus IDH_komfort_modus das AIF mitprogrammiert wird (ON) oder nicht (OFF).

AIF_SCHREIBEN_NACH_DATEN

ON

OFF

ON

Der Eintrag gibt an, ob bei der Daten-Programmierung im Experten-Modus das AIF mitprogrammiert wird (ON) oder nicht (OFF).

AIF_SCHREIBEN_NACH_PROGRAMM

ON

OFF

ON

Der Eintrag gibt an, ob bei der Programm- Programmierung im Experten-Modus das AIF mitprogrammiert wird (ON) oder nicht (OFF).

API_TRACE

0 – 7

OFF ( = 0)

ON ( = 1)

1

Der Eintrag gibt den Tracelevel der API-Traces von EDIABAS bei der Programmierung an. Tracelevel 0 bedeuted, daß keine Traces erzeugt werden

IFH_TRACE

0 – 3

OFF ( = 0)

ON ( = 1)

1

Der Eintrag gibt den Tracelevel der IFH-Traces von EDIABAS bei der Programmierung an. Tracelevel 0 bedeuted, daß keine Traces erzeugt werden

PROGRAMM_ERZWINGEN

ON

OFF

OFF

Der Eintrag gibt an, ob der Programmierung im Komfort-Modus auch ein Programm programiert wird, wenn eigentlich nur eine Datenprogrammierung notwendig wäre.

TEST_CHECKSUMME

ON

OFF

ON

Der Eintrag gibt an, ob nach der Programmierung der Daten, die Checksumme überprueft wird (ON) oder nicht (OFF).

CabdFormat

IPS

IPO

(COM)

IPO

Der Eintrag definiert ob WinKFPT, PABDs als Source Dateien oder als compilierte Dateien verwenden soll.

IPS PABDs als Source

Dateien

IPO PABDs als compilierte

Dateien

COM steht für den Compiler -

modus. Er muß jedoch nicht

händisch in der Ini-Datei

gesetzt werden, sondern

wird automatisch durch den

Aufrufparameter ”-C”

temporär eingestellt.

ErrorLogPath

beliebiger Pfad

.\

Ablageverzeichnis für die Datei ERRORn.LOG

ExpertKonfPath

beliebiger Pfad

C:\

Diagprog

Basisverzeichnis für den Export einer Konfiguration von Entwicklungsdateien (Experten-Modus)

KomfortKonfPath

beliebiger Pfad

C:\NFS-Backup

Basisverzeichnis für den Export einer Konfiguration von Werksdaten (Komfort-Modus)

CoapiSearchPath

beliebiger Pfad

..\

Basisverzeichnis für WinKFPT-Arbeitsverzeichnisse

[HW-Interface]

In dieser Sektion werden die HW-Interfaces eingetragen, zwischen denen während der Benutzung des WINKFPT online umgeschaltet werden kann.

Interfaces sind mittels folgender Syntax zu definieren:

[Beschreibung] = [HW-Interface Bezeichner]

Beispiel:

K-Line / EDIC=EDIC

K-Line / ADS-OBD=STD:OBD

CAN / EDIC=EDICC

CAN / Vector=STD:CAN

Most / Optolyzer=STD:MOSTO

Most / PC-Karte=STD:MOSTP

Die Buchstabenreihe für [Beschreibung] ist beliebig.

Die als [Beschreibung] eingetragenen Texte werden dem Bediener bei Auswahl des Menüpunkts Komunikation à HW Interface in einer HW-Interface-Auswahlliste angeboten, (z.B.: K-Line / EDIC).

[HW-Interface Bezeichner] wird intern im WinKFPT-Programm verwendet.

Der Bezeichner ist festgelegt und muss dem "EDIABAS" bekannt sein, damit "EDIABAS" das HW-Interface auch initialisieren kann.

[Expert-Modus-Konfiguration]

In dieser Sektion wird die aktuelle Konfigurationseinstellung im Experten-Modus bei Programmende durch den Anwender bei Bedarf abgespeichert. Bei Programmstart und Einstieg in den Experten-Modus hat der Anwender die Möglichkeit diese Konfigurationseinstellung wieder zu laden.

KF_HW_INTERFACE

HW-Interface Bezeichner

leer

Gespeicherte Einstellung von HW-Interface im Experten-Modus.

Interface kann durch Menüpunkt Komunikation à HW Interface ausgewählt werden.

KF_HW_INTERFACE_UNIT

_, A, B, C, D, E

leer

Gespeicherte Einstellung von HW-Interface Unit im Experten-Modus.

Interface Unit kann durch Menüpunkt Komunikation à HW Interface ausgewählt werden.

KF_DIAG_PROT

Bezeichner des Diagnoseproto-kolls

leer

Gespeicherte Einstellung von Diagnoseprotokoll im Experten-Modus, bei einer PSGBD Datei, die mehrere Diagnoseprotokolle unterstützt,

Diagnoseprotokoll kann durch Menüpunkt Komunikation à Diagnoseprotokoll ausgewählt werden.

KF_PSGBD

PSGBD Dateiname

leer

Gespeicherte Einstellung von PSGBD Dateiname im Experten-Modus.

PSGBD Datei kann durch Funktionstaste Experten Modus à PSGBD ausgewählt werden.

KF_PABD

PABD Dateiname

leer

Gespeicherte Einstellung von PABD Dateiname im Experten-Modus.

PABD Datei kann durch Funktionstaste Experten Modus à PABD ausgewählt werden.

KF_SG_ADR

SG-Adresse

leer

Gespeicherte Einstellung von SG-Adresse im Experten-Modus.

SG-Adresse kann durch Funktionstaste Experten Modus à SG-Adresse ausgewählt werden.

KF_DATEN_DATEI

Datendatei-

Name

leer

Gespeicherte Einstellung von Datensatzdatei für Daten im Experten-Modus.

Datensatzdatei für Daten kann durch Funktionstaste Experten Modus à Datendatei ausgewählt werden.

KF_PROGRAMM_DATEI

Programmdatei-

Name

leer

Gespeicherte Einstellung von Datensatzdatei für Programm im Experten-Modus.

Datensatzdatei für Programm kann durch Funktionstaste

Experten Modus à Programmdatei ausgewählt werden.

KF_NAAB_DATEI

NAAB-Datei-

Name

leer

Gespeicherte Einstellung von Datensatzdatei für NAAB im Experten-Modus.

Datensatzdatei für NAAB kann durch Funktionstaste

Experten Modus à NAAB-Datei ausgewählt werden.

ACHTUNG: Die Einträge in dieser Sektion sollen vom Anwender nur über das WINKFPT vorgenommen werden und nicht per Editor!


Konfiguration für den Experten-Modus

Der Bediener hat die Möglichkeit eine Konfiguration im Experten-ModusIDH_experten_modus bei Bedarf abzuspeichern und auch wieder zu laden.

Eine Konfigurationseinstellung im Experten-Modus ergibt sich aus der freien Auswahl folgender Auftragsdaten und Einstellungen:

· HW-Interface und Unit

· Diagnoseprotokoll

· P-SGBD

· PABD

· Steuergeräteadresse

· Datendatei

· Programmdatei

· BSU NAAB-Datei

HW-Interface und Unit wird durch Menüpunkt Komunikation à HW Interface im Experten Modus ausgewählt (siehe “Auswahl HW-Interface IDH_auswahl_hw_interface”).

Diagnoseprotokoll wird durch Menüpunkt Komunikation à Diagnoseprotokoll im Experten Modus ausgewählt (siehe “Auswahl Diagnoseprotokoll IDH_auswahl_diagnoseprotokoll”).

P-SGBD wird über die Funktionstaste “P-SGBD” im Experten Modus ausgewählt (siehe “Funktion P-SGBD laden IDH_funktion_p_sgbd_laden”).

PABD wird über die Funktionstaste “PABD” im Experten Modus ausgewählt (siehe “Funktion PABD laden IDH_funktion_pabd_laden”).

Steuergeräteadresse wird über durch Funktionstaste “SG-Adresse” im Experten Modus eingegeben (siehe “Funktion SG-Adresse laden IDH_funktion_sg_adresse_laden”).

Datendatei wird über die Funktionstaste “Datendatei” im Experten Modus ausgewählt (siehe “Funktion Datensatz laden – Daten IDH_funktion_datensatz_laden_daten”).

Programmdatei wird über die Funktionstaste “Programmdatei” im Experten Modus ausgewählt (siehe “Funktion Datensatz laden – Programm IDH_funktion_datensatz_laden_programm”).

NAAB-Datei wird über die Funktionstaste “NAAB-Datei” im Experten Modus ausgewählt (siehe “Funktion Datensatz laden – NAAB IDH_funktion_datensatz_laden_naab”).


Speichern einer Konfigurationseinstellung für den Experten-Modus

Wenn der Bediener während einer WINKFPT-Anwendung mindestens einmal den Experten-ModusIDH_experten_modus eingeschaltet hatte, dann hat er vor dem Beenden des WINKFPT grundsätzlich die Möglichkeit die , von ihm vorgenommenen aktuellen Einstellungen im Experten-Modus abzuspeichern, um sie beim nächsten Programmstart wieder zur Verfügung zu haben.

Dabei erscheint bei Beendigung des WinKFPT folgender Dialog:

Abbildung: Speichern einer Konfiguration für Experten-Modus

Die Abbildung zeigt als Beispiel eine vollständige Konfigurationseinstellung.

Die Konfigurationseinstellung kann mit “OK” gespeichert, oder mit “Cancel” verworfen werden.

Die Konfigurationseinstellung wird in WINKFPT.INI in der Sektion [Expert-Modus-Konfiguration] gespeichert (siehe “Konfiguration in WINKFPT.INI IDH_konfiguration_in_winkfpt_ini”).


Laden einer Konfigurationseinstellung für den Experten-Modus

Wenn eine Konfigurationseinstellung mit mindestens einem Eintrag existiert, entweder nach Programmstart aus der Konfigurationsdatei WINKFPT.INI oder aus einer vorherigen Eingabe im Experten-ModusIDH_experten_modus, dann wird diese Einstellung beim ersten bzw. erneuten Eintritt in den Experten-Modus dem Anwender zum Laden angeboten.

Dabei erscheint folgender Dialog:

Abbildung 3‑2: Laden einer Konfiguration für Experten-Modus

Die Konfigurationseinstellung kann mit “OK” übernommen, oder mit “Cancel” verworfen werden.

Sollte das PABD-Format der PABD nicht mit dem aktuell eingestellten Format übereinstimmen, so wird der Benutzer darauf hingewiesen und kann das Format automatisch umstellen lassen.

Wenn die Konfigurationseinstellung übernommen wird, werden die entsprechenden Statusanzeigen im Hauptmenüfenster des WinKFPT aktualisiert (siehe “Statusanzeigen des WinKFPT IDH_statusanzeigen_des_winkfpt”).

Bei Übernahme der Konfigurationseinstellung bestimmt der Umfang der Auftragsdaten in der Konfigurationseinstellung, in welche Funktionsebene des Experten-Modus gewechselt wird (siehe “Funktionsebenen im Experten-Modus IDH_funktionsebenen_im_experten_modus“).


Löschen einer Konfigurationseinstellung für den Experten-Modus

Im Gegensatz zum Laden kann bei Programmende auch eine vollständig leere Konfigurationseinstellung abgespeichert und damit alle Einträge der Sektion [Expert-Modus-Konfiguration] in WINKFPT.INI gelöscht werden.

Um Konfigurationseinstellungen zu löschen, sind folgende Schritte durchzuführen:

· WinKFPT starten

· Experten-Modus IDH_experten_modus starten mit “Experten-Modus”

· Im Dialog “Letzte Konfiguration Laden “Cancel” betätigen

· WinKFPT beenden mit Ende àExit

· Im Dialog “Letzte Konfiguration Speichern?” wird eine leere Konfigurationseinstellung zum Speichern angeboten. Leere Konfigurationseinstellung mit “OK” abspeichern.

WinKFPT wird beendet und die Konfigurationseinträge in der Sektion [Expert-Modus-Konfiguration] in WINKFPT.INI werden gelöscht.

Beim nächsten Start des WinKFPT und Aufruf des Experten-Modus werden keine Konfigurationseinstellungen zum Laden angeboten.


Konfiguration in EDIABAS.INI

Die Initialisierungsdatei "<ediabas>IDH_footnote_ediabas\CFGDAT\EDIABAS.INI" enthält die Konfiguration für das Diagnose HW-Interface.

Konfigurationseintrag | Mögliche Einstelung | Default | Beschreibung
[Configuration] | Diese Sektion enthält Konfigurationseinträge für EDIABAS.
Interface |  | EDIC | Der eingetragene Bezeichner wird bei einem WinKFPT-Start ohne Aufrufparameter als Default HW-Interface initialisiert.


Referenz-Konfiguration des WinKFPT

Nachfolgende Abbildungen zeigen die Defaultkonfiguration für das WinKFPT nach einer Neuinstallation:

[Einstellungen]

; allgemeine Einstellungen

WindowPosition=0,1,-1,-1,-1,-1,0,0,643,424

U_PROG=ON

SCHNELLE_BAUDRATE=ON

ANZEIGE_U_PROG=OFF

TEST_CHECKSUMME=ON

PROGRAMM_ERZWINGEN=OFF

; Aif schreiben

AIF_SCHREIBEN_NACH_DATEN=OFF

AIF_SCHREIBEN_NACH_PROGRAMM=OFF

EXPERT_MIT_AIF=OFF

KOMFORT_MIT_AIF=OFF

; Trace

API_TRACE=ON

IFH_TRACE=ON

[HW-Interface]

K-Line / ADS=ADS

K-Line / EDIC=EDIC

K-Line / ADS-OBD=STD:OBD

CAN / EDIC=EDICC

CAN / Vector=STD:CAN

Most / Optolyzer=STD:MOSTO

Most / PC-Karte=STD:MOSTP

Funk / MDA=STD:FUNK

Abbildung: Referenz-Konfiguration in der WINKFPT.INI Datei

; Initialisierungsdatei fuer COAPIKF-Funktionen

[Pfadangaben]

ERROR_TEXTE = ..\CFGDAT

WORKING_DIR = ..\WORK

; genereller Pfad fuer Kennfeld-Daten

GENERAL_KF_DATA_PATH = ..\DATA

[Kennfeldprog]

TEMP_DAT_FILE_DEFAULT_NAME = KFLISTE.DAT

; Daten

SERIENNUMMER = 42324

KUNDENNUMMER = 12321

KM = 0

ZBNUMMER = 0000000

SWNUMMER = 0000000

TYPNUMMER = 0000000

AEINDEX = 00

; SG Dateien komprimieren

; 1 -> Dateien werden immer komprimiert (Für Datenupdate über Netz

; während Applikation läuft)

Abbildung: Referenz-Konfiguration in der COAPI.INI Datei

Sektion [Configuration]

;-------------------------------------------------------

; Interface

; Description : Connected diagnosis interface

; Default     = EDIC

Interface=STD:OBD

Abbildung: Referenz-Konfiguration in der EDIABAS.INI Datei


Start des WinKFPT

Sie können das WinKFPT ohne Aufrufparameter, oder mit bestimmten Kombinationen von verschiedenen Aufrufparametern starten.

Die Aufrufparameter dienen dazu, dass sich das WinKFPT nach dem Start sofort in einer gewünschten Betriebsart befindet, bzw. bestimmte Betriebsparameter mit den gewünschten Werten voreingestellt sind.


Aufrufparameter des WinKFPT

WinKFPT kennt folgende Aufrufparameter:

Parameter-Name | Parameter-wert | Beschreibung | Defaultwert
-RUN | - | Startet WinKFPT sofort im Batchbetrieb. Beispiel: winkfpt32 –RUN | -
-BATCH= | <Steuerdatei> | Pfad und Name einer Steuerdatei für den Batchbetrieb. Beispiel: winkfpt32 –RUN –BATCH=update_ek928 | “<root>IDH_footnote_root\bin\winkfpt.ctl”
-INTERFACE= | <HW-Interface> | Legt das HW-Interface (z.B. ADS, EDIC) fest, das beim Start aktiv sein soll. Es kann später im Dialogbetrieb mit Hauptmenüpunkt “HW-Interface” geändert werden. Beispiel: winkfpt32 –INTERFACE=STD:OBD | Einstellung in “EDIABAS.INI“
-UNIT= | <Interface-Unit> | Legt die Unit (_, A, B, C, ....., Z) fest, die beim Start aktiv sein soll. Es kann später im Dialogbetrieb mit Hauptmenüpunkt “HW-Interface” geändert werden. Beispiel: winkfpt32 –UNIT=A | “_“
-WITH_MOSTFIREWALL= | <ON/OFF> | Reicht den Wert als Parameter “WITH_MOSTFIREWALL” an die PABD weiter. Beispiel: winkfpt32 –WITH_MOSTFIREWALL=ON | “OFF“
-TESTER_ID= | <Hex-Wert> | Reicht den Wert als Parameter “ TESTER_ID ” an die PABD weiter. Beispiel: winkfpt32 -TESTER_ID=FA | “F1“
-C | <PABD-Dateiname> | Compiliert eine IPS-Datei (PABD-Sourcedatei). In WinKfpt.ini und coapi.ini muß nicht CabdFormat=COM eingestellt werden. Beispiel: winkfpt32 –C 16ek928 |

Tabelle: Aufrufparameter des WinKFPT


Typbeschreibung der Aufrufparameter des WinKFPT

Die Aufrufparameter des WinKFPT lassen sich in 3 Typgruppen einteilen:

1. Parameter für die Einstellung der Betriebsart

2. Parameter nur für Batchbetrieb

3. Allgemeine Parameter für Batch- und Dialogbetrieb

Die Parameter für die Einstellung einer Betriebsart sind:

· -C startet WinKFPT im Compilerbetrieb – kein weiterer Parameter ist zugelassen!

· -RUN startet WinKFPT im Batchbetrieb

· kein Par. wenn als Aufrufparameter weder –C noch –RUN angegeben ist, dann startet das WinKFPT im Dialogbetrieb, der für einen Benutzer in der Steuergeräteentwicklung den Normalbetrieb darstellt.

Folgender Parameter wird nur für den Batchbetrieb verwendet:

· -BATCH

Die allgemeinen Parameter für Batch- und Dialogbetrieb sind:

· -INTERFACE

· -UNIT

· -WITH_MOSTFIREWALL

· -TESTER_ID


Statusanzeigen des WinKFPT

Als visuelle Kontrollanzeigen für den Benutzer nach Bedienereingaben, oder während automatischer Abläufe wie SG-Programmierung oder Import von Dateien werden im Hauptmenüfenster folgende Statusanzeigen ausgegeben:

Statusanzeige

Beschreibung

SG-Adresse

Die Steuergeräteadresse wird explizit nur angezeigt, wenn für das betreffende Steuergerät, zur Programmierung die Standardbeschrei-bungsdateien verwendet werden.

Bei Steuergeräten mit “älteren“ Beschreibungsdateien kann keine SG-Adresse angezeigt werden und es erscheint stattdessen der Text:

PABD verwendet interne Adresse

Wird angezeigt:

§ nach Auswahl der Beschreibungsdateien und Eingabe der SG-Adresse im Experten-Modus IDH_experten_modus (Dialogbetrieb)

§ nach Auswahl eines Verbauortes und Eingabe der SG-Adresse im Komfort-Modus IDH_komfort_modus (Dialogbetrieb)

§ während einer SG-Programmierung im Batchbetrieb

Verbauort

Es gibt Steuergeräte für den Mehrfachverbau, die zur gleichen SG-Familie gehören, aber unterschiedliche Adressen haben, wie z.B. Steuergeräte für die Sitzbelegungserkennung.

Um den Bedienerkomfort zu erhöhen wird die Auswahl eines Steuergerätes nicht über die SG-Adresse, sondern über aussagekrätige Texte über den Verbauort des Steuergerätes, ermöglicht (z.B.: Beifahrersitz hinten links).

Die Texte für die Bedienerauswahl kommen aus der Datei info.ger

Wird angezeigt:

§ nach Auswahl eines Verbauortes im Komfort-Modus (Dialogbetrieb)

Fahrgestellnummer

Im Komfort-Modus des Dialogbetrieb wird die Fahrgestellnummer nur angezeigt, wenn nach einer Programmierung das AIF (Anwender-Info-Feld) geschrieben wird.

Wird angezeigt:

§ nach Auswahl eines Verbauortes im Komfort-Modus (Dialogbetrieb)

§ während einer SG-Programmierung im Batchbetrieb – zur Anzeige kommt die Fahrgestellnummer aus der Steuerdatei für den Batchbetrieb.

ZB-Nummer

Die Zusammenbaunummer definiert den zu programmierenden Programm- und Datenstand eines Steuergerätes.

Wird angezeigt:

§ im Experten-Modus (Dialogbetrieb), wenn nach einer Programmierung ein AIF (Anwender-Info-Feld) geschrieben werden würde. In diesem kommt die ZB-Nummer aus der Konfigurationsdatei COAPI.INI zur Anzeige.

§ nach Auswahl eines Verbauortes im Komfort-Modus (Dialogbetrieb)

§ während einer SG-Programmierung im Batchbetrieb

HW-Nummer

Die Hardwarenummer definiert den programmierten Programmstand eines Steuergerätes.

Wird angezeigt:

§ während einer SG-Programmierung im Experten-Modus (Dialogbetrieb

§ während einer SG-Programmierung im Komfort-Modus (Dialogbetrieb)

§ während einer SG-Programmierung im Batchbetrieb

HW-Interface

Das Default-, bzw. ausgewählte HW-Interface wird immer angezeigt.

Interface-Unit

Die Default-, bzw. ausgewählte Interface-Unit wird immer angezeigt.

Diagnoseprotokoll

Das Default-, bzw. ausgewählte Diagnoseprotokoll wird immer angezeigt, wenn das SG die Kommunikation mit mindestens 2 Diagnoseprotokollen ermöglicht.

PABD

Programmier-Ablauf-Beschreibungs-Datei

Wird angezeigt:

§ nach Auswahl im Experten-Modus (Dialogbetrieb)

§ nach Auswahl eines Verbauortes im Komfort-Modus (Dialogbetrieb)

§ während einer SG-Programmierung im Batchbetrieb

P-SGBD

Programmier-Steuer-Geräte-Beschreibungs-Datei

Wird angezeigt:

§ nach Auswahl im Experten-Modus (Dialogbetrieb)

§ nach Auswahl eines Verbauortes im Komfort-Modus (Dialogbetrieb)

§ während einer SG-Programmierung im Batchbetrieb

Fortschrittsbalken

Informiert über den zeitl. Verlauf eines längeren automatischen Vorgangs in Prozent (0% - 100% in Einerschritten).

Wird angezeigt während:

§ Programmierung (Programm und Daten)

§ Import/Export von Werksdatenpaketen, Daten- oder Beschreibungsdateien

Bootsektorupdate

Wird immer angezeigt und informiert, ob der Bootsektorupdate AKTIVIERT oder NICHT AKTIVIERT ist.

Die Einstellung kann jederzeit über den Hauptmenüpunkt “Konfiguration” geändert werden.

Tabelle: Statusanzeigen des WinKFPT


Start des WinKFPT im Compilerbetrieb

Um das WinKFPT im Compilerbetrieb zu starten gibt es nur einen möglichen Aufruf:

winkfpt32 –C <dateiname>

Die Angabe des Dateinamens der PABD (=IPS-Datei) erfolgt ohne Pfadangabe und Dateiextension, andernfalls wird WinKFPT mit einer zu quittierenden Fehlermeldung abgebrochen. Für die Compilierung muß in der winkfpt.ini und coapi.ini nicht händisch CabdFormat=COM gesetzt werden. Dies geschieht automatisch und temporär durch WinKFPT.

Die zu compilierende PABD, z.B. 10gd8600.ips muß im Verzeichnis “<root>IDH_footnote_root\sgdat“ vorhanden sein.

Nach dem Start des WinKFPT erscheint das folgende Dialogfenster:

Abbildung: Dialogfenster im Compilerbetrieb

Bei Betätigung von “Abbrechen“ wird das WinKFPT ohne weitere Reaktion beendet.

Bei Betätigung von “OK“ wird die entsprechende PABD compiliert und das Ergebnis der Compilierung in einer Message-Box angezeigt.

Im Fehlerfall wird mit der Datei cabi.err im Verzeichnis <root>IDH_footnote_root\bin ein Fehlerprotokoll angelegt, indem die, während der Compilierung, aufgetretenen Fehler eingetragen sind.

Ergebnisanzeige bei Compilierung o.k.:

Abbildung: Ergebnisanzeige im Compilerbetrieb – Compilierung o.k.

Ergebnisanzeige bei Compilierung nicht o.k.:

Abbildung: Ergebnisanzeige im Compilerbetrieb – Compilierung nicht o.k.

Bei Quittierung der Message-Box mit“OK“ wird WinKFPT beendet.


Start mehrerer Instanzen im Batchbetrieb

Es können mehrere Instanzen von WinKFPT gleichzeitig im automatischen Batchbetrieb gestartet sein und Steuerdateien abarbeiten.

Dabei ist zu beachten, daß zwei Instanzen des WinKFPT nicht die gleiche Steuerdatei benutzen können.

Außerdem muß jede Instanz während der Abarbeitung seiner Steuerdatei über eine andere Hardware (Hardwareinterface+Unit) kommunizieren.

Wenn zwei Instanzen auf die gleiche Steuerdatei zugreifen wollen, wird folgende Fehlermeldung ausgegeben:

Abbildung: Fehlermeldung bei Zugriff auf die gleiche Steuerdatei

Um zu vermeiden, dass zwei Instanzen im Batchbetrieb auf die gleiche Steuerdatei zugreifen wollen muß der Aufrufparameter –BATCH=<Steuerdatei> verwendet werden.

Dies gilt sowohl für das automatische Einschalten (Start von WinKFPT mit Parameter -RUN), als auch

für das manuelle Einschalten des Batchbetriebs (Start von WinKFPT ohne Parameter -RUN).

Grundsätzlich können zwei WinKFPT Instanzen nicht über das gleich HW-Interface+Unit mit einem Steuergerät kommunizieren

Um das Interface und die Unit für eine WinKFPT Instanz schon beim Start festzulegen, können die Kommandozeilenparameter -INTERFACE=<HW-Intreface> und -UNIT=<Unit-Bezeichner> verwendet werden.

Im Batchbetrieb gibt es die Besonderheit, dass zwei WinKFPT Instanzen gestartet werden können, die im Batch Modus Monitor das gleiche Zielinterface anzeigen, d.h. sie wurden mit den gleichen HW-Interface+Unit Angaben gestartet.

Einen HW-Interface Konflikt gibt es erst, wenn beide Instanzen gleichzeitig ihre Steuerdatei abarbeiten und dabei das gleiche HW-Inteface belegen wollen.

Nur die Instanz, die zuerst mit der Abarbeitung beginnt, kann das HW-Interface ordnungsgemäß belegen, das ab diesem Zeitpunkt bis zum Ende der Abarbeitung für die zweite Instanz gesperrt ist.


Steuerdatei für den Batchbetrieb im Komfort-Modus

Die Steuerdatei wird der Reihe nach abgearbeitet.

Sie entspricht dabei inhaltlich den Eingaben, die der Bediener des WinKFPT im "Komfort-Modus IDH_komfort_modus" des Dialogbetriebs macht ( ZB-Nummer , SG-Adresse (entspricht Verbauort) und FG-Nummer ).

Die Steuerdatei hält sich in der Syntax an das Dateiformat wie es durch Windows-INI Files bekannt ist und wird durch Sektionen gegliedert.

Es gibt die Sektionen [FGNUMMER] [ZBNUMMER] [SGADRESSE] und [BATCH].

Andere Sektionen werden ignoriert.

Folgende Tabelle enthält eine vollständige Beschreibung der Sektionen und deren Inhalte einer Steuerdatei:

Sektion

Inhalt

[FGNUMMER]

In der Sektion [FGNUMMER] gibt es nur eine Zeile, in der die Fahrgestellnummer steht.

Format: FGN=<FG-Nummer>

Beispiel: FGN=WBAAA00000AA00000

[ZBNUMMER]

In der Sektion [ZBNUMMER] stehen die einzelnen ZB-Nummern, jede in einer eigenen Zeile.

Format: ZBNxxxx=<ZB-Nummer>, wobei xxxx eine laufende Nummer ist, die bei 0000 beginnt und ohne Lücke sein muß.

Beispiel:

ZBN0000=7539765

ZBN0001=7539767

Die Steuergeräte werden in der Reihenfolge der Nummern programmiert.

Bei der ersten Nummer, die keine Nachfolgernummer mehr hat wird die Programmierung beendet.

[SGADRESSE]

In der Sektion [SGADRESSE] stehen die einzelnen SG-Adressen, jede in einer eigenen Zeile.

Format: SGADRxxxx=<SG-Adresse>, wobei xxxx eine laufende Nummer ist, die bei 0000 beginnt und ohne Lücke sein muß.

Die SG-Adresse wird HEXADEZIMAL angegeben.

Beispiel:

SGADR0000=12

SGADR0001=13

Zu jeder eingetragenen ZB-Nummer muss es eine SG-Adresse mit der identischen laufenden Nummer geben.

Z.B.:

[ZBNUMMER]

ZBN0000=7515985

[SGADRESSE]

SGADR0000=A2

[BATCH]

Die Sektion [BATCH] enthält eine Zeile mit einer Information zru beendigung des Batchbetriebs.

Format: END=ON oder END=OFF.

Kein Eintrag in der Sektion oder das Fehlen der Sektion verhält sich wie END=OFF.

Die Option END=ON ist dafür vorgesehen, daß WinKFPT im Batchbetrieb von einer aufrufenden Fremdapplikation beendet werden kann, in dem sie eine Steuerdatei, die nur die Sektion BATCH mit dem Eintrag END=ON enthält, erzeugt.

Der Batchbetrieb und wird sofort nach Einlesen der Steuerdatei beendet.

Wurde der Batchbetrieb automatisch mit dem Aufrufparameter –RUN gestartet, so wird auch WinKFPT beendet.

Die Sektionen FGNUMMER, ZBNUMMER und SGADRESSE werden in diesem Fall ignoriert, falls sie vorhanden sind.

Tabelle: Inhalt einer Steuerdatei für den Batchbetrieb im Komfort-Modus

Ist die Steuerdatei abgearbeitet, wird sie gelöscht und auf eine neue Steuerdatei gewartet.


Steuerdatei für den Batchbetrieb im Experten-Modus

Die Steuerdatei entspricht inhaltlich den Eingaben, die der Bediener des WinKFPT im "Experten-ModusIDH_experten_modus" des Dialogbetriebs macht ( PABD, P-SGBD, SG-Adresse, Datendatei, Programmdatei, NAAB-Datei, Diagnoseprotkoll und FG-Nummer ).

Die Steuerdatei hält sich in der Syntax an das Dateiformat wie es durch Windows-INI Files bekannt ist, es gibt nur eine Sektion: [MULTIFLASH]

Andere Sektionen werden ignoriert.

Folgende Tabelle enthält eine vollständige Beschreibung der Parameter in der Sektion [MULTIFLASH] einer Steuerdatei:

Parameter | Inhalt
MF_PABD | Dieser Parameter gibt die für die Programmierung zu verwendende PABD an. Format: MF_PABD=<PABD-Name> Beispiel: MF_PABD=21EK928.IPO
MF_PSGBD | Dieser Parameter gibt die für die Programmierung zu verwendende P-SGBD an. Format: MF_PSGBD=<P-SGBD-Name> Beispiel: MF_PSGBD=21EK92.PRG
MF_SG_ADR | Die Steuergeräte-Adresse wird HEXADEZIMAL angegeben. Format: MF_SG_ADR=<PABD-Name> Beispiel: MF_SG_ADR=12
MF_DATEN_DATEI | Dieser Parameter definiert die zu programmierende Datendatei. Es muß mindestens eine NABB-Datei, eine Datendatei, oder eine Programmdatei angegeben sein. Format: MF_DATEN_DATEI =<Datendateiname> Beispiel: MF_DATEN_DATEI=Q7525491.0DA
MF_PROGRAMM_DATEI | Dieser Parameter definiert die zu programmierende Programmdatei. Es muß mindestens eine NABB-Datei, eine Datendatei, oder eine Programmdatei angegeben sein. Format: MF_PROGRAMM_DATEI =<Programmdateiname> Beispiel: MF_PROGRAMM_DATEI=7523523A.0PA
MF_NAAB_DATEI | Dieser Parameter definiert die zu programmierende NAAB-Datei. Es muß mindestens eine NABB-Datei, eine Datendatei, oder eine Programmdatei angegeben sein. Format: MF_PROGRAMM_DATEI =<NAAB-Dateiname> Beispiel: MF_NAAB_DATEI=555111_555222.0ba
MF_DIAGNOSEPROTOKOLL | Dieser Parameter gibt das zu verwendende Diagnoseprotokoll an. Er ist optional. Format: MF_DIAGNOSEPROTOKOLL=<Diagnoseprotokoll> Beispiel: MF_DIAGNOSEPROTOKOLL=KWP2000*
MF_FG_NUMMER | Dieser Parameter gibt die Fahrgestellnummer an. Er ist nur notwendig, wenn mit AIF schreiben programmiert wird. Format: MF_FG_NUMMER=<FG-Nummer> Beispiel: MF_FG_NUMMER WBAAA00000AA00000

Tabelle: Inhalt einer Steuerdatei für den Batchbetrieb im Experten-Modus

Ist die Steuerdatei abgearbeitet, wird sie gelöscht und WinKFPT beendet sich automatisch selbst.


Start eines Programmierauftrags im Batchbetrieb

Start des Programmierauftrags:

Als Signal für einen Programmierauftrag gilt die Existenz der Steuerdatei im entsprechenden Verzeichnis.

Die Existenz der Steuerdatei wird von WinKFPT im Batchbetrieb im Polling-Verfahren ermittelt.

Die Steuerdatei sollte unter einem anderen Namen oder in einem anderen Verzeichnis zuerst geschrieben und dann durch Umbenennen oder Umkopieren für den Batchbetrieb sichtbar gemacht werden, damit keine unvollständig geschriebenen Dateien eingelesen werden.

Die Steuerdatei wird bis zum Ende der Abarbeitung nicht mehr gelesen.

Während sich das WinKFPT im Batchbetrieb befindet, wird die EDIABAS-API freigegeben und bleibt nur während der Auftragsabarbeitung an das Programm gebunden.

Für jede einzelne SG-Programmierung, d.h für jede Bearbeitung einer ZB-Nummer aus der Steuerdatei, werden im Hauptmenüfenster des WinKFPT die gleichen Statusanzeigen ausgegeben, wie bei einer Programmierung im Dialogbetrieb.

Protokollierung der Abarbeitung:

Während der Abarbeitung des Programmierauftrags wird eine Protokoll erzeugt, welches den gleichen Pfad und Namen wie die Steuerdatei besitzt, nur mit der Extension .PRT.

In der Protokolldatei wird folgendes dokumentiert:

Name der Steuerdatei und deren Datum.

Inhalt der Steuerdatei, so wie er gescanned wurde.

Fehler beim Scannen der Steuerdatei.

Im Komfort-Modus:

Die FG-Nummer wird als FGN=<FG-Nummer> eingetragen.

Die ZB-Nummer und SG-Adresse werden beim Start der Bearbeitung eingetragen.

Im Experten-Modus:

Die PABD wird als MF_PABD=<PABD> eingetragen.

Die P-SGBD wird als MF_PSGBD=<PSGBD> eingetragen.

Die SG-Adresse wird als MF_SG_ADR=<SG-Adresse> eingetragen.

Die Datendatei wird als MF_DATEN_DATEI=<Datendateiname> eingetragen.

Die Programmdatei wird als MF_PROGRAMM_DATEI=<Programmdatei> eingetragen.

Die NAAB-Datei wird als MF_NAAB_DATEI=<NAAB-Datei> eingetragen.

Die FG-Nummer wird als MF_FG_NUMMER=<FG-Nummer> eingetragen.

Das Diagnoseprotokoll wird als MF_DIAGNOSEPROTOKOLL=<Diagnoseprotokoll> eingetragen.

Für das Ergebnis einer Einzelprogrammierung werden folgende Texte erzeugt:

“ERG=Programmierung i.O.“ für korrekte Programmierung

“ERG=Programmierung n.i.O. Abbruch“ für Fehler während des Programmierens.

“ERG=Programmierung n.i.O. fataler Fehler“ für Fehler vor der Programmierung.

Meldungen, die im Dialogbetrieb des WinKFPT in Popup-Dialogen angezeigt werden, werden in der Form INFOxxx=<Text> in die Protokolldatei geschrieben, wobei xxx eine laufende Nummer ist.

Ende eines Programmierauftrags:

Das Ende der Abarbeitung eines Auftrags wird durch das Löschen der Steuerdatei signalisiert. Im Komfort-Modus IDH_komfort_modus wird dann auf eine neue Batchdatei gewartet. Im Experten-Modus IDH_experten_modus beendet sich WinKFPT, wenn die Batchdatei abgearbeitet wurde.


Umschaltung von HW-Interface und Diagnoseprotokoll im Batchbetrieb

Die Umschaltung von HW-Interface und Diagnosprotokoll bei der Programmierung von Steuergeräten im Batchbetrieb im Komfort-Modus IDH_komfort_modus stützt sich auf die Datei \<root>IDH_footnote_root\DATA\GDATEN\prgifsel.dat ab.

In dieser sind HW-Interface und Diagnoseprotokoll abgelegt, die für die eingetragenen SG-Familien benutzt werden sollen.

Ist die Datei "prgifsel.dat" nicht vorhanden, oder ist das zu programmierende Steuergerät darin nicht enthalten, dann wird das vor dem Start des Batchmodus zuletzt aktive HW-Interface und das Default-Diagnoseprotokoll für dieses Steuergerät eingestellt.

Das Default-Diagnoseprotokoll ist das Erste aus der Liste der Diagnoseprotokolle, die die P-SGBD des Steuergeräts als Antwort auf die Abfrage der implementierten Diagnoseprotokolle zurückgibt.


Start des WinKFPT im Dialogbetrieb

Um eine WinKFPT Instanz im Dialogbetrieb zu starten, dürfen alle Aufrufparameter außer “-C“ und “-RUN“ verwendet werden.

Ein Aufruf des WinKFPT ohne Aufrufparameter startet die WinKFPT Instanz immer im Dialogbetrieb.


Start mehrerer Instanzen im Dialogbetrieb

Wie im Batchbetrieb können auch im Dialogbetrieb theoretisch bis zu 99 verschiedene WinKFPT Instanzen gleichzeitig aufgerufen und betrieben werden.

Da bei einem Start des WinKFPT im Dialogbetrieb sofort auf das Default HW-Interface+Unit, oder das als Aufrufparameter angegebene zugegriffen wird, können nicht zwei Instanzen gestartet werden, die auf das gleiche HW-Interface+Unit zugreifen wollen.

In so einem Fall startet die zweite Instanz mit der Fehlermeldung:

oder

Abbildung: Fehlermeldung bei Zugriff auf gleiches HW-Interafce+Unit

Nach Quittierung der Fehlermeldung mit “OK“ wird die zweite Instanz automatisch wieder geschlossen.


Hauptmenü des WinKFPT

In der oberen Menüleiste stehen dem Bediener die folgenden Hauptmenüpunkte des WinKFPT zur Verfügung:

· AnzeigeIDH_menue_anzeige

· Import/ExportIDH_menue_import_export

· KommunikationIDH_menue_kommunikation

· KonfigurationIDH_menue_konfiguration

· HilfeIDH_menue_hilfe

· EndeIDH_menue_ende

Bei Anwahl eines Hauptmenüpunktes wird ein entsprechendes Pulldown-Menü mit ein oder mehreren Untermenüpunkten angezeigt, über die die verschieden Menüfunktionen aufgerufen werden können.


Menü Datei

Über dieses Menü kann das WinKFPT-Programm beendet werden.


Datei – Beenden des WinKFPT

Zum Beenden des WinKFPT kommt man durch Menüpunkt Datei - Beenden

Dieser Befehl beendet das Programm.

Vor dem Beenden hat der Benutzer grundsätzlich die Möglichkeit die aktuellen Einstellungen im Experten-ModusIDH_experten_modus abzuspeichern, um sie beim nächsten Programmstart wieder zur Verfügung zu haben, wenn er während der WINKFPT-Anwendung mindestens einmal den Experten-Modus eingeschaltet hatte (siehe " Konfiguration für den Experten-Modus IDH_konfiguration_fuer_den_experten_modus”).

Beim Beenden des WinKFPT wird die letzte Windowsgröße und Windowsposition der Anwendung als Eintrag WindowPosition in der Datei WINKFPT.INI gespeichert.

Bei einem erneuten Start des WinKFPT wird das Program mit den selben Windowsgroße und Position gestartet (siehe “ Konfiguration in WINKFPT.INI IDH_konfiguration_in_winkfpt_ini“).


Menü Anzeige

Im Hauptmenüpunkt Anzeige können über folgende Untermenüpunkte bestimmte Funktionen EIN- bzw. AUS-geschaltet, sowie Fehler- und Tracedateien angezeigt werden:

· CABI.ERR IDH_anzeige_cabi_err

· ERROR.LOG IDH_anzeige_error_log

· PABD-Parameter IDH_anzeige_pabd_parameter

· HW-Historie IDH_anzeige_hw_historie

· ZB-Historie IDH_anzeige_zb_historie

· ZB-Vorschrift IDH_anzeige_zb_vorschrift

· API-Tracedatei IDH_anzeige_api_tracedatei

· IFH-Tracedatei IDH_anzeige_ifh_tracedatei

· Batch-Modus IDH_anzeige_batchmodus


Anzeige CABI.ERR

Zeigt die CABI.ERR-Datei an, welche die Fehlermeldungen enthält, wenn beim Übersetzen einer PABD (=IPS-Datei) ein Fehler auftritt.

Verlassen der Anzeige mit OK, "ESC" oder Alt-F4.


Anzeige ERROR.LOG

Zeigt die ERROR_INTERFACE_UNIT.LOG Fehlerdatei an, welche die Fehlermeldungen aus den COAPI- und CDH-Funktionen enthält.

Verlassen der Anzeige mit OK, "ESC" oder Alt-F4.


Anzeige PABD-Parameter

Zeigt die aktuell gesetzten Auftrags- und Ergebnisparameter einer PABD an.

Verlassen der Anzeige mit OK, "ESC" oder Alt-F4.


Anzeige HW-Historie

Zeigt die HW-Historie der aktuellen Hardwarenummer an.

Verlassen der Anzeige mit OK, "ESC" oder Alt-F4.


Anzeige ZB-Historie

Zeigt die ZB-Historie der aktuellen Zusammenbaunummer an.

Verlassen der Anzeige mit OK, "ESC" oder Alt-F4.


Anzeige ZB-Vorschrift

Zeigt die ZB-Vorschrift der aktuellen Zusammenbaunummer an.

Verlassen der Anzeige mit OK, "ESC" oder Alt-F4.


Anzeige API-Tracedatei

Zeigt eine im EDIABAS-Verzeichnis " vorhandene API-Tracedatei an.

Verlassen der Anzeige mit OK, "ESC" oder Alt-F4.


Anzeige IFH-Tracedatei

Zeigt eine im EDIABAS-Verzeichnis " vorhandene IFH-Tracedatei an.

Verlassen der Anzeige mit OK, "ESC" oder Alt-F4.


Anzeige Batchmodus

Schaltet vom Dialogbetrieb auf den Batchbetrieb um.

Nach dem Umschalten ist der Batchbetrieb noch nicht gestartet.


Menü Import/Export

Unter diesem Hauptmenüpunkt befindet sich folgendes Untermenü:

Abbildung


Untermenü Import

Dieser Untermenüpunkt aktiviert wiederum ein Pulldownmenü mit folgenden Unterpunkten:

Abbildung: Pulldownmenü zum Untermenüpunkt <Import>

Über das Importmenü können alle, für eine Flashprogrammierung nötigen Dateien, von beliebigen Laufwerken bzw. Verzeichnissen ausgewählt werden. Die ausgewählten Dateien werden dann mit der Bestätigung der Übernahme automatisch in die vorgesehenen Verzeichnisse verteilt.

Folgende Dateigruppen können importiert werden:

Import | Dateien
Datensätze / Programmstände / BSU NAAB-Dateien IDH_import_von_datensaetzen_programm_und_daten | *.0DA *.DAF *.0PA *.PAF *.0BA *.BAF | Datensatzdateien für Daten Daten Austausch Dateien Datensatzdateien für Programm Programm Austausch Dateien Datensatzdateien für NAAB NAAB Austausch Dateien
P-SGBD IDH_import_von_programmier_steuergeraetebeschreibungsdateien | *.PRG | P-SGBD in compiliertem Code
PABD IDH_import_von_programmier_ablaufbeschreibungsdateien | *.IPS *.IPO | PABDs im Source Code PABDs in compilierten Code
Werksdaten IDH_import_von_werksdaten | *.0DA *.0PA *.0BA *.PRG *.IPS *.IPO *.DAT *.DA2 *.HWH *.HIS *.ATS *.ASD *.AS2 *.GER *.BSU | Datensatzdateien für Daten Datensatzdateien für Programm Datensatzdateien für NAAB P-SGBD im compiliertem Code PABDs im Source Code PABDs in compiliertem Code SG-Logistikdateien Zuordnung Sg-Member - Namen der Logistigdateien Historie kompatibler Hardwarenummern einer SG-Familie Kompatible Zusammenbaunummern einer SG-Familie Logistikdatei Logistikdatei Authentisierungsschlüsseldateien SgMember Verbauort Logistikdatei für die Überprüfung der Möglichkeit eines BSU (Bootsektorupdate)
Exportierte Konfiguration - Entwicklungsdaten IDH_import_exportierte_konfiguration_entwicklungsdaten |  | Dateien wie bei Import von Werksdaten + Entwicklungdateien und/oder Toolrelevante Dateien, wenn vom Benutzer gewünscht
Exportierte Konfiguration - Werksdaten IDH_import_eportierte_konfiguration_werksdaten |  | Dateien wie bei Import von Werksdaten + Toolrelevante Dateien, wenn vom Benutzer gewünscht

Tabelle: Import Dateien

Der Import von Exportierte Konfiguration-Entwicklungsdaten‚ Datensätze/Programmstände /BSU NAAB-Dateien, P-SGBD und PABD‘ ist dem "Experten-Modus" zugeordnet.

Der Import von Exportierte Konfiguration-Werksdaten und Werksdaten‘ ist dem "Komfort-Modus" zugeordnet.


Import einer “exportierten Konfiguration” von Werksdaten

Zum Import einer “exportierten Konfiguration” von Werksdaten kommt man durch Menüpunkt Import/Export à Import à exportierte Konfiguration - Werksdaten.

Nach Auswahl des Menüpunkts erscheint folgender Dialog für die Auswahl des Importverzeichnisses:

Abbildung: Auswahl des Importverzeichnisses einer Konfiguration von Werksdaten

Das ausgewählte Startverzeichnis im Importdialog ist beim ersten Import in einer WinKFPT-Sitzung der “Arbeitsplatz” und bei jedem weiteren Import das Importverzeichnis des jeweils zuvor ausgewählten.

Der Import einer Konfiguration von exportierten Werksdaten ist nur aus Verzeichnissen möglich, die die Export-LOG-Datei BACKUPEXPORT.LOG enthält. Der Inhalt der LOG-Datei wird dabei nicht überprüft.

Enthält das ausgewählte Verzeichnis diese LOG-Datei nicht, dann wird eine Fehlermeldung ausgegeben und der Dialog beendet.

Es ist immer nur der Import einer gesamtem exportierten Konfiguration möglich, d.h. es kann für den Import keine Auswahl aus den exportierten WDPs vorgenommen werden.

Vor dem Importvorgang wird geprüft, ob schon eines oder mehrere der zu importierenden WDPs im Verzeichnis “<root>\ Data” existieren.

Sie erhalten einen Dialog mit einer Liste der schon vorhandenen WDPs und den Funktionsbuttons “Ersetzen”, “Ergänzen” und “Abbrechen”:

Abbildung: WDP-Konflikt beim Import einer Konfiguration von Werksdaten

Wenn die Liste der WDPs leer ist, werden das Listenfenster und die Überschrift dazu nicht angezeigt. Der Button „Ergänzen“ wird nicht angeboten, da er in diesem Fall keine Funktion hat und der Button „Ersetzen“ wird durch den Button „Importieren“ ausgetauscht.

Desweiteren haben Sie die Möglichkeit anzugeben, ob Sie mit oder ohne Toolrelevante Daten (INI-Dateien) importieren wollen (Defaulteinstellung ist “ohne Toolrelevante Daten”).

Toolrelevante Dateien aus dem Importverzeichnis überschreiben grundsätzlich die entsprechenden Dateien im Arbeitsverzeichnis.

KMM-Dateien werden nur zu Archivierungszwecken exportiert und werden daher grundsätzlich nicht reimportiert.

Die Buttons haben folgende Wirkung:

· Abbrechen (immer aktiv):

Der Dialog wird geschlossen, es werden keine Dateien importiert.

· Ersetzen bzw. Importieren (immer aktiv):

Es werden alle Dateien vom jeweiligen Importverzeichnis in die Arbeitsverzeichnisse kopiert. Bestehende Dateien werden überschrieben.

· Ergänzen (nur aktiv, wenn WDP-Liste nicht leer):

Es werden nur die Dateien vom Importverzeichnis in das Arbeitsverzeichnis kopiert, welche ein neueres Datum haben.

Für folgende Common-Dateien gilt eine Sonderbehandlung, die für die beiden Import-Modi Ersetzen bzw. Ergänzen gleich ist:

KFCONFXX.DA2, HWNR.DA2, SWTCONFx.DAT:

In der Datei im Arbeitsverzeichnis werden alle Zeilen, welche für die Sg-Familie des zu importierenden Werksdatenpakets gelten überschrieben, wenn sie schon vorhanden sind bzw. angehängt, wenn sie noch nicht vorhanden sind.

Für folgende Sg-spezifische Datei gilt eine Sonderbehandlung, die nur für den Import-Modus Ergänzen gilt:

<SG-FAMILIE>.DAT:

Zur DAT-Datei im Arbeitsverzeichnis werden alle Zeilen aus der Datei im Importverzeichnis hinzugefügt, welche in der Datei im Arbeitsverzeichnis noch nicht vorhanden sind. Diese Operation wird nur für Zeilen ausgeführt, welche mit einer Ziffer beginnen, d.h . insbesondere nicht für Zeilen die mit "$" oder ";" beginnen.


Import einer “exportierten Konfiguration” von Entwicklungsdaten

Zum Import einer “exportierten Konfiguration” von Entwicklungsdaten kommt man durch Menüpunkt Import/Export à Import à exportierte Konfiguration - Entwicklungsdaten.

Nach Auswahl des Menüpunkts erscheint folgender Dialog für die Auswahl des Importverzeichnisses:

Abbildung: Auswahl des Importverzeichnisses einer Konfiguration von Entwicklungsdaten

Das ausgewählte Startverzeichnis im Importdialog ist beim ersten Import in einer WinKFPT-Sitzung der “Arbeitsplatz” und bei jedem weiteren Import das Importverzeichnis des jeweils zuvor ausgewählten.

Der Import einer Konfiguration von exportierten Entwicklungsdaten ist nur aus Verzeichnissen möglich, die die Export-LOG-Datei CONFIGEXPORT.LOG enthält. Der Inhalt der LOG-Datei wird dabei nicht überprüft.

Enthält das ausgewählte Verzeichnis diese LOG-Datei nicht, dann wird eine Fehlermeldung ausgegeben und der Dialog beendet.

Es ist immer nur der Import einer gesamtem exportierten Konfiguration möglich, d.h. es kann für den Import keine Auswahl aus den exportierten WDPs vorgenommen werden.

Vor dem Importvorgang wird geprüft, ob schon eines oder mehrere der zu importierenden WDPs im Verzeichnis “<root>\Data” existieren.

Sie erhalten einen Dialog mit einer Liste der schon vorhandenen WDPs und den Funktionsbuttons “Ersetzen”, “Ergänzen” und “Abbrechen”:

Abbildung: WDP-Konflikt beim Import einer Konfiguration von Entwicklungsdaten

Wenn die Liste der WDPs leer ist, werden das Listenfenster und die Überschrift dazu nicht angezeigt. Der Button „Ergänzen“ wird nicht angeboten, da er in diesem Fall keine Funktion hat und der Button „Ersetzen“ wird durch den Button „Importieren“ ausgetauscht.

In einem separaten Auswahlelement können Sie den Import der Entwicklungsdateien, das sind Dateien aus den Verzeichnissen:

<Basisverzeichnis>\<Konfigurationsname>\Daten\Entwicklung \Data\Develop

<Basisverzeichnis>\<Konfigurationsname>\Daten\Entwicklung \Sgdat

<Basisverzeichnis>\<Konfigurationsname>\Daten\Entwicklung\Ecu

an-, bzw. abschalten (Defaulteinstellung ist “Entwicklungsdateien werden importiert”).

Hinweis:

Die Dateien aus dem Exportverzeichnis

<Basisverzeichnis>\<Konfigurationsname>\Daten\Entwicklung \Data\Gdaten

werden nicht reimportiert.

Desweiteren haben Sie die Möglichkeit anzugeben, ob Sie mit oder ohne Toolrelevante Daten (INI-Dateien) importieren wollen (Defaulteinstellung ist “ohne Toolrelevante Daten”).

Entwicklungsdateien und Toolrelevante Dateien aus dem Importverzeichnis überschreiben grundsätzlich die entsprechenden Dateien im Arbeitsverzeichnis.

Die Buttons haben folgende Wirkung:

· Abbrechen (immer aktiv):

Der Dialog wird geschlossen, es werden keine Dateien importiert.

· Ersetzen bzw. Importieren (immer aktiv):

Es werden alle Dateien vom jeweiligen Importverzeichnis in die Arbeitsverzeichnisse kopiert. Bestehende Dateien werden überschrieben.

· Ergänzen (nur aktiv, wenn WDP-Liste nicht leer):

Es werden nur die Dateien vom Importverzeichnis in das Arbeitsverzeichnis kopiert, welche ein neueres Datum haben, oder noch nicht vorhanden sind.

Für folgende Common-Dateien gilt eine Sonderbehandlung, die für die beiden Import-Modi Ersetzen bzw. Ergänzen gleich ist:

KFCONFXX.DA2, HWNR.DA2, SWTCONFx.DAT:

In der Datei im Arbeitsverzeichnis werden alle Zeilen, welche für die Sg-Familie des zu importierenden Werksdatenpakets gelten überschrieben, wenn sie schon vorhanden sind bzw. angehängt, wenn sie noch nicht vorhanden sind.

Für folgende sg-spezifische Datei gilt eine Sonderbehandlung, die nur für den Import-Modus Ergänzen gilt:

<SG-FAMILIE>.DAT:

Zur DAT-Datei im Arbeitsverzeichnis werden alle Zeilen aus der Datei im Importverzeichnis hinzugefügt, welche in der Datei im Arbeitsverzeichnis noch nicht vorhanden sind. Diese Operation wird nur für Zeilen ausgeführt, welche mit einer Ziffer beginnen, d.h . insbesondere nicht für Zeilen die mit "$" oder ";" beginnen.


Import von Werksdaten

Zum Import von Werksdaten kommt man durch Menüpunkt Import/Export à Import à Werksdaten.

Nach Auswahl des Menüpunkts erscheint folgender Dialog für die Auswahl des Importverzeichnisses:

Abbildung: Auswahl des Importverzeichnisses von Werksdatenpaketen

Das ausgewählte Startverzeichnis im Importdialog ist beim ersten Import in einer WinKFPT-Sitzung der “Arbeitsplatz” und bei jedem weiteren Import das Importverzeichnis des jeweils zuvor ausgewählten.

In dem ausgewählten Verzeichnis liegt entweder direkt ein Werksdatenpaket oder es enthält ein oder mehrere Unterverzeichnisse, welche Werksdatenpakete enthalten.

Im obigen Beispiel könnte also "G:\Trans\EK9282i" oder "G:\Trans" gewählt werden.

WinKFP findet automatisch alle Pakete direkt im ausgwählten Verzeichnis oder eine Verzeichnisebene tiefer und führt für jedes Paket den Import durch.

Würde im obigen Beispiel " G:\Trans\EK9282i " als Importverzeichnis gewählt, so wird nur das Paket "EK928i" importiert, wird " G:\Trans " gewählt, so werden die Pakete "DDE503e", "DDE504af" usw. importiert.

Vor dem Importvorgang wird geprüft, ob schon eines oder mehrere der zu importierenden WDPs im Verzeichnis “<root>\NFS\Data” existieren.

Nur wenn das der Fall ist, erhalten Sie einen Dialog mit einer Liste der schon vorhandenen WDPs und den Funktionsbuttons “Ersetzen”, “Ergänzen” und “Abbrechen”:

Abbildung: WDP-Konflikt beim Import von Werksdatenpaketen

Die Buttons haben folgende Wirkung:

· Abbrechen:

Der Dialog wird geschlossen, es werden keine Dateien importiert.

· Ersetzen:

Es werden alle Dateien vom jeweiligen Importverzeichnis in die Arbeitsverzeichnisse kopiert. Bestehende Dateien werden überschrieben.

· Ergänzen:

Es werden nur die Dateien vom Importverzeichnis in das Arbeitsverzeichnis kopiert, welche ein neueres Datum haben, oder noch nicht vorhanden sind.

Für folgende Common-Dateien gilt eine Sonderbehandlung, die für die beiden Import-Modi Ersetzen bzw. Ergänzen gleich ist:

KFCONFXX.DA2, HWNR.DA2, SWTCONFx.DAT:

In der Datei im Arbeitsverzeichnis werden alle Zeilen, welche für die Sg-Familie des zu importierenden Werksdatenpakets gelten überschrieben, wenn sie schon vorhanden sind bzw. angehängt, wenn sie noch nicht vorhanden sind.

Für folgende sg-spezifische Datei gilt eine Sonderbehandlung, die nur für den Import-Modus Ergänzen gilt:

<SG-FAMILIE>.DAT:

Zur DAT-Datei im Arbeitsverzeichnis werden alle Zeilen aus der Datei im Importverzeichnis hinzugefügt, welche in der Datei im Arbeitsverzeichnis noch nicht vorhanden sind. Diese Operation wird nur für Zeilen ausgeführt, welche mit einer Ziffer beginnen, d.h . insbesondere nicht für Zeilen die mit "$" oder ";" beginnen.

Die Dateien werden durch den Import von Werksdaten in folgende Verzeichnisse verteilt:

Dateien | Zielverzeichniss
*.PRG | <ediabas>\ecu
*.IPS, *.IPO | <root>\SGDAT\
*.ASD, *.AS2, INFO.GER, HWNR.DA2, KFCONF.DA2, HWNR.DAT, NPV.DAT, KFCONF.DAT , HISTORIE.BSU, SWTCONFx.DAT | <root>\DATA\GDATEN
<SGFAMILIE>.DAT, *.0DA, *.0PA, *.0BA, *.HWH, *.HIS, *.ATS | <root>\DATA\<sgfam>

Tabelle: Verteilung der Dateien in Verzeichnisse durch Import von Werksdaten


Import von Datensätzen NAAB, Programm und Daten

Zum Import von NAAB-Dateien, Programm-Datensätzen und Daten-Datensätzen kommt man durch Menüpunkt Import à Datensätze / Programmstände / BSU NAAB-Dateien.

Durch Import von NAAB, Programm- und Daten-Datensätzen werden die gewünschten Dateien für eine Flashprogrammierung im Experten-Modus IDH_experten_modus ausgewählt und automatisch in das vorgesehene Verzeichnis kopiert.

Abbildung: Import Datensätze/Programmstände/BSU NAAB-Dateien

Per Default werden *.BAF, *.0BA, *.PAF, *.0PA, *.DAF und *.0DA Dateien angezeigt.

Um die Dateien zu importieren:

· Wählen Sie das Verzeichnis mit den gewünschten Dateien aus der Liste “Suchen in“.

· Wählen Sie die zu importierende(n) Datei(en) aus.

Eine einzelne Datei kann aus der Liste mit der linken Maustaste ausgewält werden.

Mehrere zu importierende Dateien können mit <Ctrl> Taste und linker Maustaste ausgewält werden.

Alle angezeigten Dateien können mit <Ctrl> + <A> Taste selektiert werden.

· Betätigen Sie “Import“.

Bei Übernahme werden die ausgewählten Dateien nach \<root>IDH_footnote_root\data\develop kopiert.

Bereits bestehende Dateien können erst nach einer zu quittierenden Warnung überschrieben werden.

Abbildung: Überschreibung Dateien bei NAAB-, Daten- und Programmdateien Import

Bei Auswahl von mehreren Dateien wird der Status des Kopiervorgangs als Fortschrittsbalken (0 - 100%) angezeigt.

Dateien werden nach dem Import in der Auswalliste bei der Funktion “Datensatz laden NAAB“, “Datensatz laden Programm“ bzw. “Datensatz laden Daten“ im Experten-Modus angezeigt (siehe “Funktion Datensatz laden – Programm IDH_funktion_datensatz_laden_programm“ bzw. “Funktion Datensatz laden – Daten IDH_funktion_datensatz_laden_daten“).


Import von Programmier- Steuergerätebeschreibungsdateien (P-SGBD)

Zum Import von P-SGBD Dateien kommt man durch Menüpunkt Import à P-SGBD.

Durch Import von P-SGBD Dateien werden die gewünschten Steuergeräte-Beschreibungsdateien für eine Flashprogrammierung im Experten-Modus IDH_experten_modus ausgewählt und automatisch in das vorgesehene Verzeichnis kopiert.

Abbildung: Import P-SGBD

Per Default werden nur *.PRG Dateien angezeigt.

Um die Dateien zu importieren:

· Wählen Sie das Verzeichnis mit den gewünschten Dateien aus der Liste “Suchen in“.

· Wählen Sie die zu importierende Datei aus.

Eine einzelne Datei kann aus der Liste mit der linken Maustaste ausgewält werden.

Mehrere zu importierende Dateien können mit <Ctrl> Taste und linker Maustaste ausgewält werden.

Alle angezeigten Dateien können mit <Ctrl> + <A> Taste selektiert werden.

· Betätigen Sie “Import“.

Bei Übernahme werden die ausgewählten Dateien in das P-SGBD Verzeichnis "<ediabas>IDH_footnote_ediabas\ecu" kopiert.

Bereits bestehende Dateien können erst nach einer zu quittierenden Warnung überschrieben werden.

Abbildung: Überschreibung Dateien bei P-SGBD Import

Bei Auswahl von mehreren Dateien wird der Status des Kopiervorgangs als Fortschrittsbalken (0 - 100%) angezeigt.

Dateien werden nach dem Import in der Auswalliste bei der Funktion “P-SGBD Laden“ im Experten-Modus angezeigt (siehe “Funktion P-SGBD laden IDH_funktion_p_sgbd_laden“).


Import von Programmier- Ablaufbeschreibungsdateien (PABD)

Zum Import von PABD Dateien kommt man durch Menüpunkt Import à PABD.

Durch Import von PABD Dateien werden die gewünschten Programmierablauf-Beschreibungsdateien für eine Flashprogrammierung im Experten-Modus IDH_experten_modus ausgewählt und automatisch in das vorgesehene Verzeichnis kopiert.

Abbildung: Import PABD

Per Default werden nur *.IPS und *.IPO Dateien angezeigt.

Um die Dateien zu importieren:

· Wählen Sie das Verzeichnis mit den gewünschten Dateien aus der Liste “Suchen in“.

· Wählen Sie die zu importierende Datei aus.

Eine einzelne Datei kann aus der Liste mit der linken Maustaste ausgewält werden.

Mehrere zu importierende Dateien können mit <Ctrl> Taste und linker Maustaste ausgewält werden.

Alle angezeigten Dateien können mit <Ctrl> + <A> Taste selektiert werden.

· Betätigen Sie “Import“.

Bei Übernahme werden die ausgewählten Dateien nach “\<root>IDH_footnote_root\sgdat“ kopiert.

Bereits bestehende Dateien können erst nach einer zu quittierenden Warnung überschrieben werden.

Abbildung 5‑14: Überschreibung Dateien bei PABD Import

Bei Auswahl von mehreren Dateien wird der Status des Kopiervorgangs als Fortschrittsbalken (0 - 100%) angezeigt.

Dateien werden nach dem Import in der Auswalliste bei der Funktion “PABD Laden“ im Experten-Modus angezeigt (siehe “Funktion PABD laden IDH_funktion_pabd_laden“).


Untermenü Export

Dieser Untermenüpunkt aktiviert wiederum ein Pulldownmenü mit folgenden Unterpunkten:

Abbildung: Pulldownmenü zum Untermenüpunkt <Export>


Export einer “Konfiguration” von Werksdaten

Zum Export einer “Konfiguration” von Werksdaten kommt man durch Menüpunkt Import/Export à Export à Konfiguration - Werksdaten.

Nach Auswahl des Menüpunkts erscheint folgender Dialog:

Abbildung: Dialog für den Export einer Konfiguration von Werksdaten

In dem Dialog wird das aktuell eingestellte Export-Basisverzeichnis, z.B. <root>\NFS-Backup”, angezeigt und zwei Eingabefelder für die Namen der beiden Unterverzeichnisse “\Baureihe” und “\I-Stufe”.

In einem Listenfenster werden alle gültigen Werksdatenpakete (SgFamilien) zur Auswahl für den Export angeboten. Dabei können keine, eine beliebige, mehrere beliebige oder alle Werksdatenpakete ausgewählt werden.

Wenn keine gültigen Werksdaten existieren, ist das Listenfenster leer und es besteht nur die Möglichkeit die Toolrelevanten Daten durch Anklicken des entsprechenden Schaltelements zu exportieren.

Mit jedem Export werden implizit die KMM-Daten aus dem Arbeitsverzeichnis “<root>\KMM\” exportiert, sofern ein KMM-Verzeichnis existiert.

Vor dem eigentlichen Kopiervorgang werden die zu exportierenden Daten mit den entsprechenden, zuletzt exportierten Daten im höchstwertigen Index-Verzeichnis verglichen.

Von einem Vergleich ausgenommen sind die Commondateien, da die zu exportierenden in der Regel nicht identisch mit zuvor exportierten sein können.

Daraus leiten sich grundsätzlich die zwei folgenden Abläufe beim Export von Werksdaten ab:

1. Es werden keine neuen Verzeichnisse angelegt, d.h. das Index-Verzeichnis wird nicht erhöht. Das ist der Fall, wenn die zu exportierenden Dateien, entweder alle oder teilweise, noch nicht im höchstwertigen Index-Verzeichnis vorhanden sind, und wenn die alle oder teilweise vorhandenen Dateien identisch mit den zu exportierenden sind.

Vor dem Kopiervorgang werden alle Dateien aus dem jeweiligen Exportverzeichnis gelöscht.

2. Es werden neue Verzeichnisse angelegt, d.h. das Index-Verzeichnis wird automatisch erhöht. Das ist der Fall, wenn eine und nur eine zu exportierende Datei nicht identisch mit der entsprechenden Datei im höchstwertigen Index-Verzeichnis ist.

Jeder Exportvorgang von Werksdaten wird in der Export-LOG-Datei “BACKUPEXPORT.LOG” in dem Verzeichnis <root>\<NFS-Backup>\<baureihe>\<i-Stufe>\<index>\ dokumentiert.

Bei einem mehrmaligen Export in das selbe Verzeichnis <root>\<NFS-Backup>\<baureihe>\<i-Stufe>\<index>\ wird jeweils die entsprechende, abzulegende Information in die bereits bestehende LOG-Datei angehängt.

In einer Log-Datei stehen pro Exportvorgang folgende Informationen:

· Datum (Format: dd.mm.jjjj)

· Export-Basisverzeichnis

· Baureihe

· I-Stufe

· Index

· Mit/Ohne Entwicklungsdateien

· Mit/Ohne Toolrelevante Daten

· SgFamilie

:

:

· Trennzeile

Verzeichnisstruktur für Export von Werksdaten

Abbildung: Struktur der Zielverzeichnisse für Export von Werksdaten

Ablage der Dateien beim Export von Werksdaten

· Export WDP (wenn eins oder mehrere ausgewählt)

Flashdaten, Logistikdaten: Die Dateien *.0PA, *.0DA, *.0BA <SGFAM>.DAT, <SGFAM>.HIS, <SGFAM>.HWH und <SGFAM>.ATS werden aus dem Verzeichnis <sgfam> in das Verzeichnis <root>\<NFS-Backup>\<baureihe>\<I-Stufe>\<index>\daten\<sgfam>kopiert.

Commondateien: Commondateien SWTCONFX.DAT, HISTORIE.BSU, SGIDC.AS2, SGIDD.AS2, INFO.GER werden aus dem Verzeichnis <root>\Data\Gdaten in das Verzeichnis <root>\<NFS-Backup>\<baureihe>\<I-Stufe>\<index>\daten\<sgfam> kopiert. Von den Dateien HWNR.DA2, KFCONFXX.DA2, SWTCONFx.DAT werden nur die relevanten Teile ermittelt und in das Verzeichnis <root>\NFS-Backup\<baureihe>\<I-Stufe>\<index>\daten\<sgfam> kopiert.

Der Dateiname der Commondatei wird dabei unverändert übernommen.

PABD: Der Name der zum WDP gehörigen Beschreibungsdateien werden aus der Datei KFCONFXX.DA2 und SWTCONFx.DAT ermittelt und aus <root>\Sgdat in das Verzeichnis <root>\<NFS-Backup>\<baureihe>\<I-Stufe>\<index>\daten\<sgfam> kopiert.

FABD: Der Name der zum WDP gehörigen Beschreibungsdatei wird aus der Datei SWTCONFx.DAT ermittelt und aus <root>\Sgdat in das Verzeichnis <root>\<NFS-Backup>\<baureihe>\<I-Stufe>\<index>\daten\<sgfam> kopiert.

P-SGBD: Der Name der zum WDP gehörigen Beschreibungsdateien werden aus der Datei KFCONFXX.DA2 und SWTCONFx.DAT ermittelt und aus EDIABAS\ECU in das

Verzeichnis <root>\<NFS-Backup>\ <baureihe>\<I-Stufe>\<index>\daten\<sgfam> kopiert.

SWT-SGBD: Der Name der zum WDP gehörigen Beschreibungsdatei wird aus der Datei SWTCONFx.DAT ermittelt und aus EDIABAS\ECU in das Verzeichnis <root>\<NFS-Backup>\ <baureihe>\<I-Stufe>\<index>\daten\<sgfam> kopiert.

· Export KMM (immer, wenn vorhanden)

Kopieren aller Dateien im Verzeichnis <root>\kmmdat\<baureihe>\ in das Verzeichnis <root>\<NFS-Backup>\<baureihe>\<I-stufe>\<Index>\kmm\

· Export Toolrelevante Daten (optional)

Kopieren aller Dateien mit der Dateiendung *.INI aus dem Verzeichnis <root>\NFS\bin\ in das Verzeichnis <root>\<NFS-Backup>\<baureihe>\<I-stufe>\<Index>\bin\

Kopieren aller Dateien mit den Dateiendungen *.INI und *.DAT aus dem Verzeichnis <root>\cfgdat in das Verzeichnis <root>\<NFS-Backup>\<baureihe>\<I-stufe>\<Index>\cfgdat\

Kopieren aller Dateien mit der Dateiendung *.INI aus dem Verzeichnis <root>\EDIABAS\bin\ in das Verzeichnis <root>\<NFS-Backup>\<baureihe>\<I-stufe>\<Index>\EDIABAS\bin\


Export einer “Konfiguration” von Entwicklungsdaten

Zum Export einer “Konfiguration” von Entwicklungsdaten kommt man durch Menüpunkt Import/Export à Export à Konfiguration - Entwicklungsdaten.

Nach Auswahl des Menüpunkts erscheint folgender Dialog:

Abbildung: Dialog für den Export einer Konfiguration von Werksdaten

In dem Dialog wird das aktuell eingestellte Export-Basisverzeichnis, z.B. “<root>\Diagprog”, angezeigt und ein Eingabefeld für den Namen des Unterverzeichnisses “\Konfigurationsname”.

In einem Listenfenster werden alle gültigen Werksdatenpakete (SgFamilien) zur Auswahl für den Export angeboten. Dabei können keine, eine beliebige, mehrere beliebige oder alle Werksdatenpakete ausgewählt werden.

Wenn keine gültigen Werksdaten existieren, ist das Listenfenster leer und es besteht nur die Möglichkeit die Entwicklungsdateien und/oder die Toolrelevanten Daten durch Anklicken der entsprechenden Schaltelemente zu exportieren.

Es werden grundsätzlich alle für einen Export ausgewählten Dateien kopiert.

Wenn der Export in ein schon existierendes Verzeichnis (Konfigurationsname) erfolgen soll, erscheint folgende Abfrage:

Abbildung: Abfrage zum Überschreiben beim Export von Entwicklungdaten

Mit “Ja” werden vor dem Export zuerst alle Dateien in den vorhandenen Verzeichnissen gelöscht.

Jeder Exportvorgang von Entwicklungsdaten wird in der Export-LOG-Datei “CONFIGEXPORT.LOG” in dem Verzeichnis <root>\Diagprog\<Konfigurationsname>\ dokumentiert.

Bei einem mehrmaligen Export in das selbe Verzeichnis <root>\Diagprog \<Konfigurationsname>\ wird jeweils die entsprechende, abzulegende Information in die bereits bestehende LOG-Datei angehängt.

In einer Log-Datei stehen pro Exportvorgang folgende Informationen:

· Datum (Format: dd.mm.jjjj)

· Export-Basisverzeichnis

· Konfigurationsname

· Mit/Ohne Entwicklungsdateien

· Mit/Ohne Toolrelevante Daten

· SgFamilie

:

:

· Trennzeile

Verzeichnisstruktur für Export von Entwicklungsdaten

Abbildung: Struktur der Zielverzeichnisse für Export von Entwicklungsdaten

Ablage der Dateien beim Export von Entwicklungsdaten

· Export Entwicklungdateien (wenn für den Export freigegeben)

Flashdaten: Die Dateien *.0PA, *.0DA, *.0BA, *.PAF, *.DAF, *.BAF werden aus dem Verzeichnis NFS\Data\Develop in das Verzeichnis <root>\Diagprog\<Konfigurationsname>\Daten\Entwicklung\Develop kopiert.

Commondateien: Die Commondateien SWTCONFX.DAT, HISTORIE.BSU, SGIDC.AS2, SGIDD.AS2, HWNR.DA2, INFO.GER, und KFCONFXX.DA2 werden aus dem Verzeichnis NFS\Data\Gdaten in das Verzeichnis <root>\Diagprog\<Konfigurationsname>\Daten\Entwicklung\Gdaten kopiert.

P-SGBDen: Alle *.PRG-Dateien werden aus dem Verzeichnis EDIABAS\ECU

in das Verzeichnis <root>\Diagprog\<Konfigurationsname>\Daten\Entwicklung\Ecu kopiert.

PABDen: Alle *.IPS und *.IPO-Dateien werden aus dem Verzeichnis NFS\Sgdat in das Verzeichnis <root>\Diagprog\<Konfigurationsname>\Daten\Entwicklung\Sgdat kopiert.

· Export WDP (wenn eins oder mehrere ausgewählt)

Flashdaten, Logistikdaten: Die Dateien *.0PA, *.0DA, *.0BA <SGFAM>.DAT, <SGFAM>.HIS, <SGFAM>.HWH, <SGFAM>.ATS werden aus dem Verzeichnis <sgfam> in das Verzeichnis <root>\Diagprog\<Konfigurationsname>\Daten\<sgfam>kopiert.

Commondateien: Commondateien SWTCONFX.DAT, HISTORIE.BSU, SGIDC.AS2, SGIDD.AS2, INFO.GER werden aus dem Verzeichnis NFS\Data\Gdaten in das Verzeichnis <root>\Diagprog\<Konfigurationsname>\Daten\<sgfam> kopiert. Von den Dateien HWNR.DA2, KFCONFXX.DA2 werden nur die relevanten Teile ermittelt und in das Verzeichnis <root>\Diagprog\<Konfigurationsname>\Daten\<sgfam> kopiert. Der Dateiname der Commondatei wird dabei unverändert übernommen.

PABD: Der Name der zum WDP gehörigen Beschreibungsdateien werden aus der Datei KFCONFXX.DA2 und SWTCONFx.DAT ermittelt und aus NFS\Sgdat in das Verzeichnis <root>\Diagprog\<Konfigurationsname>\Daten\<sgfam> kopiert.

P-SGBD: Der Name der zum WDP gehörigen Beschreibungsdatei wird aus der Datei KFCONFXX.DA2 und SWTCONFx.DAT ermittelt und aus EDIABAS\ECU in das Verzeichnis <root>\Diagprog\<Konfigurationsname>\Daten\<sgfam> kopiert.

FABD: Der Name der zum WDP gehörigen Beschreibungsdateien werden aus der Datei SWTCONFx.DAT ermittelt und aus NFS\Sgdat in das Verzeichnis <root>\Diagprog\<Konfigurationsname>\Daten\<sgfam> kopiert.

SWT-SGBD: Der Name der zum WDP gehörigen Beschreibungsdatei wird aus der Datei SWTCONFx.DAT ermittelt und aus EDIABAS\ECU in das Verzeichnis <root>\Diagprog\<Konfigurationsname>\Daten\<sgfam> kopiert.

· Export Toolrelevante Daten (optional)

Kopieren aller Dateien mit der Dateiendung *.INI aus dem Verzeichnis <root>\bin\ in das Verzeichnis <root>\Diagprog\<Konfigurationsname>\NFS\bin\

Kopieren aller Dateien mit den Dateiendungen *.INI und *.DAT aus dem Verzeichnis <root>\cfgdat in das Verzeichnis <root>\Diagprog\<Konfigurationsname>\NFS\cfgdat\

Kopieren aller Dateien mit der Dateiendung *.INI aus dem Verzeichnis <root>\EDIABAS\bin\ in das Verzeichnis <root>\Diagprog\<Konfigurationsname>\EDIABAS\bin\


Löschen Werksdaten

Zum Löschen von Werksdaten kommt man durch Menüpunkt Import/Export à Löschen - Werksdaten.

Wenn keine Werksdaten vorhanden sind, dann erscheint nach Auswahl des Menüpunkts folgende Meldung:

Abbildung: Werksdaten-Löschen; Meldung wenn keine Werksdaten vorhanden sind

In diesem Fall ist auch keine SG-Programmierung im Komfort Modus möglich. Dazu müßten zuerst Werksdaten importiert werden.

Existieren gültige Werksdaten, dann wird folgender Dialog geöffnet:

Abbildung 5‑22: Dialog für Werksdaten-Löschen

In dem Listenfenster werden alle gültigen Werksdatenpakete (SgFamilien) zur Auswahl für das Löschen angeboten. Dabei können keine, eine beliebige, mehrere beliebige oder alle Werksdatenpakete ausgewählt werden.

Bei einem Löschvorgang werden die Verzeichnisse der ausgewählten Werksdaten vollstandig gelöscht.

Die dazugehörigen Beschreibungsdateien ( SGBD / PABD) werden ebenfalls gelöscht, allerdings nur dann, wenn sie in “KFCONFXX.DA2” und „SWTCONFx.DAT“ nicht mehr als einmal vorkommen, d.h. wenn sie nicht gleichzeitig von einer oder mehreren anderen SG-Familien benutzt werden.

Mit dem Funktionsbutton “Entfernen” werden die ausgewählten WDPs aus dem Listenfenster gelöscht und die entsprechenden Einträge aus den Commondateien “KFCONFXX.DA2, „SWTCONFx.DAT“ und “HWNR.DA2” entfernt.

Vor dem eigentlichen Löschvorgang erscheint folgende Sicherheitsabfrage:

Abbildung: Werksdaten-Löschen; Sicherheitsabfrage bei “Entfernen”

Mit dem Funktionsbutton “Alle Entfernen” sind implizit alle WDPs ausgewählt und werden gelöscht und die Commondateien “kfconfxx.da2” und “hwnr.da2” werden bis auf die Headerzeilen geleert, d.h. auch einschließlich aller “toten” Einträge, für die keine WDPs existieren.

Vor dem eigentlichen Löschvorgang erscheint folgende Sicherheitsabfrage:

Abbildung: Werksdaten-Löschen; Sicherheitsabfrage bei “Alle Entfernen”

Mit “Ja” wird der Löschvorgang gestartet und der Dialog nach dessen Beendigung geschlossen.

Mit “Nein” verschwindet die Sicherheitsabfrage und der Dialog bleibt geöffnet

Mit dem Funktionbutton “Cancel” wird der Dialog geschlossen, aktive Löschvorgänge werden dabei nicht unterbrochen.


Menü Kommunikation

Über dieses Menü können folgende Parameter zur Komunikation zwischen WinKFPT und Steuergerät eingestellt werden:

· Hardware Interface IDH_auswahl_hw_interface

· Diagnoseprotokoll IDH_auswahl_diagnoseprotokoll

Über den Menüpunkt "HW-Interface" kann dynamisch zwischen HW-Interfaces (EDIC, ADS usw.) umgeschaltet werden.

Der Menüpunkt "HW-Interface" ist nur aktiv, wenn in der Konfigurationsdatei WINKFPT.INI, HW-Interfaces eingetragen sind (siehe “ Konfiguration in WINKFPT.INI IDH_konfiguration_in_winkfpt_ini”).

Über den Menüpunkt "Diagnoseprotokolle" kann dynamisch zwischen den Diagnoseprotokollen, die ein ausgewähltes Steuergerät unterstützt (BMW-Fast, KWP2000 usw.) ausgewählt werden.

Der Menüpunkt "Diagnoseprotokoll" ist nur aktiv, wenn ein ausgewähltes Steuergerät mehr als ein Diagnoseprotokoll unterstützt.

Ein Steuergerät wird ausgewählt über die Auswahl eines Verbauortes (Komfort-Modus IDH_komfort_modus) oder über die Auswahl einer PABD und P-SGBD (Experten-ModusIDH_experten_modus).


Auswahl HW-Interface

Zur Auswahl eines HW-Interface kommt man durch Menüpunkt Kommunikation à HW-Interface.

Abbildung: Auswahldialog für HW-Interface

Der Menüpunkt "HW-Interface" ist nur aktiv, wenn in der Konfigurationsdatei WINKFPT.INI, HW-Interfaces eingetragen sind.

Alle HW-Interface Einträge aus WINKFPT.INI (siehe “ Konfiguration in WINKFPT.INI IDH_konfiguration_in_winkfpt_ini”) werden in einer Liste zur Auswahl angeboten.

Zu jedem HW-Interface muß ein Unit Bezeichner (_, A. B, C, D, E) ausgewählt werden.

Die HW-Interface Unit benötigt EDIABAS zur Unterscheidung, falls mehrere HW-Interfaces des gleichen Typs in einem Rechner verbaut sind.

Um ein HW-Interface auszuwählen:

· Wählen Sie ein HW-Interface aus der “HW-Interface“ Liste.

· Wählen Sie die Unit für das HW-Interface aus.

Wenn nur ein Interface dieses Typs im Rechner verbaut ist sollte “_” (= Default) ausgewählt werden.

· Betätigen Sie “OK“.

Wenn das WINKFPT das gewählte HW-Interface aktivieren kann, wird es ständig als Statusinformation im Feld “HW-Interface” angezeigt, ansonsten erscheint die zu quittierende Fehlermeldung "Unzulässige Konfigurationsänderung!" und es bleibt bei der vorherigen Einstellung.

Abbildung: Fehlermeldung bei einer unzulässigen HW-Interface Auswahl

Der selbe Fehler tritt auf, wenn z.B. das gewählte HW-Interface hardware- oder softwaremässig nicht installiert ist.

Wenn bereits eine andere Instanz von WinKFPT das selbe HW-Interface+Unit belegt hat, erscheint folgende Fehlermeldung:

Abbildung: Fehlermeldung bei Zugriff auf gleiches HW-Interafce+Unit im Dialogbetrieb.

Beim Start des WINKFPT wird per Default das in "EDIABAS.INI" festgelegte HW-Interface aktiviert und angezeigt (siehe “ Konfiguration in EDIABAS.INI IDH_konfiguration_in_ediabas_ini”).

Über die Aufrufparameter -INTERFACE=<HW-Interface> und -UNIT=<Unit-Bezeichner>

kann jedoch schon direkt beim Start einer weiten WinKFPT Instanz eine andere Einstellung gewählt werden.


Auswahl Diagnoseprotokoll

Zur Auswahl eines Diagnoseprotokolls kommt man durch Menüpunkt Kommunikation à Diagnoseprotokoll.

Abbildung: Auswahldialog für Diagnoseprotokoll

Der Menüpunkt "Diagnoseprotokoll" ist nur aktiv, wenn ein ausgewähltes Steuergerät mehr als ein Diagnoseprotokoll unterstützt.

Ein Steuergerät wird ausgewählt über die Auswahl eines Verbauortes (Komfort-Modus IDH_komfort_modus) oder über die Auswahl einer PABD und P-SGBD (Experten-ModusIDH_experten_modus).

Nach Auswahl eines Steuergerätes wird intern automatisch versucht, den Job "DIAGNOSEPROTOKOLL_LESEN" aus der entsprechenden P-SBGD aufzurufen.

Wenn der Job vorhanden ist, werden die darin festgelegten Diagnoseprotokolle in einer Liste zur Auswahl angeboten.

Ohne explizite Auswahl ist per Default das erste Diagnoseprotokoll aus der Liste aktiviert.

Um ein Diagnoseprotokoll auszuwählen:

· Wählen Sie Diagnoseprotokoll aus der “Diagnoseprotokoll“ Liste.

· Betätigen Sie “OK“.

Das aktivierte Diagnoseprotokoll wird als Statusinformation im Feld “Diagnoseprotokoll” angezeigt.

Ein ausgewähltes Diagnoseprotokoll wird intern über den P-SGBD Job "DIAGNOSEPROTOKOLL_SETZEN" gesetzt.


Menü Konfiguration

Über diesen Menüpunkt wird folgender Konfigurationsdialog gestartet:

Abbildung: Konfigurationsdialog

Die Einstellungen entsprechen folgenden INI-Parametern:

Dialogtext | Ini-Dateieintrag | Beschreibung
Sprache / Language | SPRACHE | Der Eintrag legt die Sprache für WinKFPT fest. Möglich sind Deutsch (ger) und Englisch (eng).
Programmierspannung | U_PROG | Der Eintrag gibt an, ob bei der Programmierung die Programmierspannung ein- (ON), bzw. aus- (OFF) geschaltet wird.
Programmierspannung anzeigen | ANZEIGE_U_PROG | Der Eintrag gibt an, ob bei der Programmierung der Wert der Programmierspannung angezeigt wird (ON) oder nicht (OFF).
Schnelle Baudrate | SCHNELLE_BAUDRATE | Der Eintrag gibt an, ob bei der Programmierung die schnelle Baudrate verwendet wird (ON) oder nicht (OFF).
Test Checksumme | TEST_CHECKSUMME | Der Eintrag gibt an, ob nach der Programmierung der Daten, die Checksumme überprueft wird (ON) oder nicht (OFF).
Bootsektorupdate aktivieren | BsuActive | Der Eintrag gibt an, ob ein Bootsektorupdate, d.h. die Programmierung einer NAAB-Datei, möglich ist oder nicht.
Programmprogrammierung erzwingen im Komfort-Modus | PROGRAMM_ERZWINGEN | Der Eintrag gibt an, ob bei der Programmierung im Komfort-Modus in jedem Fall ein Programm programmiert werden soll, auch wenn nur eine Datenprogrammierung nötig wäre.
AIF schreiben nach Daten | AIF_SCHREIBEN_NACH_DATEN | Der Eintrag gibt an, ob bei der Daten-Programmierung im Komfort- oder Experten-Modus das AIF mitprogrammiert wird (ON) oder nicht (OFF).
AIF schreiben nach Programm | AIF_SCHREIBEN_NACH_PROGRAMM | Der Eintrag gibt an, ob bei der Programm- Programmierung im Komfort- oder Experten-Modus das AIF mitprogrammiert wird (ON) oder nicht (OFF).
AIF schreiben im Experten-Modus | EXPERT_MIT_AIF | Der Eintrag gibt an, ob bei der Programmierung im Experten-Modus das AIF mitprogrammiert wird (ON) oder nicht (OFF).
AIF schreiben im Komfort-Modus | KOMFORT_MIT_AIF | Der Eintrag gibt an, ob bei der Programmierung im Komfort-Modus das AIF mitprogrammiert wird (ON) oder nicht (OFF).
PABD-Format | CabdFormat | Der Eintrag definiert ob WinKFPT, PABDs als Source Dateien oder als compilierte Dateien verwenden soll. IPS PABDs als Source Dateien IPO PABDs als compilierte Dateien
API-Tracelevel | API_TRACE | Der Eintrag gibt den Level für die API-Traces in Ediabas an (0 bedeuted, daß der Trace ausgeschaltet ist)
IFH-Tracelevel | IFH_TRACE | Der Eintrag gibt den Level für die IFH-Traces in Ediabas an (0 bedeuted, daß der Trace ausgeschaltet ist)
Verzeichnis für Fehlerausgabe ”error.log” | ErrorLogPath | Ablageverzeichnis für die Datei ERRORn.LOG
Basisverzeichnis für exportierte Konfigurationen – Entwicklungs-daten | ExpertKonfPath | Basisverzeichnis für den Export einer Konfiguration von Entwicklungsdaten (Experten-Modus)
Basisverzeichnis für exportierte Konfigurationen – Werksdaten | KomfortKonfPath | Basisverzeichnis für den Export einer Konfiguration von Werksdaten (Komfort-Modus)
Basisverzeichnis für WinKFPT-Arbeitsverzeichnisse | CoapiSearchPath | Basisverzeichnis für die Arbeitsverzeichnisse: cfgdat, data, sgdat usw.

Wird der Dialog mit OK verlassen und besteht zu diesem Zeitpunkt eine Differenz zwischen den Einstellungen im Dialog und dem Ini-File, so wird der Benutzer gefragt, ob er seine Änderungen dauerhaft im Ini-File sichern möchte. Auch wenn er dies ablehnt, gelten die Einstellungen für die Dauer der WinKFP-Sitzung, und der Benutzer erhält beim Beenden erneut die Gelegenheit, die Konfiguration im Ini-File abzuspeichern.

Wird das PABD Format geändert und ist bereits eine PABD ausgewählt, so muß anschließend explizit eine neue PABD im Experten-Modus oder implizit eine neue PABD im Komfort-Modus durch Wahl einer ZB-Nummer ausgewählt werden. Der Benutzer wird durch Messageboxen darauf hingewiesen.


Menü Hilfe

Über dieses Menü kann die Online-Hilfe gestartet werden und Informationen zum Programm angezeigt werden.


Inhalt - Aufruf der Online-Hilfe

Zum Aufruf der Online-Hilfe kommt man durch den Menüpunkt Hilfe à Inhalt.

Dieser Befehl zeigt den Eröffnungsbildschirm der Hilfefunktion an.

Das Handbuch und die Online-Hilfe sind grundsätzlich identisch.

Bei Updates des WinKFPT wird die Online-Hilfe und die Worddatei des Handbuchs aktualisiert.

Abbildung: Online Hilfe des WinKFPT


Info - Versionsinformation des WinKFPT

Zur Versionsinformation des WinKFPT kommt man durch Menüpunkt Hilfe à Info.

Dieser Befehl zeigt Programmversions- und Copyright-Informationen an.

Abbildung: Programmversions- und Copyright-Informationen

In oberem Teil des Dialogs wird die Programmversion des WinKFPT, der COAPI- und der Krapi-Bibliothek angezeigt.

In der Ecke unten rechts stehen Datum und Uhrzeit der Erstellung der WinKFPT-Version.


Funktionen des WinKFPT

Abbildung: Ebenen der Funktionshierarchie des WinKFPT


Funktionsstartmenü: Bedienermodi des WinKFPT

Dieses Funktionsmenü wird beim Start einer WinKFPT Instanz angezeigt.

In dem Funktionsstartmenü können im Dialogbetrieb zwei Bedienermodi des WinKFPT ausgewählt werden:

· Komfort-Modus IDH_komfort_modus

· Experten-Modus IDH_experten_modus

Abbildung: Funktionsstartmenü des WinKFPT

In jedem Bedienermodus werden Funktionen zur Verfügung gestellt, die sich in zwei Ebenen einteilen lassen:

· Funktionen der Programmiereinstellungsebene

· Funktionen der Programmierdurchführungsebene

Die Bedienermodi unterscheiden sich hinsichtlich ihrer

· Funktionen für die Eingabe bzw. Auswahl von Auftragsdaten zur SG-Programmierung in der Programmiereinstellungsebene.

· Funktionen für die Flashprogrammierung von Steuergeräten in der Programmierdurch-führungsebene.

Die Nutzung der “allgemeinen Funktionen“ ist in beiden Bedienermodi gleich (siehe “ Allgemeine Funktionen IDH_allgemeine_funktionen“).

Folgende Tabelle zeigt die möglichen Auftragsdaten im jeweiligen Bedienermodus:

Modus | Auftragsdaten
Komfort-Modus | Name der Steuergerätefamilie Zusammenbaunummer Verbauort <Fahrgestellnummer>
Experten-Modus | P-SGBD PABD SG-Adresse Datensatzname für NAAB Datensatzdatei für Programm Datensatzdatei für Daten <Fahrgestellnummer>

Tabelle: Übersicht der Auftragsdaten in den Bedienermodi

· < Fahrgestellnummer >

Die Eingabe der Fahrgestellnummer ist in beiden Modi nur bei einer Programmierung mit anschließendem Schreiben des Anwender-Info-Feldes (AIF) notwendig.

Programmierung Mit/Ohne AIF-Schreiben ist über die Konfigurationsdatei “winkfpt.ini“ einstellbar.

· SG-Adresse

Die Notwendigkeit der Eingabe der SG-Adresse im Experten-Modus hängt vom Entwicklungsstand der Beschreibungsdateien ab.

In den älteren Beschreibungsdateien, das sind in der Regel die nicht standardisierten Beschreibungsdateien, ist die SG-Adresse hart codiert für die Befüllung der Protokollparameter und Diagnosetelegramme enthalten.

Die neuen Standard-Beschreibungsdateien müssen von außen, hier durch Bedienereingabe, mit einer SG-Adresse gefüttert werden, die dann global für die weitere Verarbeitung in den Beschreibungsdateien abgespeichert wird.

Ob die Eingabe der SG-Adresse notwendig ist, wird von WinKFPT automatisch erkannt und dem Bediener angezeigt.

· Beschreibungs- und Datensatzdateien

Im Komfort-Modus werden die für die Programmierung benötigten Beschreibungs- und Datensatzdateien aus den Auftragsdaten mit Hilfe der BMW-Logistikdateien ermittelt.


Komfort-Modus

Dieser Modus dient zur Programmierung von Steuergeräten unter Einbeziehungen aller logistischen Prüfungen, die z.B. bei einer Bandendeprogrammierung im Werk durchgeführt werden müssen.

Voraussetzung für die Programmierung eines Steuergerätes im Komfort-Modus, ist das Vorhandensein eines vollständigen Werksdatenpakets für dieses Steuergerät (siehe “ Import von Werksdaten IDH_import_von_werksdaten”).

Eine Steuergeräte-Programmierung im Komfort-Modus kann auf folgenden Wegen erfolgen:

Ø Eingabe oder Auswahl der Zusammenbaunummer, Auswahl einer beliebigen Anzahl der dazu angebotenen Verbauorte, Eingabe der Fahrgestellnummer wenn ein AIF geschrieben wird und anschließende Programmierung des Steuergeräts bzw. der Steuergeräte.

Ø Auswahl einer Steuergerätefamilie und einer beliebigen Anzahl der dazu angebotenen Verbauorte und anschließende Aktualisierung des Steuergeräts bzw. der Steuergeräte auf den neuesten ZusBauStand, wobei auch die Aktualisierung auf einen inkompatibler Hardwarestand durch BSU berücksichtigt wird.


Start des Komfort-Modus

Der Komfort-Modus wird durch Betätigung der Funktiontaste “Komfort-Modus” gestartet.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F1> auf der Tastatur.

Die Funktionstaste“Komfort-Modus” ist in folgenden Funktionsebenen verfügbar :

§ im Funktionsstartmenü (siehe “Abbildung: Funktionsstartmenü des WinKFPT IDH_funktionsstartmenue_bedienermodi_des_winkfpt“)

§ im Funktionsmenü der Programmierdurchführungsebene des Komfort-Modus (siehe “Abbildung: Programmierdurchführungsebene im Komfort Modus IDH_funktionen_der_programmierdurchfuehrungsebene_im_komfort_modus“)

§ im Funktionsmenü der Programmierdurchführungsebene des Experten-Modus (siehe “Abbildung: Programmierdurchführungsebene im Experten-Modus IDH_funktionen_der_programmierdurchfuehrungsebene_im_experten_modus“)

Im Komfort-Modus werden nur PABDen im IPO-Format verwendet. Ist in der Konfiguration das Format IPS eingestellt und wird der Komfort-Modus betreten, so erscheint folgende Messagebox:

Abbildung: Formatumschaltung bei Betreten des Komfort-Modus.

Mit OK wird automatisch auf das Format IPO umgeschaltet, bei Abbrechen wird der Komfort-Modus nicht betreten.

Die Funktionstaste “Komfort-Modus” verzweigt in die Programmiereinstellungsebene des Komfort-Modus zur Eingabe der zur Programmierung erforderlichen Auftragsdaten.

Bei Betätigung von “Komfort-Modus” werden folgende Auftragsdaten und Statusanzeigen aus einer vorangegangenen Sitzung im Komfort-Modus gelöscht:

· SG-Adresse (Steuergeräteadresse) bzw. Verbauort.

· Diagnoseprotokoll

· PABD

· P-SGBD

Die Auftragsdaten und Statusanzeigen:

· FG-Nummer

· ZB-Nummer

· Hardwarenummer

bleiben erhalten.

Bei Betätigung von “Komfort-Modus” werden die Auftragsdaten und Statusanzeigen aus einer vorangegangenen Sitzung im Experten-Modus vollständig gelöscht, bzw. zum Laden der letzten Konfigurationseinstellung bei einem erneuten Einstieg in den Experten-Modus, zwischengespeichert.


Beenden des Komfort-Modus

Ein Beenden des Komfort-Modus kann auf zwei Arten durchgeführt werden:

Ø Wechsel in den Experten-Modus IDH_experten_modus

Ø Löschen der Auftragsdaten für den Komfort-Modus

Ø Der Wechsel in den Experten-Modus erfolgt durch Betätigung der Funktionstaste “Experten-Modus“.

Bei Betätigung von “Experten-Modus” werden folgende Auftragsdaten und Statusanzeigen des Komfort-Modus gelöscht:

· FG-Nummer

· ZB-Nummer

· Hardwarenummer

Die Auftragsdaten und Statusanzeigen:

· SG-Adresse (Steuergeräteadresse) bzw. Verbauort.

· Diagnoseprotokoll

· PABD

· P-SGBD

bleiben erhalten und bewirken im Experten-Modus den Wechsel in die Programmiereinstellungsebene, Stufe 2 (siehe: Abbildung: Programmiereinstellungsebene, Stufe 2 im Experten Modus IDH_funktionen_der_programmiereinstellungebene_stufe_2_im_experten_modus).

Ø Zum vollständigen Löschen von Auftragsdaten im Komfort-Modus, müssen der Reihe nach folgende Funktionstasten betätigt werden:

“Experten-Modus“

“Cancel“ (wenn Laden von Konfigurationseinstellung angeboten wird)

“Fertig“ (<F8> im Experten-Modus)

“Komfort-Modus“

“Fertig“ (<F8> im Komfort-Modus)

WinKFPT befindet sich danach im Funktionsstartmenü (siehe: Abbildung: Funktionsstartmenü des WinKFPT IDH_funktionsstartmenue_bedienermodi_des_winkfpt).


Experten-Modus

Dieser Modus dient zur Auswahl bzw. Eingabe der Auftragsdaten (PABD, P-SGBD und Datensätze) und anschließender Programmierung des Steuergeräts.

Voraussetzung für die Programmierung eines Steuergerätes im Experten-Modus, ist das Vorhandensein der gewünschten Beschreibungsdateien und Datensätze für dieses Steuergerät (siehe “5.2.1 Untermenü – ImportIDH_untermenue_import“)

Im Experten-Modus ist es möglich logistische Restriktionen zu umgehen wie z.B.:

· Programmierung eines Programmstandes, der nicht kompaitibel zu dem aktuellen Programmstand im Steuergerät ist.

· "Rücksetzen" eines Steuergerätes durch programmieren von "alten" Programmständen.

· Programmieren von Datensätzen, die nicht zum aktuellen Programmstand im Steuergerät passen.

Achtung!

Bei solchen Aktionen sollte der Bediener genau wissen was ertut, da dadurch ein Steuergerät für die weitere Benutzung so unbrauchbar gemacht werden kann, das es für weitere Programmmierungen per Diagnosekommunikation nicht mehr funktionsfähig ist und damit einen Receyclingfall darstellt.

Bei Auswahl des Experten-Modus wird auf der Bedienoberfläche zur Kontrolle für den Bediener sofort die ZB-Nummer aus dem Konfigurationsfile ”COAPI.INI“ angezeigt, wenn im Konfigurationsfile “WINKFPT.INI” EXPERT_MIT_AIF=ON eingestellt ist.

Diese ZB-Nummer wird in das AIF geschrieben.

Soll eine andere ZB-Nummer in das AIF eingetragen werden, müssen folgende Schritte durchgeführt werden:

· WINKFPT beenden

· Eintrag in ”COAPI.INI“ ändern (siehe Konfiguration in COAPI.INI IDH_konfiguration_in_coapi_ini)

· WINKFPT wieder starten.


Start des Experten-Modus

Der Experten-Modus wird durch Betätigung der Funktiontaste “Experten-Modus” gestartet.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F2> auf der Tastatur.

Die Funktionstaste“Experten-Modus” ist in folgenden Funktionsebenen verfügbar :

§ im Funktionsstartmenü (siehe “Abbildung: Funktionsstartmenü des WinKFPT IDH_funktionsstartmenue_bedienermodi_des_winkfpt“)

§ im Funktionsmenü der Programmierdurchführungsebene des Komfort-Modus (siehe “Abbildung: Programmierdurchführungsebene im Komfort Modus IDH_funktionen_der_programmierdurchfuehrungsebene_im_komfort_modus“)

§ im Funktionsmenü der Programmierdurchführungsebene des Experten-Modus (siehe “Abbildung: Programmierdurchführungsebene im Experten-Modus IDH_funktionen_der_programmierdurchfuehrungsebene_im_experten_modus“)

Die Funktionstaste “Experten-Modus” verzweigt in die Programmiereinstellungsebene, Stufe 1 bzw. Stufe 2 des Experten-Modus zur Eingabe der zur Programmierung erforderlichen Auftragsdaten.

Bei Betätigung von “Experten-Modus” bleiben alle Auftragsdaten und Statusanzeigen aus einer vorangegangenen Sitzung im Experten-Modus erhalten.

Bei Betätigung von “Experten-Modus” werden folgende Auftragsdaten und Statusanzeigen aus einer

vorangegangenen Sitzung im Komfort-Modus IDH_komfort_modus gelöscht:

· FG-Nummer

· ZB-Nummer

· Hardwarenummer

Die Auftragsdaten und Statusanzeigen:

· SG-Adresse (Steuergeräteadresse) bzw. Verbauort.

· Diagnoseprotokoll

· PABD

· P-SGBD

bleiben erhalten.


Beenden des Experten-Modus

Ein Beenden des Experten-Modus erfolgt durch:

Ø Wechsel in den Komfort-Modus IDH_komfort_modus

Ø Der Wechsel in den Komfort-Modus erfolgt durch Betätigung der Funktionstaste “Komfort-Modus“.

Bei Betätigung von “Komfort-Modus” werden alle Auftragsdaten und Statusanzeigen des Experten-Modus gelöscht, bzw. zum Laden der letzten Konfigurationseinstellung bei einem erneuten Einstieg in den Experten-Modus, zwischengespeichert

Nach Betätigung von “Fertig“ (<F8> im Komfort-Modus) befindet sich WinKFPT im Funktionsstart-menü (siehe: Abbildung: Funktionsstartmenü des WinKFPT IDH_funktionsstartmenue_bedienermodi_des_winkfpt).


Funktionsebenen im Komfort-Modus

Funktionen des Komfort Modus sind in zwei Ebenen aufgeteilt:

Ø Funktionen der Programmiereinstellungsebene

Ø Funktionen der Programmierdurchführungsebene

Ø Funktionen der Programmiereinstellungsebene dienen zur Eingabe bzw. Auswahl aller für eine Programmierung notwendigen Auftragsdaten.

Ø Funktionen der Programmierdurchführungsebene dienen zur Programmierung eines bzw. mehrerer Steuergeräte.

Das Wechseln der Funktionsebenen ist abhängig vom Umfang der vom Bediener eingegebenen Auftragsdaten.

Funktionsebene | Funktionen | Erforderliche Eingaben zum Wechsel in die Ebene
Programmier-einstellungsebene | · Eingabe einer ZUSB-Nummer · Auswahl einer ZUSB-Nummer · Update eines Zusammenbau-standes · Eingabe einer Fahrgestellnummer · Beenden der Programmierein-stellungsebene | Keine Eingaben
Programmier-durchführungsebene | · Programmierung ZB-Nummer · Programmmierung ZB-Update · Spezial · Diagnose | Verbauort(e) zu einer ZB-Nummer oder einer Steuergerätefamilie.

Tabelle: Funktionsebenen des Komfort Modus


Funktionen der Programmiereinstellungebene im Komfort-Modus

Folgende Funktionen sind in der Programmiereinstellungssebene des Komfort-Modus vorhanden:

· Eingabe einer ZB-Nummer

· Auswahl einer ZB-Nummer

· Update eines Zusammenbaustandes

· Eingabe einer Fahrgestellnummer

· Beenden der Eingabe von Auftragsdaten.

Abbildung: Funktionen der Programmiereinstellungsebene im Komfort-Modus


Funktion Eingabe einer ZB-Nummer

Zur Eingabe einer ZB-Nummer kommt man durch Betätigen von “ZUSB eingeben”.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F1> auf der Tastatur.

Das Betätigen dieser Funktionstaste öffnet eine Dialogbox zur Eingabe der Zusammenbaunummer:

Abbildung: Eingabedialog für eine ZB-Nummer im Komfort Modus

Achtung!

Die Eingabe der ZB-Nummer muß 7-stellig und numerisch sein, ansonsten wird eine zu quittierende Fehlermeldung ausgegeben.

· Mit "Cancel" wird die Eingabe verworfen.

· Mit “OK” wird überpruft, ob die eingegebene ZB-Nummer in einer <SgFam>.DAT Datei der vorhandenen Werksdatenpakete im Verzeichnis \<root>IDH_footnote_root\DATA vorhanden ist.

Wenn die eingegebene Zusammenbaunummer nicht gefunden bzw. nicht gültig ist, wird die Eingabe der ZB-Nummer abgebrochen und folgende Fehlermeldung ausgegeben:

Abbildung 7‑3: Fehlermeldung, ZB-Nummer nicht in der Logistik vorhanden

Wenn die eingegebene Zusammenbaunummer gültig ist, erscheint ein Dialog zur Auswahl eines Verbauorts oder mehrerer Verbauorte:

Abbildung: Auswahldialog für SG-Familie, Zusammenbaunummer und Verbauort

Die eingegebene Zusammenbaunummer und der zugehörige Name der Steuergerätefamilie sind bereits fokussiert und es muss nur noch eine oder mehrere Steuergeräteadresse(n) über den bzw. die Verbauort(e) ausgewählt (siehe auch " Funktion Auswahl einer ZB-Nummer I DH_funktion_auswahl_einer_zb_nummer ").

Ein, mehrere oder alle Verbauorte werden aus der Liste “Verbauorte” nach den üblichen Windows-Konventionen selektiert.

· Mit "Cancel" wird die Eingabe ZB-Nummer und Auswahl Verbauort verworfen.

· Mit “OK” wird die ZB-Nummer übernommen und als Statusinformation mit der zugehörigen Hardwarenummer angezeigt.


Funktion Auswahl einer ZB-Nummer

Zur Auswahl einer ZUSB-Nummer kommt man durch Betätigen von “ZUSB auswählen”.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F2> auf der Tastatur.

Das Betätigen dieser Funktionstaste bewirkt, daß eine Dialogbox zur Auswahl einer SG-Familie, Zusammenbaunummer und Verbauort(e) geöffnet wird (siehe “Abbildung: Auswahldialog für SG-Familie, Zusammenbaunummer und Verbauort IDH_funktion_eingabe_einer_zb_nummer”).

Die Dialogbox enthält drei Listen:

· "Steuergerätefamilie"

- mit den vorhandenen SG-Familien bzw. Werksdatenpaketen

· "ZB-Nummer"

- mit den Zusammenbaunummern, die zu der ausgewählten bzw. markierten SG-Familie gehören

· "Verbauort"

- mit den Verbauorten, die zu der ausgewählten bzw. markierten SG-Familie gehören, durch deren Auswahl die Steuergeräteadresse festgelegt wird. Steuergeräte, die in einem Fahrzeug mehrfach verbaut werden können, unterscheiden sich nur in der Steuergeräteadresse bzw. im Verbauort.

In der Liste “Steuergerätefamilie” werden nur diejenigen SG-Familien angezeigt, für die in den jeweiligen Verzeichnissen \<root>IDH_footnote_root\data\<sgfam> die Logistikdatei <sgfam>.DAT mit mindestens einer Zusammenbaunummer existiert.

In der Liste “ZB-Nummer” werden alle, in der Datei <sgfam>.DAT vorhandenen, Zusammenbaunummer fur die ausgewählte SG-Familie angezeigt.

In der Liste “Verbauort” werden alle, in der Datei \<root>IDH_footnote_root\data\gdaten\INFO.GER vorhandenen Verbauorte für die ausgewählte SG-Familie angezeigt.

Ein, mehrere oder alle Verbauorte werden aus der Liste “Verbauorte” nach den üblichen Windows-Konventionen selektiert.

· Mit "Cancel" wird die Auswahl ZB-Nummer und Auswahl Verbauort verworfen.

· Mit “OK” wird die ZB-Nummer übernommen und als Statusinformation mit der zugehörigen Hardwarenummer angezeigt.


Funktion Update eines Zusammenbaustandes

Zum Update eines Zusammenbaustandes kommt man durch Betätigen von “ZUSB update”.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F3> auf der Tastatur.

Das Betätigen dieser Funktionstaste bewirkt, daß eine Dialogbox zur Auswahl einer SG-Familie und Verbauort(e) geöffnet wird:

Abbildung: Auswahl-Dialog für Update eines Zusammenbaustandes

Die Dialogbox enthält zwei Listen:

· "Steuergerätefamilie"

- mit den vorhandenen SG-Familien bzw. Werksdatenpaketen

· "Verbauort"

- mit den Verbauorten, die zu der ausgewählten bzw. markierten SG-Familie gehören, durch deren Auswahl die Steuergeräteadresse festgelegt wird. Steuergeräte, die in einem Fahrzeug mehrfach verbaut werden können, unterscheiden sich nur in der Steuergeräteadresse bzw. im Verbauort.

In der Liste “Steuergerätefamilie” werden nur diejenigen SG-Familien angezeigt, für die in den jeweiligen Verzeichnissen \<root>IDH_footnote_root\data\<sgfam> die Logistikdatei <sgfam>.DAT mit mindestens einer Zusammenbaunummer existiert.

In der Liste “Verbauort” werden alle, in der Datei \<root>IDH_footnote_root\data\gdaten\INFO.GER vorhandenen Verbauorte für die ausgewählte SG-Familie angezeigt.

Ein, mehrere oder alle Verbauorte werden aus der Liste “Verbauorte” nach den üblichen Windows-Konventionen selektiert.

· Mit "Cancel" wird die Auswahl SG-Familie und Auswahl Verbauort verworfen.

· Mit “OK” wird die Auswahl übernommen und die entsprechenden Statusinformationen ( Beschreibungsdateien, SG-Adresse und Diagnoseprotokoll) angezeigt.


Funktion Eingabe einer Fahrgestellnummer

Zur Eingabe einer Fahrgestellnummer kommt man durch Betätigen von “FGNR eingeben”.

Diese Funktionstaste wird nur angeboten, wenn im Konfigurationsfile WINKFPT.INI KOMFORT_MIT_AIF=ON eingestellt ist.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F4> auf der Tastatur.

Das Betätigen dieser Funktionstaste bewirkt, daß eine Dialogbox zur Eingabe der Fahrgestellnummer geöffnet wird:

Abbildung: Eingabedialog für Fahrgestellnummer

Achtung!

Die Eingabe der Fahrgestellnummer muß 17-stellig und alphanumerisch sein, ansonsten wird folgede zu quittierende Fehlermeldung ausgegeben:

Abbildung: Fehlermeldung bei einer fehlerhaften Fahrgestellnummer

· Mit "Cancel" wird die Eingabe der Fahrgestellnummer verworfen.

· Mit “OK” wird die Fahrgestellnummer übernommen und als Statusinformation angezeigt.

Hinweis:

In Verbindung mit den Funktionen "ZUSB eingeben" und “ZUSB auswählen" ist, bei Konfigurationseinstellung in WINKFPT.INI KOMFORT_MIT_AIF=ON, die Eingabe einer Fahrgestellnummer zwingend erforderlich.

Eine Programmierung des Steuergerätes ist sonst in diesem Fall nicht möglich.

In Verbindung mit der Funktion "ZUSB update" ist die Eingabe einer Fahrgestellnummer mit "FGNR eingeben" nicht erforderlich, da in diesem Fall für den neuen AIF-Eintrag die Fahrgestellnummer aus dem letzten, vorher ausgelesenen AIF-Eintrag verwendet wird.

Gibt der Bediener trotzdem eine Fahrgestellnummer mit "FGNR eingeben" ein, dann wird diese in das neue AIF eingetragen.


Funktion Fertig im Komfort-Modus

Beim Betätigen von “Fertig” wird die Eingabe bzw. Auswahl der Auftragsdaten in der Programmiereinstellungsebene des Komfort Modus beendet.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F8> auf der Tastatur.

Das Betätigen dieser Funktionstaste bewirkt einen Wechsel der Funktionsebene:

· Wenn keine Eingaben erfolgten, wird der Wechsel in das Funktionsstartmenü durchgeführt (siehe Abbildung Funktionsstartmenü des WinKFPT IDH_funktionsstartmenue_bedienermodi_des_winkfpt).

· Bei Eingabe von gültigen Auftragsdaten mit “ZUSB eingeben” oder “ZUSB auswählen” erfolgt der Wechsel in das Funktionsmenü der Programmierdurchführungsebene des Komfort-Modus mit der Funktion “Programmieren”.

Hinweis:

Wird bei Konfigurationseinstellung in WINKFPT.INI KOMFORT_MIT_AIF=ON, die Eingabe einer Fahrgestellnummer nicht durchgeführt, ist eine Programmierung des Steuergerätes nicht möglich und es werden nach dem Wechsel der Funktionsebene nur die allgemeinen Funktionen angeboten siehe (Abbildung 9-1: Funktionsmenü mit den Funktionstasten “Spezial” und “Diagnose IDH_allgemeine_funktionen).

· Bei Eingabe von gültigen Auftragsdaten mit “ZUSB update” erfolgt der Wechsel in das Funktionsmenü der Programmierdurchführungsebene des Komfort-Modus mit der Funktion “Prog. ZB-Update”.


Funktion Programmieren

Die Programmierung eines Steuergerätes erfolgt durch Betätigen von “Programmieren”.

Die Funktionstaste wird nur nach erfolgreicher Eingabe der ZUSB-Nummer mit den Funktionen "ZUSB eingeben" oder "ZUSB auswählen" bzw. auch Fahrgestellnummer (bei Konfigurationseinstellung KOMFORT_MIT_AIF=ON in WINKFPT.INI) in der Programmiereinstellungsebene des Komfort Modus aktiviert.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F3> auf der Tastatur.

Diese Funktionstaste startet die Programmierung eines oder mehrerer Steuergeräte im Komfort-Modus.

Bei Konfigurationseinstellung KOMFORT_MIT_AIF=ON in WINKFPT.INI erscheint vor der SG-Programmierung folgende Sicherheitsabfrage:

Abbildung: Anzeige der Anzahl der möglichen AIF-Programmierungen

Hinweis:

Die Anzahl der möglichen AIF-Programmierungen wird aus der PABD ermittelt.

· Mit "Cancel" wird die Programmierung abgebrochen.

· Mit “OK” wird die Programmierung gestartet.

Abbildung: SG-Programmierung im Komfort Modus

Der Status des Programmiervorgangs wird als Fortschrittsbalken (0 - 100%) und als Prozentangabe in der blauen Menü-Statuszeile angezeigt.

Wenn Konfigurationseintrag “ANZEIGE_U_PROG” in WINKFPT.INI auf ON gesetzt wurde, wird “Programmierspannung” in oberer rechter Ecke angezeigt.

Am Ende der SG-Programmierung erscheint die Meldung <Programmierung OK>:

Abbildung: Meldung bei einer erfolgreichen SG-Programmierung

Das Anwenderinfofeld wird nur dann nicht programmiert, wenn in der Datei WINKFPT.INI der Schalter "KOMFORT_MIT_AIF" explizit auf OFF gesetzt ist.

Bei einer Mehrfachauswahl von Steuergeräten werden nach jedem Programmiervorgang automatisch die Auftragsdaten für den nächsten angezeigt und mit Betätigung der Funktionstaste "Programmieren" wieder gestartet.

Dadurch ist zwischen den einzelnen Programmierungen jederzeit ein Abbruch oder eine Änderung von Einstellungen (z.B. HW-Interface oder Diagnoseprotokoll) möglich. Am Ende der Mehrfachprogrammierung erscheint die Meldung <Multiple Programmierung beendet>:

Abbildung 7‑12: Meldung bei einer erfolgreichen Mehrfachprogrammierung


Funktion Prog. Update

Die Programmierung eines Steuergerätes auf den aktuellen Zusammenbaustand erfolgt durch Betätigen von “Prog ZB-Update”.

Die Funktionstaste wird nur nach erfolgreicher Eingabe der Auftragsdaten mit der Funktionen "ZUSB update" in der Programmiereinstellungsebene des Komfort Modus aktiviert.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F3> auf der Tastatur.

Diese Funktionstaste startet die Aktualisierung eines Steuergeräts auf den neuesten Zusammenbaustand, wobei auch die Aktualisierung auf einen inkompatibler Hardwarestand durch BSU berücksichtigt wird..

Dazu wird aus dem Steuergerät die Fahrgestell- und die Zusammenbaunummer, aus dessen letzten AIF-Eintrag, ausgelesen.

Zu dieser Zusammenbaunummer wird aus der Datei \<root>IDH_footnote_root\data\<sgfam>\<sgfam>.his (= ZUSB-Historie) die zugehörige aktuellste Zusammenbaunummer ermittelt, wobei ein Wechsel in eine andere SG-Familie und damit in eine neue entsprechende ZUSB-Historie möglich ist.

Diese beiden Zusammenbaunummern werden in einer zu quittierenden Dialogbox dem Benutzer angezeigt:

Abbildung: Anzeige ZUSB-Nummer aus SG und aktuelle ZUSB-Nummer

· Mit "Nein" wird Programmierung auf den aktuellsten Zusammenbaustand abgebrochen.

· Mit "Ja" wird die Programmierung auf den aktuellsten Zusammenbaustand gestartet.

Bei Konfigurationseinstellung KOMFORT_MIT_AIF=ON in WINKFPT.INI erscheint vor der SG-Programmierung folgende Sicherheitsabfrage:

Abbildung: Anzeige der Anzahl der möglichen AIF-Programmierungen

Hinweis:

Die Anzahl der möglichen AIF-Programmierungen wird aus der PABD ermittelt.

· Mit "Cancel" wird die Programmierung abgebrochen.

· Mit “OK” wird die Programmierung gestartet.

Der Status des Programmiervorgangs wird als Fortschrittsbalken (0 - 100%) und als Prozentangabe in der blauen Menü-Statuszeile angezeigt.

“Abbildung: SG-Programmierung im Komfort Modus IDH_funktion_programmieren”).

Wenn Konfigurationseintrag “ANZEIGE_U_PROG” in WINKFPT.INI auf ON gesetzt wurde, wird “Programmierspannung” in oberer rechter Ecke angezeigt.

Am Ende der ZUSB-Update Programmierung erscheint die Meldung <ZUSB-Update Programmierung OK>:

Abbildung: Meldung bei einer erfolgreichen ZUSB-Update Programmierung

Das Anwenderinfofeld wird nur dann nicht programmiert, wenn in der Datei WINKFPT.INI der Schalter "KOMFORT_MIT_AIF" explizit auf OFF gesetzt ist.

Bei einer Mehrfachauswahl von Steuergeräten werden nach jedem Programmiervorgang automatisch die Auftragsdaten für den nächsten angezeigt und mit Betätigung der Funktionstaste "Prog. ZB-Update" wieder gestartet.

Dadurch ist zwischen den einzelnen Programmierungen jederzeit ein Abbruch oder eine Änderung von Einstellungen (z.B. HW-Interface oder Diagnoseprotokoll) möglich.

Am Ende der Mehrfachprogrammierung erscheint die Meldung <Multiple ZUSB-Update Programmierung beendet>:

Abbildung: Meldung bei einer erfolgreichen ZUSB-Update Mehrfachprogrammierung


Funktionsebenen im Experten-Modus

Funktionen des Experten-Modus sind in drei Ebenen aufgeteilt:

Ø Funktionen der Programmiereinstellungsebene Stufe 1

Ø Funktionen der Programmiereinstellungsebene Stufe 2

Ø Funktionen der Programmierdurchführungsebene

Ø Funktionen der Programmiereinstellungsebene Stufe 1 dienen zur Auswahl der Beschreibungs-dateien.

Ø Funktionen der Programmiereinstellungsebene Stufe 2 dienen zur Eingabe der SG-Adresse und der Auswahl von Datensatzdateien.

Ø Funktionen der Programmierdurchführungsebene dienen zur Programmierung eines Programm- oder Datenstandes.

Das Wechseln der Funktionsebenen ist abhängig vom Umfang der vom Bediener eingegebenen Auftragsdaten.

Funktionsebene | Funktionen | Erforderliche Eingaben zum Wechsel in die Ebene
Programmierein-stellungsebene Stufe 1 | · PABD laden · P-SGBD laden · Beenden der Funktions-ebene | Keine Eingaben, nur PABD, nur P-SGBD
Programmierein-stellungsebene Stufe 2 | · SG-Adresse eingeben · Datensatz laden NAAB · Datensatz laden - Programm · Datensatz laden - Daten · Beenden der Funktions-ebene | Beide Beschreibungsdateien PABD und P-SGBD
Programmierdurch-führungsebene | · Programmierung NAAB · Programmierung – Programm · Programmierung – Daten · Spezial · Diagnose | Beschreibungsdateien (PABD und P-SGBD), Datensatzdateien (für NAAB und/oder Program und/oder Daten), <SG-Adresse>

Tabelle: Funktionsebenen des Experten Modus


Funktionen der Programmiereinstellungsebene, Stufe 1 im Experten-Modus

Folgende Funktionen sind in der Programmiereinstellungssebene Stufe 1 des Experten-Modus vorhanden:

· PABD laden

· P-SGBD laden

· Beenden der Programmiereinstellungssebene Stufe1.

Abbildung: Funktionen der Programmiereinstellungsebene, Stufe 1 im Experten-Modus


Funktion PABD laden

Zur Auswahl einer PABD kommt man durch Betätigen von “PABD”.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F1> auf der Tastatur.

Das Betätigen dieser Funktionstaste öffnet eine Dialogbox zur Auswahl einer PABD:

Abbildung: Auswahldialog für PABD

Der Sourcecode der Programmier-Ablauf-Beschreibungsdateien (PABD) liegt in der INPA-Skriptsprache vor.

Für die Verarbeitung im WinKFPT können sie im Sourcecode oder in compilierter Form vorliegen, wobei die compilierte Form mit dem CABI-Compiler aus dem Sourcecode erzeugt wird.

Da die Funktionalität des CABI-Compilers in der COAPI integriert ist, kann WinKFPT beide Formen einer PABD verarbeiten.

Das Unterscheidungskriterium zwischen Sourcecode und compilierter Form ist die Fileextension im Filenamen der PABD, z.B.:

· 17EK924.IPS à PABD im Source Code

· 17EK924.IPO à PABD in compilierter Form.

In der Dialogbox werden entweder alle Dateien mit der Endung IPS, oder mit der Endung IPO angezeigt, die sich im Verzeichnis <root>IDH_footnote_root\SGDAT befinden.

Das ist abhängig von der Konfigurationseinstellung CabdFormat in WINKFPT.INI und COAPI.INI – siehe “ Konfiguration in COAPI.INI IDH_konfiguration_in_coapi_ini”, “ Konfiguration in WINKFPT.INI IDH_konfiguration_in_winkfpt_ini”).

· Mit "Cancel" wird die Auswahl einer PABD abgebrochen. Die Auswahl einer zuvor ausgewählten PABD bleibt erhalten.

· Mit “OK” wird die PABD übernommen und als Statusinformation “PABD”angezeigt.

Nach Auswahl einer PABD wird automatisch überprüft, ob schon eine P-SGBD ausgewählt und als Statusinformation angezeigt ist.

Ø P-SGBD ist nicht ausgewählt: Das Funktionsmenü für die Programmiereinstellungsebene Stufe 1 bleibt erhalten.

Ø P-SGBD ist ausgewählt: Es erfolgt der Wechsel in das Funktionmenü für die Programmierein-stellungsebene Stufe 2.

Mit der Auswahl von PABD und P-SGBD ist implizit ein Steuergerät ausgewählt und es wird überprüft, ob das Steuergerät mehr als ein Diagnoseprotokoll unterstützt.

Ist das der Fall, wird der Menüpunkt "Diagnoseprotokoll" aktiviert und das Default-Diagnoseprotokoll als Statusinformation angezeigt (siehe “ Auswahl DiagnoseprotokollIDH_auswahl_diagnoseprotokoll”).


Funktion P-SGBD laden

Zur Auswahl einer P-SGBD kommt man durch Betätigen von “P-SGBD”.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F2> auf der Tastatur.

Das Betätigen dieser Funktionstaste öffnet eine Dialogbox zur Auswahl einer P-SGBD:

Abbildung: Auswahldialog für P-SGBD

In der Dialogbox werden alle Dateien mit der Endung PRG angezeigt, die sich im <ediabas>IDH_footnote_ediabas\ECU\ Verzeichnis befinden.

· Mit "Cancel" wird die Auswahl einer P-SGBD abgebrochen. Die Auswahl einer zuvor ausgewählten P-SGBD bleibt erhalten.

· Mit “OK” wird die P-SGBD übernommen und als Statusinformation “P-SGBD”angezeigt.

Nach Auswahl einer P-SGBD wird automatisch überprüft, ob schon eine PABD ausgewählt und als Statusinformation angezeigt ist.

Ø PABD ist nicht ausgewählt: Das Funktionsmenü für die Programmiereinstellungsebene Stufe 1 bleibt erhalten.

Ø PABD ist ausgewählt: Es erfolgt der Wechsel in das Funktionmenü für die Programmierein-stellungsebene Stufe 2.

Mit der Auswahl von PABD und P-SGBD ist implizit ein Steuergerät ausgewählt und es wird überprüft, ob das Steuergerät mehr als ein Diagnoseprotokoll unterstützt.

Ist das der Fall, wird der Menüpunkt "Diagnoseprotokoll" aktiviert und das Default-Diagnoseprotokoll als Statusinformation angezeigt (siehe “ Auswahl DiagnoseprotokollIDH_auswahl_diagnoseprotokoll”).


Funktionen der Programmiereinstellungebene, Stufe 2 im Experten-Modus

Folgende Funktionen sind in der Programmiereinstellungssebene Stufe 2 des Experten-Modus vorhanden:

· SG-Adresse laden

· Datensatz laden - Datendatei

· Datensatz laden - Programmdatei

· Datensatz laden – NAAB-Datei

· Beenden der Programmiereinstellungssebene Stufe2.

Abbildung: Programmiereinstellungsebene, Stufe 2 im Experten Modus


Funktion SG-Adresse laden

Zur Eingabe einer SG-Adresse kommt man durch Betätigen von “SG-Adresse”.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F3> auf der Tastatur.

Das Betätigen dieser Funktionstaste öffnet eine Dialogbox zur Eingabe einer SG-Adresse:

Abbildung: Eingabedialog für eine SG-Adresse

Achtung!

Die Eingabe der SG-Adresse muß 2-stellig und hexadezimal sein, ansonsten wird eine zu quittierende Fehlermeldung ausgegeben und der Eingabedialog abgebrochen:

· Mit "Cancel" wird die Eingabe einer SG-Adresse abgebrochen. Eine zuvor eingegebene SG-Adresse bleibt erhalten.

· Mit “OK” wird die Eingabe der SG-Adresse abgeschlossen.

Programmintern wird dabei ein P-SGBD Job aufgerufen, um die Steuergeräteadresse global zu setzen.

Existiert dieser Job in der P-SGBD, dann wird die eingegebene Steuergeräteadresse als Statusinformation oben im StatusfensterFeld “SG-Adresse/Verbauort” angezeigt.

Damit ist noch nicht sichergestellt, dass das SG über diese Adresse angesprochen werden kann, da bei diesem Job noch keine Kommunikation mit dem Steuergerät stattfindet.

Ein mit falscher Adresse angesprochenes Steuergerät anwortet nicht und es erfolgt eine entsprechende Fehlermeldung.

Enhält die P-SGBD keinen Job zum Setzen der Steuergeräteadresse, dann ist die Adresse in der P-SGBD fest vorgegeben und es wird als Statusinformation unter “SG-Adresse/Verbauort” der Text "P-SGBD verwendet interne Adresse" angezeigt.


Funktion Datensatz laden – NAAB

NAAB:

Nachladbare Applikation zum Austausch des Bootsektors ist ein Datenfile, das in den Programmbereich eines SGs geflasht wird und das Programm für den Bootsektorupdate und den Bootsektor selbst enthält. Nach einem SG-Reset führt das Programm den Bootsektorupdate durch.

Zur Auswahl eines NAAB-Datensatzes kommt man durch Betätigen von “NAAB-Datei”.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F6> auf der Tastatur.

Das Betätigen dieser Funktionstaste öffnet eine Dialogbox zur Auswahl eines NAAB-Datensatzes:

Abbildung: Auswahldialog für NAAB-Datensatz

In der Dialogbox werden alle Dateien mit den Endungen 0BA und BAF angezeigt, die sich im Verzeichnis \<root>IDH_footnote_root\data\develop befinden.

· Mit "Cancel" wird die Auswahl eines NAAB-Datensatzes abgebrochen. Ein zuvor ausgewählter NAAB-Datensatz bleibt erhalten.

· Mit “OK” wird die die Auswahl eines NAAB-Datensatzes abgeschlossen und als Statusinformation in “NAAB-Datei“ angezeigt.

Nach Auswahl des NAAB-Datensatzes wird das AIF gelesen.

Dabei sind folgende Fehlersituationen möglich:

· Es wurde keine SG-Adresse eingegeben:

Wenn die ausgewählten Beschreibungsdateien die Eingabe einer SG-Adresse erfordern (externe Adresse), dann erscheint ein entsprechender Hinweis (siehe “Abbildung: Hinweis bei fehlender SG-Adresse im Experten-Modus IDH_funktion_fertig_im_experten_modus”).

Der Datensatz bleibt ausgewählt, ein Wechsel in die Programmierdurchführungsebene des Experten-Modus ohne Eingabe der SG-Adresse ist nicht möglich.

· Eingegebene SG-Adresse ist falsch:

Das Steuergerät kann nicht antworten und es wird eine entsprechende Fehlermeldung ausgegeben.

Ein Wechsel in die Programmierdurchführungsebene des Experten-Modus ist möglich.

· Steuergerät ist nicht angeschlossen oder meldet sich nicht:

Das Steuergerät antwortet nicht und es wird eine entsprechende Fehlermeldung ausgegeben.


Funktion Datensatz laden – Programm

Zur Auswahl eines Programm-Datensatzes kommt man durch Betätigen von “Programmdatei”.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F5> auf der Tastatur.

Das Betätigen dieser Funktionstaste öffnet eine Dialogbox zur Auswahl eines Programm-Datensatzes:

Abbildung: Auswahldialog für Programm-Datensatz

In der Dialogbox werden alle Dateien mit den Endungen 0PA und PAF angezeigt, die sich im Verzeichnis \<root>IDH_footnote_root\data\develop befinden.

· Mit "Cancel" wird die Auswahl eines Programm-Datensatzes abgebrochen. Ein zuvor ausgewählter Programm-Datensatz bleibt erhalten.

· Mit “OK” wird die die Auswahl eines Programm-Datensatzes abgeschlossen und als Statusinformation in “Programm-Datei“ angezeigt.

Nach Auswahl des Programm-Datensatzes wird überprüft, ob der Datensatz zum Steuergerät passt.

Dazu wird aus dem Steuergerät die Hardwarereferenz ausgelesen und mit der Referenz des Datensatzes (Schlüsselwort $REFERENZ) verglichen.

Dabei sind folgende Fehlersituationen möglich:

· Es wurde keine SG-Adresse eingegeben:

Wenn die ausgewählten Beschreibungsdateien die Eingabe einer SG-Adresse erfordern (externe Adresse), dann erscheint ein entsprechender Hinweis (siehe “Abbildung: Hinweis bei fehlender SG-Adresse im Experten-Modus IDH_funktion_fertig_im_experten_modus”).

Der Datensatz bleibt ausgewählt, ein Wechsel in die Programmierdurchführungsebene des Experten-Modus ohne Eingabe der SG-Adresse ist nicht möglich.

· Eingegebene SG-Adresse ist falsch:

Das Steuergerät kann nicht antworten und es wird eine entsprechende Fehlermeldung ausgegeben.

Hinweis:

Da der Datensatz ausgewählt bleibt und dadurch, nach Berichtigung der SG-Adresse nicht mehr ausgewählt werden muß, sollte der Datensatz noch einmal ausgewählt werden, damit der Vergleich der Referenzen nicht unabsichtlich unterdrückt wird.

Ein Wechsel in die Programmierdurchführungsebene des Experten-Modus ist möglich.

· Steuergerät ist nicht angeschlossen oder meldet sich nicht:

Das Steuergerät antwortet nicht und es wird eine entsprechende Fehlermeldung ausgegeben.

Hinweis:

Da der Datensatz ausgewählt bleibt und dadurch, nach ordnungsgemäßem Anschluß der Steuergerätes nicht mehr ausgewählt werden muß, sollte der Datensatz noch einmal ausgewählt werden, damit der Vergleich der Referenzen nicht unabsichtlich unterdrückt wird.

Ein Wechsel in die Programmierdurchführungsebene des Experten-Modus ist möglich.

· Hardwarereferenz aus SG und Referenz aus Datensatz stimmen nicht überein:

Folgende Fehlermeldung wird ausgegeben:

Abbildung: Fehlermeldung bei Unterschied der Referenzen in SG und Programm-Datensatz

Die Fehlermeldung zeigt die Referenz des Datensatzes hinter "DS:" und die Referenz des Steuergeräts hinter "SG:" an.

Ein Wechsel in die Programmierdurchführungsebene des Experten-Modus ist möglich.

Die Programmierung des Programm-Datensatzes kann ohne Übereinstimmung der Referenzen durchgeführt werden.

Achtung:

Nach der Programmierung kann das Steuergerät unbrauchbar sein (Receyclingfall).


Funktion Datensatz laden – Daten

Zur Auswahl eines Daten-Datensatzes kommt man durch Betätigen von “Datendatei”.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F4> auf der Tastatur.

Das Betätigen dieser Funktionstaste öffnet eine Dialogbox zur Auswahl eines Daten-Datensatzes (Kennfelddaten):

Abbildung: Auswahldialog für Daten-Datensatz

In der Dialogbox werden alle Dateien mit den Endungen 0DA und DAF angezeigt, die sich im Verzeichnis \<root>IDH_footnote_root\data\develop befinden.

· Mit "Cancel" wird die Auswahl eines Daten-Datensatzes abgebrochen. Ein zuvor ausgewählter Daten-Datensatz bleibt erhalten.

· Mit “OK” wird die die Auswahl eines Daten-Datensatzes abgeschlossen und als Statusinformation in “Daten-Datei“ angezeigt.

Nach Auswahl des Daten-Datensatzes wird überprüft, ob der Datensatz zum Steuergerät passt.

Dazu wird aus dem Steuergerät die Datenreferenz ausgelesen und mit der Referenz des Datensatzes (Schlüsselwort $REFERENZ) verglichen.

Dabei sind folgende Fehlersituationen möglich:

· Es wurde keine SG-Adresse eingegeben:

Wenn die ausgewählten Beschreibungsdateien die Eingabe einer SG-Adresse erfordern (externe Adresse), dann erscheint ein entsprechender Hinweis.

Der Datensatz bleibt ausgewählt, ein Wechsel in die Programmierdurchführungsebene des Experten-Modus ohne Eingabe der SG-Adresse ist nicht möglich.

· Eingegebene SG-Adresse ist falsch:

Das Steuergerät kann nicht antworten und es wird eine entsprechende Fehlermeldung ausgegeben.

Hinweis:

Da der Datensatz ausgewählt bleibt und dadurch, nach Berichtigung der SG-Adresse nicht mehr ausgewählt werden muß, sollte der Datensatz noch einmal ausgewählt werden, damit der Vergleich der Referenzen nicht unabsichtlich unterdrückt wird.

Ein Wechsel in die Programmierdurchführungsebene des Experten-Modus ist möglich.

· Steuergerät ist nicht angeschlossen oder meldet sich nicht:

Das Steuergerät antwortet nicht und es wird eine entsprechende Fehlermeldung ausgegeben.

Hinweis:

Da der Datensatz ausgewählt bleibt und dadurch, nach ordnungsgemäßem Anschluß der Steuergerätes nicht mehr ausgewählt werden muß, sollte der Datensatz noch einmal ausgewählt werden, damit der Vergleich der Referenzen nicht unabsichtlich unterdrückt wird.

Ein Wechsel in die Programmierdurchführungsebene des Experten-Modus ist möglich.

· Datenreferenz aus SG und Referenz aus Datensatz stimmen nicht überein:

Folgende Fehlermeldung wird ausgegeben:

Abbildung: Fehlermeldung bei Unterschied der Referenzen in SG und Daten-Datensatz

Die Fehlermeldung zeigt die Referenz des Datensatzes hinter "DS:" und die Referenz des Steuergeräts hinter "SG:" an.

Ein Wechsel in die Programmierdurchführungsebene des Experten-Modus ist möglich.

Die Programmierung des Daten-Datensatzes kann ohne Übereinstimmung der Referenzen durchgeführt werden.

Achtung:

Nach der Programmierung kann das Steuergerät unbrauchbar sein (Receyclingfall).


Funktion Fertig im Experten-Modus

Beim Betätigen von “Fertig” wird die Eingabe bzw. Auswahl der Auftragsdaten in der Programmiereinstellungsebene Stufe 1 und 2 des Experten-Modus beendet.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F8> auf der Tastatur.

Das Betätigen dieser Funktionstaste bewirkt einen Wechsel der Funktionsebene:

· Wenn keine Eingaben erfolgten, wird der Wechsel in das Funktionsstartmenü durchgeführt (siehe Abbildung: Funktionsstartmenü des WinKFPT IDH_funktionsstartmenue_bedienermodi_des_winkfpt).

· Wenn nur eine PABD ausgewählt ist, wird der Wechsel in das Funktionsstartmenü durchgeführt .

· Wenn nur eine P-SGBD ausgewählt ist, wird der Wechsel in das Funktionsstartmenü durchgeführt .

· Wenn eine PABD und P-SGBD ausgewählt sind, wird überprüft, ob die Eingabe einer SG-Adresse erforderlich ist.

Ist keine SG-Adresse erforderlich, wird als Statusinformation unter “SG-Adresse/Verbauort” der Text "P-SGBD verwendet interne Adresse" angezeigt.

Ist eine SG-Adresse erforderlich und es wurde keine eingegeben, dann erscheint die Fehlermeldung:

Abbildung: Hinweis bei fehlender SG-Adresse im Experten-Modus

Nach Quittierung der Fehlermeldung wird der Wechsel in das Funktionsstartmenü durchgeführt.

PABD und P-SGBD bleiben ausgewählt und die Eingabe der Steuergeräteadresse kann nachgeholt werden.

· Wenn eine PABD, P-SGBD und eine SG-Adresse ausgewählt sind, stehen nur die allgemeinen Funktionen zur Verfügung (siehe “ Allgemeine Funktionen IDH_allgemeine_funktionen”).

· Wenn eine PABD, P-SGBD, eine SG-Adresse und ein Datensatz für Programm und/oder Daten ausgewählt sind, wird der Wechsel in das Funktionsmenü der Programmierdurchführungsebene des Experten-Modus durchgeführt.


Funktionen der Programmierdurchführungsebene im Experten-Modus

Beim Wechsel in die Programmierdurchführungsebene des Experten-Modus werden folgende Statusinformationen angezeigt:

· SG-Adresse

· Fahrgestellnummer IDH_footnote_fgnr_expert_mit_aif

· HW-Interface

· Diagnoseprotokoll

· Daten-Datei

· Programm-Datei

· NAAB-Datei

· PABD

· P-SGBD

Folgende Funktionen sind in der Programmierdurchführungsebene des Experten-Modus verfügbar:

· NAAB-Programmieren (BSU) (abhängig von den Auftragsdaten)

· Programm-Programmieren (abhängig von den Auftragsdaten)

· Daten-Programmieren (abhängig von den Auftragsdaten)

· Aufruf von allgemeinen Funktionen (Spezial, Diagnose)

· Beenden der Programmierdurchführungsebene des Experten-Modus durch Wechsel in die Programmiereinstellungsebene des Komfort-Modus oder Experten-Modus.

Abbildung: Programmierdurchführungsebene im Experten-Modus


Funktion NAAB programmieren

Die Programmierung eines NAAB-Datensatzes wird durch Betätigen von “Prog. NAAB” gestartet.

Die Funktionstaste wird nur nach erfolgreicher Auswahl einer NAAB-Datensatzdatai mit der Funktion "NAAB-Datei" in der Programmiereinstellungsebene Stufe 2 des Experten-Modus aktiviert.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F3> auf der Tastatur.

Der Status des Programmiervorgangs wird als Fortschrittsbalken (0 - 100%) und als Prozentangabe in der blauen Menü-Statuszeile angezeigt.

Wenn Konfigurationseintrag “ANZEIGE_U_PROG” in WINKFPT.INI auf ON gesetzt wurde, wird “Programmierspannung” in oberer rechter Ecke angezeigt.

Am Ende der SG-Programmierung und dem Austausch des Bootsektors erscheint die Meldung <Bootsektorupdate OK>.

Abbildung: Meldung bei einer erfolgreichen SG-Programmierung im Experten-Modus


Funktion Programm programmieren

Die Programmierung eines Programm-Datensatzes wird durch Betätigen von “Prog. Programm” gestartet.

Die Funktionstaste wird nur nach erfolgreicher Auswahl einer Programm-Datensatzdatai mit der Funktion "Programmdatei" in der Programmiereinstellungsebene Stufe 2 des Experten-Modus aktiviert.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F3> oder <F4> auf der Tastatur.

Hinweis:

Das Anwenderinfofeld wird nur programmiert, wenn die Konfigurationseinstellungen EXPERT_MIT_AIF und AIF_SCHREIBEN_NACH_PROGRAMM in der Datei WINKFPT.INI auf ON gesetzt sind.

Achtung:

Wenn ein AIF programmiert werden soll, erscheint der Eingabedialog für Fahrgestellnummer (siehe “7.1.4 Funktion Eingabe einer Fahrgestellnummer IDH_funktion_eingabe_einer_fahrgestellnummer”).

Ohne Fahrgestellnummer ist in diesem Fall eine Programmierung nicht möglich.

Nach Eingabe der Fahrgestellnummer erscheint folgende Sicherheitsabfrage:

Abbildung: Anzeige der Anzahl der möglichen AIF-Programmierungen

Hinweis:

Die Anzahl der möglichen AIF-Programmierungen wird aus der PABD ermittelt.

Der Status des Programmiervorgangs wird als Fortschrittsbalken (0 - 100%) und als Prozentangabe in der blauen Menü-Statuszeile angezeigt.

Wenn Konfigurationseintrag “ANZEIGE_U_PROG” in WINKFPT.INI auf ON gesetzt wurde, wird “Programmierspannung” in oberer rechter Ecke angezeigt.

Abbildung 8‑15: SG-Programmierung im Experten Modus

Am Ende der SG-Programmierung erscheint die Meldung <Programmierung OK>.

Abbildung: Meldung bei einer erfolgreichen SG-Programmierung im Experten-Modus


Funktion Daten programmieren

Die Programmierung eines Daten-Datensatzes wird durch Betätigen von “Prog. Daten” gestartet.

Die Funktionstaste wird nur nach erfolgreicher Auswahl einer Daten-Datensatzdatai mit der Funktion "Datendatei" in der Programmiereinstellungsebene Stufe 2 des Experten-Modus aktiviert.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F3>, <F4> oder <F5> auf der Tastatur.

Hinweis:

Das Anwenderinfofeld wird nur programmiert, wenn die Konfigurationseinstellungen EXPERT_MIT_AIF und AIF_SCHREIBEN_NACH_DATEN in der Datei WINKFPT.INI auf ON gesetzt sind.

Achtung:

Wenn ein AIF programmiert werden soll, erscheint der Eingabedialog für Fahrgestellnummer (siehe “7.1.4 Funktion Eingabe einer Fahrgestellnummer IDH_funktion_eingabe_einer_fahrgestellnummer”).

Ohne Fahrgestellnummer ist in diesem Fall eine Programmierung nicht möglich.

Nach Eingabe der Fahrgestellnummer erscheint folgende Sicherheitsabfrage:

Abbildung: Anzeige der Anzahl der möglichen AIF-Programmierungen

Hinweis:

Die Anzahl der möglichen AIF-Programmierungen wird aus der PABD ermittelt.

Der Status des Programmiervorgangs wird als Fortschrittsbalken (0 - 100%) angezeigt (siehe “Abbildung: SG-Programmierung im Experten Modus IDH_funktion_programm_programmieren”).

Wenn Konfigurationseintrag “ANZEIGE_U_PROG” in WINKFPT.INI auf ON gesetzt wurde, wird “Programmierspannung” in oberer rechter Ecke angezeigt.

Am Ende der SG-Programmierung erscheint die Meldung <Daten-Programmierung OK>


Allgemeine Funktionen

Allgemeine Funktionen des WinKFPT sind in folgende Gruppen aufgeteilt:

· Spezial-Funktionen

· Diagnose-Funktionen

Die Auswahl einer Gruppe erfolgt mit den Funktionstasten:

· Spezial

· Diagnose

Abbildung: Funktionsmenü mit den Funktionstasten “Spezial“ und “Diagnose“

Da der Aufruf einer allgemeinen Funktion immer mit einer SG-Kommunikation verbunden ist, muß in dem aktiven Betriebsmodus des WinKFPT eine Mindesteingabe von Auftragsdaten erfolgt sein.

Funktionstasten für Allgemeine Funktionen werden nur angezeigt :

· Nach dem Beenden der Programmiereinstellungsebene Stufe 1 oder 2 des Experten-Modus, wenn mindestens PABD, P-SGBD und SG-Adresse (SG-Adresse nur im Fall, wenn P-SGBD eine externe Adresse verwendet) ausgewählt bzw. eingegeben wurden (siehe “ Funktionen der Programmiereinstellungsebene, Stufe 1 im Experten-Modus DH_funktionen_der_programmiereinstellungsebene_stufe_1_im_experten_modus” und “ Funktionen der Programmiereinstellungebene, Stufe 2 im Experten-Modus IDH_funktionen_der_programmiereinstellungebene_stufe_2_im_experten_modus”).

· Nach dem Beenden der Programmiereinstellungsebene des Komfort-Modus, wenn ZUSB-Nummer und SG-Adresse/Verbauort durch eine der Funktionen: “ZUSB eingeben”, “ZUSB auswählen” oder “ZUSB update” ausgewählt bzw. eingegeben wurden (siehe “ Funktionen der Programmiereinstellungebene im Komfort-Modus IDH_funktionen_der_programmiereinstellungebene_im_komfort_modus”).


Spezial – Funktionen

Nach dem Betätigen der Funktionstaste “Spezial” im Experten- oder Komfort-Modus wird das Funktionsmenü mit den Funktionstasten zum Aufruf der Spezialfunktionen aktiviert:

Abbildung: Funktionsmenü der Spezialfunktionen

Dieses Funktionmenü beinhaltet folgende Funktionen:

· AIF Lesen

· SG Baudraten Lesen

· Abgleichwerte Lesen und Schreiben

· VS2/DS2 Mode

· EWS Abgleich

· Beenden des Spezial-Funktionsmenüs


Funktion AIF lesen

Zur Anzeige der AIF-Einträge eines Steuergerätes kommt man durch Betätigen “AIF lesen” im Spezial-Funktionsmenü.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F1> auf der Tastatur.

Das Betätigen dieser Funktionstaste bewirkt, daß alle Anwenderinfofeldeinträge (AIF) des Steuergeräts durch folgenden PABD-Job ausgelesen und angezeigt werden:

· SG_AIF_LESEN

Voraussetzung dafür ist ein gültiger AIF-Eintrag im Steuergerät.

Der Inhalt des AIF-Anzeigedialogs wird in die Datei AIF_<Interface>_<Unit>.OUT im Verzeichnis \<root>IDH_footnote_root\BIN geschrieben.

Der Inhalt der Datei AIF_<Interface>_<Unit>.OUT wird mit jedem Aufruf von “AIF lesen” neu überschrieben.

Der Dateiname wird in der Überschrift des AIF-Anzeigedialogs angezeigt:

Abbildung: Anzeigedialog für Spezialfunktion “AIF lesen“

Der AIF-Anzeigedialog wird mit “OK“ beendet.


Funktion SG Baudraten lesen

Zur Anzeige der SG-Baudraten eines Steuergerätes kommt man durch Betätigen “SG-Baudraten” im Spezial-Funktionsmenü.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F2> auf der Tastatur.

Das Betätigen dieser Funktionstaste bewirkt, daß alle möglichen Baudraten des Steuergeräts durch folgenden PABD-Job ausgelesen und angezeigt werden.

· BAUDRATE_LESEN

Der Inhalt des Anzeigedialogs für SG-Baudraten wird in die Datei BD_<Interface>_<Unit>.OUT im Verzeichnis \<root>IDH_footnote_root\BIN geschrieben.

Der Inhalt der Datei BD_<Interface>_<Unit>.OUT wird mit jedem Aufruf von “SG-Baudraten” neu überschrieben.

Diese Funktionalität wird durch Standard PABD-Jobs nicht weiter unterstützt.

Bei Aufruf von “SG-Baudraten” bei Steuergeräten mit Standard-Beschreibungsdateien erscheint die Fehlermeldung:

Abbildung: Fehlermeldung bei Aufruf von “SG-Baudraten”


Funktion Abgleichwerte Lesen und Schreiben

Zum Lesen und Schreiben der Abgleichwerte eines Steuergerätes kommt man durch Betätigen “Abgleichwerte” im Spezial-Funktionsmenü.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F1> auf der Tastatur.

Das Betätigen dieser Funktionstaste bewirkt, daß das Unterfunktionsmenü für das Lesen und Schreiben der Abgleichwerte des Steuergeräts angezeigt wird.

Abbildung: Unterfunktionsmenü für Lesen und Schreiben der Abgleichwerte

Mit Hilfe dieser Funktion können spezifische Daten (Abgleichwerte) aus einem Steuergerät gelesen und in ein anderes Steuergerät geschrieben werden.

Ablauf für eine Übertragung von Abgleichswerten:

· Anschluß des Steuergeräts, aus dem Abgleichswerte ausgelesen werden sollen.

· Funktionstaste “Abgl.lesen” betätigen.

Abgleichswerte werden aus dem SG eingelesen und in einer Temporärdatei zwischengespeichert.

Funktionstaste “Abgl.schreiben“ wird jetzt aktiv.

· Anschluß des Steuergeräts, in das die gelesenen Abgleichswerte geschrieben werden sollen.

· Auswahl von HW-Interface und Diagnoseprotokoll für das zweite Steuergerät, wenn nötig.

· Funktionstaste “Abgl.schreiben” betätigen.

Abgleichswerte werden aus der Temporärdatei eingelesen und ins SG geschrieben.

Eine Meldung über erfolgreiche Datenüberträgung wird angezeigt.

Zum Beenden des Unterfunktionsmenüs für Abgleichwerte kommt man durch Betätigen von “Fertig”.

Beenden erfolgt über Mausklick oder über Funktionstaste <F8> auf der Tastatur.

Unterfunktionsmenüs für Abgleichwerte wird beendet und zum Spezial-Funktionsmenü zurückgewechselt.


Funktion VS20/DS2 Mode

Zur VS20/DS2-Mode Auswahl kommt man durch Betätigen “VS-20/DS2-Mode” im Spezial-Funktionsmenü.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F4> auf der Tastatur.

Das Betätigen dieser Funktionstaste bewirkt, daß in das Unterfunktionsmenü VS20/DS2-Mode umgeschalten wird.

Dort kann durch Betätigung von “VS20-Mode” oder “DS2-Mode”, durch den PABD-Job VS20_MODE oder D2-MODE, das angeschlossene Steuergerät in den VS20- bzw. DS2-Mode geschaltet werden.

Diese Funktionalität wird durch Standard PABD-Jobs nicht weiter unterstützt.

Bei Aufruf von “VS20-Mode” oder “DS2-Mode” bei Steuergeräten mit Standard-Beschreibungsdateien erscheint die Fehlermeldung:

Abbildung: Fehlermeldung bei Aufruf von “VS20-Mode” oder “DS2-Mode”


Funktion EWS Abgleich

Zum EWS-Abgleich kommt man durch Betätigen “EWS-Abgleich” im Spezial-Funktionsmenü.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F5> auf der Tastatur.

Diese Funktionalität wird nicht weiter unterstützt.

Bei Aufruf von “EWS-Abgleich” erscheint die Meldung:

Abbildung: Meldung bei Aufruf von “EWS-Abgleich“


Funktion Fertig

Das Spezial-Funktionsmenü wird beendet durch Betätigen von “Fertig” im Spezial-Funktionsmenü.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F8> auf der Tastatur.

Das Betätigen dieser Funktionstaste bewirkt, daß das Spezial-Funktionsmenü beendet und zum Hauptmenü bzw. in die Funktionsebene des Betriebsmodus zurückgewechselt wird, von wo aus das Spezial-Funktionsmenü gestartet wurde.


Funktion HDDownload

Zum HDDownload kommt man durch Betätigen “HDDownload” im Spezial-Funktionsmenü.

Die Funktionstaste “HDDownload” ist verfügbar, wenn im Experten-Modus eine PABD und eine SGBD mit HDDownload-Funktionalität ausgewählt wurde.


Funktion HDD-Test

Zum HDD-Test kommt man durch Betätigen “HDD-Test” im Spezial-Funktionsmenü.

Die Funktionstaste “HDD-Test” ist verfügbar, wenn im Experten-Modus eine PABD und eine SGBD mit HDDownload-Funktionalität ausgewählt wurde.


Diagnose – Funktionen

Nach dem Betätigen der Funktionstaste “Diagnose” im Experten- oder Komfort-Modus wird das Funktionsmenü mit den Funktionstasten zum Aufruf der Diagnosefunktionen aktiviert:

Abbildung: Menü der Diagnose-Funktionen

Dieses Menü beinhaltet folgende Funktionen:

· SG Status ermitteln

· SG Identifikation Lesen

· SG Innentemperatur Lesen

· Beenden des Diagnosemenüs


Funktion SG Status ermitteln

Zur Anzeige des SG-Status eines Steuergeräts kommt man durch Betätigen von “SG Status” im Diagnose-Funktionsmenü.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F1> auf der Tastatur.

Das Betätigen dieser Funktionstaste bewirkt, daß folgende Daten aus dem Steuergeräte ausgelesen und angezeigt werden:

· Datenreferenz

· Hardwarereferenz

· Zuliefererinfofeld (ZIF)

· Backup des Zuliefererinfofelds

· Programmierstatus

Die Daten werden aus dem Steuergerät durch folgende PABD-Jobs ermittelt:

· DATEN_REFERENZ

· HW_REFERENZ

· ZIF

· ZIF_BACKUP

· SG_STATUS_LESEN

Der Inhalt des Anzeigedialogs für SG-Status wird in die Datei REF_<Interface>_<Unit>.OUT im Verzeichnis \<root>IDH_footnote_root\BIN geschrieben.

Der Inhalt der Datei REF_<Interface>_<Unit>.OUT wird mit jedem Aufruf von “SG Status” neu überschrieben.

Der Dateiname wird in der Überschrift des Anzeigedialogs für SG-Status angezeigt:

Abbildung: Anzeigedialog für SG-Status

Der Anzeigedialog für SG-Status wird mit “OK“ beendet.


Funktion SG Identifikation lesen

Zur Anzeige der Identifikation eines Steuergeräts kommt man durch Betätigen von “SG Ident” im Diagnose-Funktionsmenü.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F2> auf der Tastatur.

Bei Betätigung dieser Funktionstaste werden die Identifikationsdaten des Steuergerätes ausgelesen und angezeigt durch folgende PABD-Jobs:

· SG_IDENT_LESEN

· SG_PHYS_HWNR_LESEN

Der Inhalt des Anzeigedialogs für SG-Status wird in die Datei IDENT_<Interface>_<Unit>.OUT im Verzeichnis \<root>IDH_footnote_root\BIN geschrieben.

Der Inhalt der Datei IDENT_<Interface>_<Unit>.OUT wird mit jedem Aufruf von “SG Ident” neu überschrieben.

Der Dateiname wird in der Überschrift des Anzeigedialogs für SG-Identifikation angezeigt:

Abbildung: Anzeigedialog für SG-Identifikation

Der Anzeigedialog für SG-Identifikation wird mit “OK“ beendet.


Funktion SG Innentemperatur lesen

Zur Anzeige der Innentemperatur eines Steuergeräts kommt man durch Betätigen von “SG Innentemp” im Diagnose-Funktionsmenü.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F3> auf der Tastatur.

Bei Betätigung dieser Funktionstaste wird die Innentemperatur des Steuergerätes ausgelesen und angezeigt.

Um die Innentemperatur aus einem Steuergerät zu ermitteln wird folgender Standard PABD-Job ausgeführt:

· SG_INNENTEMP_LESEN

Der Inhalt des Anzeigedialogs für SG-Innentemperatur wird in die Datei INNENTMP_<Interface>_<Unit>.OUT im Verzeichnis \<root>IDH_footnote_root\BIN geschrieben.

Der Inhalt der Datei INNENTMP_<Interface>_<Unit>.OUT wird mit jedem Aufruf von “SG Innentemp” neu überschrieben.

Der Dateiname wird in der Überschrift des Anzeigedialogs für SG-Innentemperatur angezeigt:

Abbildung: Anzeigedialog für SG-Innentemperatur

Wenn das Steuergerät diese Funktion nicht unterstützt, wird folgende zu quittierende Meldung ausgegeben:

<<SG-Innentemperatur wird nicht unterstützt>>

Der Anzeigedialog für SG-Innentemperatur wird mit “OK“ beendet.


Funktion Fertig

Das Diagnose-Funktionsmenü wird beendet durch Betätigen von “Fertig” im Diagnose-Funktionsmenü.

Das Starten der Funktion erfolgt über Mausklick oder über Funktionstaste <F8> auf der Tastatur.

Das Betätigen dieser Funktionstaste bewirkt, daß das Diagnose -Funktionsmenü beendet und zum Hauptmenü bzw. in die Funktionsebene des Betriebsmodus zurückgewechselt wird, von wo aus das Diagnose-Funktionsmenü gestartet wurde.


Fehlerbehandlung im WinKFPT

Die Flashprogrammierung eines SG mit dem WinKFPT ist ein sehr komplexer Vorgang, dessen Durchführbarkeit von dem fehlerfreien Zusammenspiel folgender Komponenten abhängt:

· Hardware-Verbindung – Testrechner Ö Diagnose HW-Interface Ö SG

· Software-Verbindung – WinKFPT Ö EDIABAS Ö Diagnose Interfacetreiber Ö SG-Programm

· Konfiguration WinKFPT und COAPI

· Beschreibungsdateien PABD, P-SGBD

· Logistikdateien

· Programmierdaten-Dateien (PAF, DAF usw.)

Jede Komponente enthält eine Vielzahl von Fehlermöglichkeiten, die vom WinKFPT abgefangen und dem Anwender in einer Weise angezeigt werden müssen, die ihn in die Lage versetzen, aus der angezeigten Fehlermeldung dessen Ursache zu erkennen und diese selbstständig zu beseitigen.

Die Funktionen des WinKFPT lassen sich grob in zwei Arten, nämlich in Funktionen mit und ohne COAPI-Aufrufe unterteilen, wobei sich die Fehlerdarstellung für die beiden Funktionsarten unterscheiden.

· Anzeige von Fehlern bei WinKFPT Funktionen ohne COAPI-Aufrufe:

Anzeige von aussagekräftigen Fehler-, Diagnose- und Info-Texten in entsprechenden Message Boxen.

Die Texte werden dynamisch aus der Textdatei “winkfpt.txt” geladen, wodurch jederzeit die Möglichkeit besteht, ohne Änderung des WinKFPT die Aussagekraft der Texte zu verbessern.

· Anzeige von Fehlern bei WinKFPT Funktionen mit COAPI-Aufrufen:

Bei jedem fehlerhaften Aufruf einer COAPI Funktion wird ein Fehlerdialog angezeigt mit einem oberen Textfeld das eine Beschreibung enthält, bei welcher aktuellen WinKFPT Funktion der Fehler auftrat und einem unteren Listenfeld mit einer detaillierten Liste einer Fehlerverfolgung durch alle durchlaufenen Aufrufebenen der COAPI.

Die Fehlerliste ist nicht als eine Liste von unterschiedlichen Fehlern anzusehen, sondern vielmehr als eine Aufschlüsselung eines einzigen Fehlers mit dem jeweiligen Informationsgehalt, der aus den entsprechenden COAPI Aufrufebenen ermittelt werden konnte.

Die COAPI Fehlertexte werden dynamisch aus der Textdatei “coapierr.txt” geladen.


Fehlerdarstellung

Folgende Abbildung zeigt die Anzeige eines WinKFPT Fehlers bei einem fehlerhaften COAPI Aufruf in normaler Darstellung.

Die Umschaltung auf die erweiterte Darstellung bringt dem “normalen” Anwender keinen weiteren Nutzen und ist nur als zusätzliche Debughilfe für den WinKFPT- bzw. COAPI Experten gedacht.

Abbildung: Fehleranzeige im WinKFPT

Im gezeigten Beispiel sieht man, dass die Initialisierung der COAPI durch das WinKFPT gescheitert ist.

Die Liste der Fehler aus den jeweiligen COAPI Aufrufebenen zeigt dem Anwender aus den vielen Fehlermöglichkeiten bei der Initialisierung eindeutig die Fehlerursache.

Die erste Zeile der Fehlerliste zeigt die Fehlermeldung der “tiefsten” COAPI Aufrufebene und enthält i.a. die umfassende und entscheidende Information für die Fehlerbeseitigung.

In diesem Fall muß der Anwender überprüfen, ob die Datei “KFCONFXX.DA2” im Verzeichnis <root>\DATA\gdaten vorhanden ist, oder ob er keine Leserechte darauf hat.


Beschreibung und Behebung häufig auftretender Fehler


Fehler beim Start von WinKFPT

Fehler | COAPI-Fehler 1020, 3017, WinKFP-Fehler 1
Stelle | · Beim Start von WinKFP
Mögliche Ursachen | · Im Verzeichniss ../data/gdaten fehlt eine Logistikdatei. Der Fehlerdialog gibt Aufschluss, um welche Datei es sich handelt.
Beseitigung | · Importieren eines aktuellen Werksdatenpakets mit Beschreibungsdateien. · Händisches Kopieren der fehlenden Logistik-Datei in das Verzeichniss ../data/gdaten

Fehler | COAPI-Fehler 4211, 4206, 1040, 3017, WinKFP-Fehler 1
Stelle | · Beim Start von WinKFP
Mögliche Ursachen | · Im Verzeichniss ../data/gdaten liegt eine fehlerhafte und daher nicht konvertierbare Logistikdatei. Der Fehlerdialog (insbesondere Fehler 4206) gibt Aufschluss, um welche Datei es sich handelt und in welcher Zeile der Fehler auftritt.
Beseitigung | · Importieren eines aktuellen Werksdatenpakets mit korrekten Beschreibungsdateien. · Händisches Ausbessern der fehlerhaften Logistik-Datei im Verzeichniss ../data/gdaten

Fehler

WinKFP-Fehler 300

Stelle

· Beim Start von WinKFP

Mögliche Ursachen

· Das Interface wird schon von einem anderen Programm, ggf. einer anderen Instanz von WinKFP benutzt.

· Das Defaultinterface ist nicht korrekt in Ediabas eingerichtet.

Beseitigung

· Andere Applikation, welche das Interface benutzt, schließen. (Möglicherweise ist Applikation nur im Taskmanager sichtbar)

· Mit einer anderen Applikation (z.B. TEOF im Ediabas\bin-Verzeichniss) prüfen, ob Interface prinzipiell funktioniert. Falls nicht: Ediabas und/oder Interface-Treiber überprüfen.


Fehler beim Import von Werksdaten

Fehler | SG Verzeichnis wird nicht angezeigt
Stelle | · Bei Auswahl einer Zusammenbaunummer im Komfort-Modus
Mögliche Ursachen | · Importiertes SG-Verzeichnis enthielt keine Beschreibungs-Dateien PABD/P-SGBD.
Beseitigung | · Importieren eines Werksdatenpakets mit Beschreibungsdateien.

Fehler | WinFKP-Fehler 11
Stelle | · Beim Import einer einzelnen Beschreibungsdatei
Mögliche Ursachen | · Die Beschreibungsdatei konnte nicht kopiert werden. · Datei existiert schon im Zielverzeichniss und ist schreibgeschützt. · Datei existiert schon im Zielverzeichniss und ist von einer Applikation geöffnet. · Fehlende Leserechte der Quelldatei · Fehlende Schreibrechte im Zielverzeichniss
Beseitigung | Je nach Ursache: · Schreibschutz aufheben · Applikation, welche Datei geöffnet hat, schließen · Dateirechte prüfen und anpassen

Fehler | WinFKP-Fehler 111
Stelle | · Beim Import eines Werksdatenpakets
Mögliche Ursachen | · Das Werksdatenpaket enthält keine Datei der Art <Sg-Familienname>.dat
Beseitigung | · Korrektes Werksdatenpaket holen (z.B. aus Darwin)


Fehler bei Eingabe der Flashdaten

Fehler | COAPI-Fehler 1065, 1000, WinFKP-Fehler 106
Stelle | · Beim Laden der vorgeschlagenen Konfigurationseinstellung nach Betätigung der <Experten-Modus> Funktionstaste. · Im Komfortmodus bei Betätigen der Taste [Fertig] nachdem ZB-Nummer und Verbauort ausgewählt wurde
Mögliche Ursachen | · PABD aus der Konfigurationseinstellung existiert nicht.
Beseitigung | · PABD in das entprechende Ediabasverzeichniss kopieren bzw. importieren

Fehler | COAPI-Fehler 2000, WinFKP-Fehler 106
Stelle | · Beim Laden der vorgeschlagenen Konfigurationseinstellung nach Betätigung der <Experten-Modus> Funktionstaste. · Im Komfortmodus bei Betätigen der Taste [Fertig] nachdem ZB-Nummer und Verbauort ausgewählt wurde
Mögliche Ursachen | · SGBD aus der Konfigurationseinstellung existiert nicht.
Beseitigung | · SGDB in das entprechende Ediabasverzeichniss kopieren bzw. importieren

Fehler | COAPI-Fehler 3000
Stelle | · Im Komfortmodus nach händischer Eingabe einer ZB-Nummer
Mögliche Ursachen | · Es existiert keine (korrekte) DAT-Datei, welche die ZB-Nummer enthält
Beseitigung | · Import des Werksdatenpakets für die SG—Familie, zu der die ZB-Nummer gehört

Fehler

WinKFP-Fehler 500 bis 503

Stelle

· Bei Auswahl der Datendatei im Experten Modus.

· Bei Auswahl der Programmdatei im Experten Modus.

Mögliche Ursachen

· Falsches SG wurde angeschlossen. SG Kennung in ausgewählter Daten/Programmdatei stimmt nicht mit der Kennung des angeschlossenen SG überein.

· Falsche Daten/Programmdatei wurde ausgewählt.

Beseitigung

· Feststellen, ob das korrekte SG angeschlossen ist. Wenn erforderlich, korrektes SG anschliessen.

· Feststellen, ob die korrekte Daten/Programmdatei ausgewählt ist. Wenn erforderlich, korrekte Datei auswählen.

Fehler | COAPI-Fehler 2020
Stelle | · Bei Auswahl der Datendatei im Experten Modus. · Bei Auswahl der Programmdatei im Experten Modus.
Mögliche Ursachen | · Es wurde eine falsche SG-Adresse eingegeben. · Das Steuergerät ist nicht angeschlossen bzw. Kommunkation ist gestört.
Beseitigung | · Korrekte SG-Adresse eingeben · SG anschließen. Prüfen, ob Kommunikation prinzipiell möglich ist.

Fehler | COAPI-Fehler 1020
Stelle | · Beim Drücken der Taste [Programmieren] im Komfortmodus
Mögliche Ursachen | · Eine SG-familienspezifische Logistikdatei (HWH oder HIS) ist nicht vorhanden. Der Fehlerdialog gibt Aufschluss, um welche Datei es sich handelt.
Beseitigung | · Datei durch Werksdatenimport holen · oder Datei händisch in das daten-Verzeichniss kopieren

Fehler | COAPI-Fehler 4209 oder 4211, 4206, 1040, 3000
Stelle | · Beim Drücken der Taste [Programmieren] im Komfortmodus
Mögliche Ursachen | · Eine SG-familienspezifische Logistikdatei (DAT, HWH oder HIS) ist fehlerhaft. Der Fehlerdialog (insbesondere Fehler 4206) gibt Aufschluss, um welche Datei es sich handelt und in welcher Zeile der Fehler auftritt.
Beseitigung | · Korrekte Datei durch Werksdatenimport holen · oder Fehler in Datei händisch beheben

Fehler | COAPI-Fehler 4204, 1040
Stelle | · Beim Drücken der Taste [Programmieren] im Komfortmodus
Mögliche Ursachen | · Die zu flashende Datei existiert nicht. Der Fehlerdialog (insbesondere Fehler 4204) gibt Aufschluss, um welche Datei es sich handelt.
Beseitigung | · Datei durch Werksdatenimport holen · oder Datei händisch in das daten-Verzeichniss kopieren

Fehler | COAPI-Fehler 4220 oder 4209, 4221, 1040
Stelle | · Beim Auswählen einer Programm- oder Datendatei im Expertenmodus · Beim Drücken der Taste [Programmieren] im Komfortmodus
Mögliche Ursachen | · Die zu flashende Datei ist fehlerhaft. Der Fehlerdialog (insbesondere Fehler 4221) gibt Aufschluss, um welche Datei es sich handelt und in welcher Zeile der Fehler auftritt.
Beseitigung | · Korrekte Datei durch (Werks-)datenimport holen · oder Fehler in Datei händisch beheben

Fehler | WinKFP-Fehler 100
Stelle | · Im Expertenmodus nach Auswahl von PABD und SGBD, beim Drücken der Taste [Fertig]
Mögliche Ursachen | · Die SGBD verlangt eine externe SG-Adresse.
Beseitigung | · SG-Adresse eingeben.

Fehler | WinKFP-Fehler 102 oder 103
Stelle | · Im Expertenmodus bei Eingabe einer SG-Adresse.
Mögliche Ursachen | · Als SG-Adresse wurde keine 2-stellige Hexadezimalzahl eingegeben.
Beseitigung | · Korrekte Hexadezimal eingeben.

Fehler | WinKFP-Fehler 107
Stelle | · Beim Eingeben einer Fahrgestellnummer (nötig bei aktiviertem AIF schreiben)
Mögliche Ursachen | · Die Fahrgestellummer war nicht 7-stellig oder nicht alphanumerisch.
Beseitigung | · Korrekte Fahrgestellnummer eingeben.

Fehler | WinKFP-Fehler 108
Stelle | · Beim Eingeben einer ZB-Nummer im Komfortmodus
Mögliche Ursachen | · Die ZB-Nummer war nicht 7-stellig.
Beseitigung | · 7-stellige ZB-Nummer eingeben.


Fehler bei Daten-Programmierung

Fehler | COAPI-Fehler 2020 oder 2021
Stelle | · Beim Start einer Programmierung in beiden Betriebsmodi.
Mögliche Ursachen | · SG nicht angeschlossen · HW-Interface ist nicht vollständig installiert · Interface ist nicht angeschlossen.
Beseitigung | · Feststellen, ob das SG angeschlossen ist. · Interface wieder installieren. · Feststellen, ob das Interface Hardware angeschlossen ist.

Fehler | COAPI-Fehler 1060
Stelle | · Beim Start der Programmierung mit der Taste <Prog.Daten>, nach der Eingabe der PABD, P-SGBD und des Programmdatensatzes im Experten Modus.
Mögliche Ursachen | · Falsches Hardware Interface ist ausgewählt. · Interface ist nicht vollständig installiert. · Interface ist nicht angeschlossen. · SG nicht angeschlossen
Beseitigung | · Feststellen, ob das korrekte HW-Interface als Statusinformation angezeigt wird. Wenn erforderlich, korrektes HW-Interface unter dem Menüpunkt KommunikationàHW Interface auswählen. · Interface wieder installieren. · Feststellen, ob das Interface Hardware angeschlossen ist. · Feststellen, ob das SG angeschlossen ist.

Fehler

COAPI-Fehler 2064: Fehler beim Codierdaten loeschen (z.B ZCS)

Stelle

· Bei Start der Programmierung mit der Taste <Prog.Daten>.

Mögliche Ursachen

· Letzte Programmiersitzung wurde nicht erfolgreich beendet.

Beseitigung

· Programm muss noch mal in das SG programiert werden.

Im Experten Modus müssen dazu PABD, P-SGBD und der Programmdatensatz eingegeben werden. Die Eingabe im Experten Modus sind mit der Taste <Fertig> zu bestätigen.

Durch die Funktionstaste <Prog. Programm> wird die Programmierung des Steuergeräts mit dem Programmdatensatz gestartet.


Glossar

AIF | Anwenderinfofeld
COAPI | Codierapplikationsinterface
CABI | Codierablaufinterpreter
Experten-Modus | Programmierung nach Auswahl der PABD, P-SGBD, Datendatei und/oder Programmdatei.
HIS | (Zusammenbau-) Historie
Interface | Hardwareeinheit zur Kommunikation mit Steuergeräten. z.B. EDIC, ADS, MOST
INPA | INterpreter für PrüfAbläufe
IPO | Codierablaufinterpreter-Objektcodedatei
IPS | Codierablaufinterpreter-Sourcedatei
Komfort-Modus | Programmierung nach Eingabe bzw. Auswahl der Auftragsdaten Zusammenbaunummer und Steuergeräteadresse und der Fahrgestellnummer wenn AIF Schreiben eingeschaltet ist.
PABD | Programmierablaufbeschreibungsdatei
P-SGBD | Steuergerätebeschreibungsdatei für die Programmierung.
Unit | Untereinheiten von Interfaces , bezeichnet mit _, A, B, C, usw. falls mehrere Interfaces eines Typs in einem Rechner verbaut sind.
ZIF | ZuliefererInfoFeld. ZIF (ZuliefererInfoFeld) im Steuergerät zeigt den Entwicklungsstand des Steuergeräteprogramms an.
ZUSB-Nummer ZB-Nummer | Zusammenbaunummer


Funktionen der Programmierdurchführungsebene im Komfort-Modus

Beim Wechsel in die Programmierdurchführungsebene des Komfort-Modus werden folgende Statusinformationen angezeigt:

· SG-Adresse/Verbauort

· Fahrgestellnummer IDH_footnote_fgnr_komfort_mit_aif

· Zusammenbaunummer

· Hardwarenummer

· HW-Interface

· Diagnoseprotokoll

· PABD

· P-SGBD

Folgende Funktionen sind in der Programmierdurchführungsebene des Komfort-Modus verfügbar:

· SG-Programmieren (abhängig von den Auftragsdaten)

· SG-Programmieren Update (abhängig von den Auftragsdaten)

· Aufruf von allgemeinen Funktionen (Spezial, Diagnose)

· Beenden der Programmierdurchführungsebene des Komfort-Modus durch Wechsel in die Programmiereinstellungsebene des Komfort-Modus oder Experten-Modus IDH_experten_modus.

Abbildung: Programmierdurchführungsebene im Komfort Modus


Start des WinKFPT im Batchbetrieb

Der Batchbetrieb dient der Programmierung von beliebig vielen Steuergeräten hintereinander.

Der Batchbetrieb des WinKFPT kann auf zwei Arten eingeschaltet werden:

1. Automatisches Einschalten beim Aufruf, durch z.B. eine Fremdapplikation, mit dem Aufrufparameter –RUN (siehe “4 Aufrufparameter des WinKFPT IDH_aufrufparameter_des_winkfpt”). In diesem Fall ist der Batchbetrieb bereits gestartet.

2. Manuelles Einschalten aus dem Dialogbetrieb (siehe “Anzeige Batchmodus IDH_anzeige_batchmodus”). In diesem Fall ist der Batchbetrieb noch nicht gestartet

Nach dem Einschalten des Batchbetriebs wird zusätzlich zum Hauptmenüfenster des WinKFPT ein weiteres Dialog-Fenster (Batch Modus Monitor) mit den Statusanzeigen und den Funktionsbuttons für Bediener-Eingaben im Batchbetrieb angezeigt:

Abbildung: Dialog-Fenster für den Batchbetrieb (Batch Modus Monitor)

Folgende Tabelle beschreibt die Kontrollanzeigen im Batch Modus Monitor:

Statusanzeige | Beschreibung
Steuerdatei | Pfad und Name der Default-Steuerdatei, oder der als Aufrufparameter (-BATCH=<Steurdatei>) übergebenen Steuerdatei
Status | Die Statusanzeige informiert den Bediener über die aktuelle Aktivität, oder Fehlerzustände im Batchbetrieb. Folgende Statusanzeigen sind möglich: "nicht gestarted" "gestarted" "warte auf Steuerdatei" "lese Steuerdatei ein" "Programmierung aktiv" "warte auf Ende der Programmierung" "Programmierung beendet" "keine Steuerdatei angegeben" "Protokolldatei kann nicht geöffent werden" "WinKFPT Batchmodus Fehler" "Batch kann nicht gestartet werden. Programmierung läuft"
Fehler | Zeigt die Anzahl der Fehler an, die bei der Steuergerätekommunikation, oder bei der Auswertung von Logistikdaten auftreten.
Abbrüche | Zeigt die Anzahl der Fehler an, die bei den SG-Programmierungen auftreten, wobei ein Fehler sofort zu einem Programmierabbruch führt.
Zielinterface | Zeigt das HW-Interface + Unit an, das die zugehörige WinKFPT Instanz bei einer SG-Programmierung belegt.
Modus | Zeigt an, ob eine Steuerdatei für den Komfort-Modus IDH_komfort_modus oder für den Experten-Modus IDH_experten_modus abgearbeitet wird.

Tabelle: Kontrollanzeigen im Batch Modus Monitor

Folgende Bedienereingaben sind im Batchbetrieb möglich:

· “Start”: Der Batchbetrieb wird gestartet, d.h. WinKFPT wartet auf eine Steuerdatei, oder eine vorhandene Steuerdatei wird abgearbeitet.

· “Stop”: Der Batchbetrieb wird beendet, d.h. er kann wieder mit “Start” gestartet, oder durch Schließen des Batch Modus Monitors ausgeschaltet werden.

· “Dialog schließen”: Der Batch Modus Monitor wird geschlossen und der Batchbetrieb ausgeschaltet.

Ist der Batchmodus gestartet, so wird auf die angezeigte Steuerdatei gewartet. Sobald sie existiert, wird sie geöffnet, ausgewertet und abgearbeitet. Am Inhalt der Steuerdatei wird entschieden, ob es sich um einen Batchvorgang im Komfort-Modus IDH_komfort_modus oder im Experten-ModusIDH_experten_modus handelt.

Pfad und Name der Steuerdatei kann beim Aufruf mit dem Aufrufparameter –BATCH=<Steuerdatei> angegeben werden, wobei der Pfad in absoluter Form mit Laufwerksangabe angegeben sein muß.

Fehlt eine Pfadangabe, so wird die Steuerdatei im Installationsverzeichnis des WinKFPT <root>IDH_footnote_root\bin> erwartet

Die Angabe einer Extension der Steuerdatei ist nicht notwendig. Sie wird fest mit .CTL angenommen.